<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\141\151\154\171"; private const CONFIG_DIRECTORY = "\57\162\x6f\x6f\164\x2f\56\x63\x6f\x6e\146\151\147\57\162\143\x6c\157\156\145\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\x68\x6f\x6d\x65\x2f\x63\154\160\57\56\143\157\x6e\x66\x69\147\x2f"; private const CLP_USER = "\x63\x6c\x70"; public const CREDENTIALS_DIRECTORY = "\x2f\x68\x6f\x6d\145\x2f\143\154\160\x2f\x2e\143\x6f\x6e\x66\x69\147\57\162\143\x6c\157\x6e\x65\x2f\143\x72\145\x64\145\x6e\164\x69\141\154\163\x2f"; private const CONFIG_FILE = "\57\162\x6f\x6f\x74\x2f\56\x63\157\156\x66\x69\x67\57\162\143\x6c\157\156\145\x2f\162\x63\x6c\157\x6e\x65\x2e\x63\x6f\156\x66"; private const CRON_JOB_FILE = "\57\145\164\x63\57\143\162\157\156\x2e\x64\57\143\x6c\x70\x2d\162\143\154\157\x6e\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto ee140; ee140: if (!(true === is_null($this->configFile))) { goto Bb774; } goto C906e; C906e: $this->configFile = self::CONFIG_FILE; goto a66d1; d1ce8: return $this->configFile; goto ae32b; a66d1: Bb774: goto d1ce8; ae32b: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\x6c\141\147" => $flag, "\166\x61\x6c\165\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto B9649; d8fe5: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto d2e5f; d2e5f: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto b8745; D66e2: $rcloneCopyCommand->setDestination($destination); goto d8fe5; Cc3c8: $rcloneCopyCommand->setSource($source); goto D66e2; B9649: $flags = $this->getFlags(); goto Afcdc; ed923: $rcloneCopyCommand->setConfigFile($configFile); goto Cc3c8; Afcdc: $configFile = $this->getConfigFile(); goto f4f5c; f4f5c: $rcloneCopyCommand = new RcloneCopyCommand(); goto ed923; b8745: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto f4e44; f4e44: $flags = $this->getFlags(); goto Ed48a; Bdfcf: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto cfb15; C2858: $files = $rcloneLsJsonCommand->getFiles(); goto fb3ab; Ed48a: $configFile = $this->getConfigFile(); goto D5907; fb3ab: return $files; goto B1aae; f5034: if (!(true === $directoriesOnly)) { goto c897a; } goto caddc; D5907: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto C29d7; C29d7: $rcloneLsJsonCommand->setConfigFile($configFile); goto Ac971; d3c81: c897a: goto Bdfcf; Ac971: $rcloneLsJsonCommand->setRemotePath($remotePath); goto f5034; caddc: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto d3c81; cfb15: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto C2858; B1aae: } public function purge(string $remotePath) { goto A1173; cf2ef: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto F1ff5; A1173: $flags = $this->getFlags(); goto Fc2ae; f176a: $rclonePurgeCommand->setRemotePath($remotePath); goto cf2ef; Fc2ae: $rclonePurgeCommand = new RclonePurgeCommand(); goto f176a; F1ff5: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto bf0a3; bf0a3: } public function writeConfig(string $config) : void { goto A9a8c; Bcff4: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto d3b63; Df8c0: $writeConfigFileCommand->setFile($configFile); goto b543a; bb0bb: $this->commandExecutor->execute($createConfigDirectoryCommand); goto d7e04; B4702: $writeConfigFileCommand = new WriteFileCommand(); goto Df8c0; b543a: $writeConfigFileCommand->setContent($config); goto bb0bb; d3b63: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto B4702; A9a8c: $configFile = $this->getConfigFile(); goto Bcff4; d7e04: $this->commandExecutor->execute($writeConfigFileCommand); goto De6cc; De6cc: } public function writeCredentialsFile(string $file, string $content) : void { goto f8971; f8971: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto C0d68; Cf71e: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto D327f; Dbcc1: $chownConfigDirectoryCommand->setRecursive(true); goto c6e93; C0d68: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto ed387; ed387: $chownConfigDirectoryCommand = new ChownCommand(); goto dc6aa; D327f: $chmodConfigDirectoryCommand->setFileChmod(770); goto B8f08; c6e93: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto ca6c9; d8b79: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Cf71e; c8e96: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto A14c8; A14c8: file_put_contents($file, $content); goto d0bb9; d9b52: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto d8b79; dc6aa: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Dbcc1; dd05c: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto c8e96; B8f08: $this->commandExecutor->execute($credentialsDirectoryCommand); goto dd05c; ca6c9: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto d9b52; d0bb9: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto d4d60; dd9e5: E837e: goto A379f; E8d26: $this->commandExecutor->execute($writeCronJobFileCommand); goto bf931; aade9: $writeCronJobFileCommand = new WriteFileCommand(); goto c9681; dc7f6: if (self::FREQUENCY_DAILY == $frequency) { goto E837e; } goto d042b; A379f: $cronJobContent .= sprintf("\x30\x20\x25\x73\x20\x2a\40\x2a\40\52\40\143\154\x70\x20\x2f\165\x73\x72\57\x62\x69\x6e\x2f\x62\x61\x73\150\x20\x2d\143\40\42\57\165\x73\x72\57\142\151\x6e\x2f\143\x6c\160\x63\164\x6c\x20\x72\x65\155\157\x74\145\x2d\142\141\x63\x6b\x75\x70\x3a\x63\x72\145\141\164\145\x20\x2d\55\144\145\154\x61\x79\x3d\x74\x72\165\x65\42\x20\x26\x3e\x20\57\x64\x65\x76\x2f\x6e\165\154\154", $executionTime); goto Aa40a; E325a: goto E6a1a; goto dd9e5; Afe96: $writeCronJobFileCommand->setContent($cronJobContent); goto E8d26; d4d60: $cronJobContent = sprintf("\115\x41\x49\114\x54\x4f\75\x22\x22\x25\163", PHP_EOL); goto dc7f6; c9681: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto Afe96; Aa40a: E6a1a: goto aade9; d042b: $cronJobContent .= sprintf("\x30\x20\x2a\57\x25\x73\40\x2a\x20\x2a\40\x2a\x20\143\x6c\x70\40\x2f\165\163\162\x2f\142\x69\156\x2f\142\141\x73\150\x20\55\x63\x20\42\57\x75\163\162\57\142\x69\x6e\57\x63\154\160\x63\x74\x6c\40\x72\x65\x6d\x6f\x74\145\55\x62\x61\x63\153\165\160\x3a\143\162\145\141\x74\145\x20\x2d\x2d\x64\145\154\x61\171\75\x74\x72\165\x65\42\40\46\76\40\57\144\x65\166\57\x6e\165\154\x6c", $frequency); goto E325a; bf931: } private function addFlagsToCommand(array $flags, $command) : void { goto De7c7; F27f3: c448c: goto a6548; De7c7: if (!(false === empty($flags))) { goto c448c; } goto a4617; a6937: c9b8c: goto F27f3; a4617: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\154\x61\x67"], $flagData["\166\x61\154\165\145"]); F8163: } goto a6937; a6548: } public function deleteCronJob() : void { goto Cfb10; Ea95e: $this->commandExecutor->execute($deleteCronJobFileCommand); goto Df541; b7d8c: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto Ea95e; Cfb10: $deleteCronJobFileCommand = new DeleteFileCommand(); goto b7d8c; Df541: } public function deleteCredentials() : void { goto E7e7b; c9f7c: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto c08ef; c08ef: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto E506e; E7e7b: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto c9f7c; E506e: } }
