<?php
 namespace App\CloudPanel; use GuzzleHttp\Client as HttpClient; use App\Util\Retry; use App\System\CommandExecutor; use App\System\Command\SedCommand; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\System\Command\ServiceRestartCommand; use App\System\Command\SetTimezoneCommand; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\System\Service; class Instance { const HTTP_CLIENT_TIMEOUT = 5; const ARCHITECTURE_ARM = "\141\141\162\143\x68\66\64"; const ARCHITECTURE_X86 = "\x78\70\66\137\66\64"; const OPERATING_SYSTEM_DEBIAN = "\104\145\x62\x69\141\x6e"; const OPERATING_SYSTEM_UBUNTU = "\x55\x62\x75\x6e\164\x75"; const PHP_DIRECTORY = "\x2f\145\164\x63\x2f\160\150\160\57"; const PROFTPD_SERVICE_NAME = "\160\162\157\x66\x74\x70\144"; const PROFTPD_CONFIG_FILE = "\x2f\x65\164\143\x2f\160\x72\157\x66\x74\x70\x64\x2f\x70\x72\x6f\146\164\x70\144\x2e\x63\157\x6e\146"; protected ?string $uid = null; protected ?string $architecture = null; protected ?string $hostname = null; protected ?string $ipv4PublicIp = null; protected ?string $ipv6PublicIp = null; protected ?string $region = null; protected ?string $operatingSystemName = null; protected ?string $operatingSystemVersion = null; protected array $services = []; protected array $phpVersions = []; protected CommandExecutor $commandExecutor; protected Environment $environment; protected ?HttpClient $httpClient = null; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function getArchitecture() : ?string { goto C3793; bf125: $this->architecture = php_uname("\x6d"); goto Fe9da; C3793: if (!(true === is_null($this->architecture))) { goto Aba0e; } goto bf125; B7f20: return $this->architecture; goto f4a84; Fe9da: Aba0e: goto B7f20; f4a84: } public function isArmArchitecture() : bool { goto A74cd; A74cd: $architecture = $this->getArchitecture(); goto B9bf5; Cb629: return $isArmArchitecture; goto a1e1f; B9bf5: $isArmArchitecture = self::ARCHITECTURE_ARM == $architecture; goto Cb629; a1e1f: } public function getUid() : string { return $this->uid; } public function setUid(string $uid) : void { $this->uid = $uid; } public function setHostname(string $hostname) : void { $this->hostname = $hostname; } public function getHostname() : string { return $this->hostname; } public function setRegion(string $region) : void { $this->region = $region; } public function getRegion() : ?string { return $this->region; } public function setIpv4PublicIp(string $ipv4PublicIp) : void { $this->ipv4PublicIp = $ipv4PublicIp; } public function getIpv4PublicIp() : ?string { return $this->ipv4PublicIp; } public function setIpv6PublicIp(string $ipv6PublicIp) : void { $this->ipv6PublicIp = $ipv6PublicIp; } public function getIpv6PublicIp() : string { return $this->ipv6PublicIp; } public function setEnvironment(Environment $environment) : void { $this->environment = $environment; } public function getEnvironment() : Environment { return $this->environment; } public function getServices() : array { goto A6a8e; f7895: $this->services[$nginxService->getServiceName()] = $nginxService; goto a19a7; A7bf0: uasort($this->services, function ($a, $b) { return $a->getName() > $b->getName(); }); goto Aa024; A6a8e: if (!(true === empty($this->services))) { goto Ad3e2; } goto A70d2; A70d2: $nginxService = new Service(); goto c3cce; A0421: if (!count($phpVersions)) { goto D12bb; } goto B7571; c3cce: $nginxService->setName("\x4e\x47\x49\116\x58"); goto C6175; dca94: $phpVersions = $this->getPhpVersions(); goto A0421; e4f68: $mysqlService = new Service(); goto B870c; C6175: $nginxService->setServiceName("\156\147\x69\x6e\170"); goto e4f68; Bd034: return $this->services; goto C1422; f91d6: $varnishCache->setServiceName("\x76\141\162\x6e\x69\x73\150"); goto D7902; e4076: $mysqlService->setServiceName("\x6d\171\x73\161\x6c"); goto Fbfe0; Aa024: $varnishCache = new Service(); goto Fe2c9; Fbdb8: D12bb: goto A7bf0; B870c: $mysqlService->setName("\115\x79\123\121\114"); goto e4076; C139a: $redisServer->setServiceName("\162\x65\144\151\163\x2d\x73\x65\x72\166\145\162"); goto f7895; Fe2c9: $varnishCache->setName("\x56\x61\x72\x6e\151\x73\150\x20\103\x61\143\150\145"); goto f91d6; c0f5e: $this->services[$redisServer->getServiceName()] = $redisServer; goto dca94; Fbfe0: $redisServer = new Service(); goto Fba7c; Fba7c: $redisServer->setName("\122\145\x64\x69\163\40\x53\x65\x72\x76\x65\x72"); goto C139a; A22b9: a3e8e: goto Fbdb8; a19a7: $this->services[$mysqlService->getServiceName()] = $mysqlService; goto c0f5e; eee31: Ad3e2: goto Bd034; D7902: $this->services[$varnishCache->getServiceName()] = $varnishCache; goto eee31; B7571: foreach ($phpVersions as $phpVersion) { goto ad99a; e3304: $this->services[$phpService->getServiceName()] = $phpService; goto c8274; F2ab3: $phpService->setName(sprintf("\120\110\120\x2d\106\x50\115\40\x25\163", $phpVersion)); goto b713a; ad99a: $phpService = new Service(); goto F2ab3; b713a: $phpService->setServiceName(sprintf("\x70\150\x70\45\163\x2d\x66\160\155", $phpVersion)); goto e3304; c8274: F8983: goto d5a21; d5a21: } goto A22b9; C1422: } public function restartService(Service $service) : void { goto d311f; C448b: $serviceRestartCommand->setServiceName($serviceName); goto F68f9; E578c: $serviceRestartCommand = new ServiceRestartCommand(); goto C448b; d311f: $serviceName = $service->getServiceName(); goto E578c; F68f9: $this->commandExecutor->execute($serviceRestartCommand); goto c49c6; c49c6: } public function getOperatingSystemName() : string { $this->operatingSystemName = false === file_exists("\57\145\164\x63\57\x6c\x73\x62\x2d\162\x65\x6c\145\x61\163\x65") ? self::OPERATING_SYSTEM_DEBIAN : self::OPERATING_SYSTEM_UBUNTU; return $this->operatingSystemName; } public function operatingSystemVersion() : string { goto A541e; A541e: $operatingSystemName = $this->getOperatingSystemName(); goto Bdd6d; df477: return $this->operatingSystemVersion; goto d4eef; Ab42e: d7b6a: goto d2ccf; d2ccf: c51ec: goto df477; Bdd6d: switch ($operatingSystemName) { case self::OPERATING_SYSTEM_DEBIAN: $this->operatingSystemVersion = trim(file_get_contents("\57\x65\164\x63\x2f\x64\145\x62\x69\141\156\137\x76\145\162\163\x69\x6f\156")); goto c51ec; case self::OPERATING_SYSTEM_UBUNTU: goto d56d8; Ee19e: $operatingSystemVersion = substr($operatingSystemVersionId, 12, -1); goto d85e0; C9d81: $operatingSystemVersionId = $osReleaseInformation[2] ?? ''; goto Ee19e; d85e0: $this->operatingSystemVersion = $operatingSystemVersion; goto b8ab5; d56d8: $osReleaseInformation = explode(PHP_EOL, trim(file_get_contents("\57\145\x74\x63\57\x6f\163\x2d\162\x65\154\145\141\x73\x65"))); goto C9d81; b8ab5: goto c51ec; goto D7c5d; D7c5d: } goto Ab42e; d4eef: } public function getPhpVersions() : array { goto cfbec; e5703: ffdb1: goto Ab933; dea84: foreach (new \DirectoryIterator(self::PHP_DIRECTORY) as $fileInfo) { goto C1ec7; Bf9cf: if (!(true === is_float($phpVersion + 0))) { goto f3148; } goto Fd577; c6880: $phpVersion = $fileInfo->getBasename(); goto Bf9cf; Db627: Fb7e6: goto eca1b; eca1b: D9611: goto B9da7; C1ec7: if (!(false === $fileInfo->isDot())) { goto Fb7e6; } goto c6880; Fd577: $this->phpVersions[] = $phpVersion; goto B49ea; B49ea: f3148: goto Db627; B9da7: } goto e5703; cfbec: if (!(true === empty($this->phpVersions))) { goto e124a; } goto dea84; d6ff9: e124a: goto Af0a6; Af0a6: return $this->phpVersions; goto d8ffc; Ab933: rsort($this->phpVersions); goto d6ff9; d8ffc: } public function getProcessorCores() : int { goto d06b2; A428a: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto c68a7; D8c78: $this->commandExecutor->execute($processorCoresCommand); goto A428a; c68a7: return $numberOfProcessorCores; goto Ba08c; d06b2: $processorCoresCommand = new ProcessorCoresCommand(); goto D8c78; Ba08c: } public function getMemory($unit = "\107\102") : string { goto C0537; C0537: $totalMemoryInBytes = $this->getTotalMemoryInBytes(); goto B9d44; B9d44: $memory = HumanFileSizeUtil::convert($totalMemoryInBytes, $unit, 0); goto B6860; B6860: return $memory; goto D917b; D917b: } private function getTotalMemoryInBytes() : int { goto a85ca; Ee968: $this->commandExecutor->execute($memoryInformationCommand); goto e3019; Afd8c: return $totalMemoryInBytes; goto c7aea; e3019: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto Afd8c; a85ca: $memoryInformationCommand = new MemoryInformationCommand(); goto Ee968; c7aea: } public function setProftpdMasqueradeAddress($masqueradeAddress) : void { goto f0f25; f2f1e: $serviceRestartCommand->setServiceName(self::PROFTPD_SERVICE_NAME); goto f6fa0; f6fa0: $this->commandExecutor->execute($sedCommand); goto A06b5; A06b5: $this->commandExecutor->execute($serviceRestartCommand); goto b247b; Aa383: $sedCommand->setPattern(sprintf("\163\x2f\115\x61\x73\x71\165\145\x72\x61\x64\x65\101\144\x64\162\145\x73\163\x2e\x2a\x2f\x4d\141\163\x71\x75\x65\x72\x61\x64\145\101\144\x64\x72\x65\163\163\x20\x25\163\x2f\147", $masqueradeAddress)); goto d79bf; d21a2: $sedCommand->setFile(self::PROFTPD_CONFIG_FILE); goto Aa383; f0f25: $sedCommand = new SedCommand(); goto d21a2; d79bf: $serviceRestartCommand = new ServiceRestartCommand(); goto f2f1e; b247b: } public function setTimezone(string $timezone) : void { goto D2599; Bac32: $this->commandExecutor->execute($setTimezoneCommand); goto A7fcb; a16ca: $setTimezoneCommand->setTimezone($timezone); goto Bac32; D2599: $setTimezoneCommand = new SetTimezoneCommand(); goto a16ca; A7fcb: } public function reboot($delay = 5) : void { shell_exec(sprintf("\50\x2f\x62\x69\x6e\57\163\154\145\x65\x70\40\x25\x73\x20\46\46\40\57\x75\163\x72\57\142\x69\x6e\57\163\165\x64\157\x20\x72\145\x62\157\x6f\164\51\40\76\x20\57\x64\x65\x76\57\156\x75\154\154\40\x26", $delay)); } protected function getHttpClient() : HttpClient { goto A30df; B9436: $this->httpClient = new HttpClient($config); goto dae63; E91a8: return $this->httpClient; goto D3859; A187a: $config = ["\164\151\155\145\157\165\164" => self::HTTP_CLIENT_TIMEOUT, "\x76\145\162\x69\x66\x79" => false]; goto B9436; dae63: d04fc: goto E91a8; A30df: if (!(true === is_null($this->httpClient))) { goto d04fc; } goto A187a; D3859: } protected function retry(callable $fn, $retries = 2, $delay = 3) { return Retry::retry($fn, $retries, $delay); } }
