<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto b38a3; D342d: $this->validator = $validator; goto a43ee; e3821: $this->databaseServerEntityManager = $databaseServerEntityManager; goto D342d; Cd93e: $this->databaseEntityManager = $databaseEntityManager; goto E4e45; E4e45: $this->databaseUserEntityManager = $databaseUserEntityManager; goto e3821; a43ee: parent::__construct(); goto C1504; b38a3: $this->siteEntityManager = $siteEntityManager; goto Cd93e; C1504: } protected function configure() : void { goto E0832; d48b9: $this->addOption("\144\x61\x74\141\142\x61\163\x65\125\163\145\x72\x4e\x61\155\145", null, InputOption::VALUE_REQUIRED); goto fab2d; fab2d: $this->addOption("\144\141\164\141\142\141\163\145\125\163\145\x72\x50\x61\163\163\167\x6f\162\x64", null, InputOption::VALUE_REQUIRED); goto ee2b4; ac790: $this->setDescription("\143\154\x70\x63\x74\154\40\144\x62\x3a\141\144\x64\x20\x2d\x2d\144\157\x6d\x61\151\156\116\x61\155\x65\x3d\x77\167\167\x2e\144\x6f\x6d\x61\x69\x6e\56\x63\157\x6d\x20\x2d\x2d\x64\141\x74\141\142\x61\x73\x65\x4e\141\x6d\x65\75\x6d\x79\55\x64\x61\164\x61\x62\141\163\x65\x20\x2d\55\144\x61\164\141\x62\141\163\x65\125\163\x65\x72\x4e\141\155\145\x3d\152\x6f\x68\156\40\x2d\55\144\x61\164\141\142\141\x73\145\x55\x73\x65\x72\120\141\x73\163\x77\x6f\162\144\x3d\47\x21\x73\x65\143\x72\x65\164\120\141\x73\x73\x77\157\x72\x64\x21\47"); goto ac804; E0832: $this->setName("\144\x62\x3a\x61\144\144"); goto ac790; eabed: $this->addOption("\144\x61\x74\141\142\141\163\145\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto d48b9; ac804: $this->addOption("\144\157\x6d\141\x69\156\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto eabed; ee2b4: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto cf952; D0e62: $constraints->addAll($databaseUserConstraints); goto E3707; B7249: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto e2200; C3828: a45f7: goto D4c80; Bef81: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto de94b; f62a1: cc8ca: goto F6525; C1a0c: $databaseUserPassword = trim($input->getOption("\x64\141\x74\141\x62\141\x73\145\125\163\145\x72\x50\141\x73\x73\167\x6f\162\144")); goto B7249; A1141: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto d6c18; e2200: if (!(true === is_null($siteEntity))) { goto cc8ca; } goto d8d8d; E3707: return $this->renderConstraints($constraints, $output); goto C1a9f; a6b3c: return BaseCommand::SUCCESS; goto fec5f; E5d9d: $constraints->addAll($databaseConstraints); goto D0e62; de94b: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto a45f7; } goto Ccd85; A21c1: return BaseCommand::FAILURE; goto E033b; d5c1b: $siteEntity->addDatabase($databaseEntity); goto Fd9db; Dac2e: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto A1141; Db747: $databaseEntity->addUser($databaseUserEntity); goto d5c1b; c6692: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto a2349; C527c: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Ec3bf; Fd9db: $databaseConstraints = $this->validator->validate($databaseEntity); goto Bef81; Ccd85: $constraints = new ConstraintViolationList(); goto E5d9d; Dc1db: $domainName = trim($input->getOption("\x64\x6f\155\x61\x69\x6e\116\x61\155\x65")); goto f00fe; c0e61: $databaseEntity = $this->databaseEntityManager->createEntity(); goto C527c; d6c18: $databaseUserEntity->setDatabase($databaseEntity); goto Db747; D84ce: $databaseManager->createUser($databaseUserEntity); goto Fb9b1; F6525: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e33cd; d8d8d: throw new \Exception(sprintf("\104\157\x6d\141\151\x6e\116\141\x6d\145\40\42\x25\163\x22\x20\x64\x6f\x65\x73\x20\x6e\157\164\x20\145\x78\x69\163\164\56", $domainName)); goto f62a1; Ec3bf: $databaseEntity->setName($databaseName); goto E5f6a; E5f6a: $databaseEntity->setSite($siteEntity); goto c6692; Fb9b1: $this->siteEntityManager->updateEntity($siteEntity); goto B953e; C1a9f: goto c510d; goto C3828; Ce954: $databaseManager->createDatabase($databaseEntity); goto D84ce; cf952: $this->validateInput($input); goto Dc1db; D4c80: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Ce954; B953e: $output->writeln(sprintf("\x3c\x69\x6e\x66\x6f\x3e\x44\x61\164\141\x62\141\163\145\x3c\57\x69\156\x66\157\76\40\74\x63\x6f\155\155\x65\x6e\164\76\45\x73\74\57\143\157\x6d\x6d\145\x6e\164\x3e\x20\74\151\156\146\x6f\x3e\150\141\163\x20\x62\145\x65\156\40\141\144\144\145\144\56\x3c\x2f\151\156\x66\157\76", $databaseName)); goto a6b3c; F51a4: $databaseUserName = trim($input->getOption("\x64\141\x74\x61\x62\141\163\145\125\x73\x65\x72\116\141\x6d\x65")); goto C1a0c; bdc88: a9ad2: goto A21c1; fec5f: c510d: goto bdc88; f00fe: $databaseName = trim($input->getOption("\144\141\164\141\142\141\x73\145\x4e\141\x6d\x65")); goto F51a4; a2349: $databaseUserEntity->setUserName($databaseUserName); goto Dac2e; e33cd: if (!(false === is_null($activeDatabaseServerEntity))) { goto a9ad2; } goto c0e61; E033b: } catch (\Exception $e) { goto e5ce2; aab45: $output->writeln(sprintf("\x3c\145\162\162\157\x72\x3e\x25\x73\x3c\x2f\x65\x72\x72\157\x72\76", $errorMessage)); goto f60ad; e5ce2: $errorMessage = $e->getMessage(); goto aab45; f60ad: return BaseCommand::FAILURE; goto e7d0d; e7d0d: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\145", "\x64\141\164\141\x62\141\x73\x65\x4e\x61\x6d\145", $constraints); $this->changePropertyPath("\x75\x73\x65\x72\116\141\155\145", "\x64\141\x74\141\142\x61\163\x65\x55\x73\145\162\116\141\155\x65", $constraints); } }
