<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto e6bda; e9736: $this->databaseEntityManager = $databaseEntityManager; goto f6061; f6061: $this->databaseServerEntityManager = $databaseServerEntityManager; goto A0a76; e6bda: $this->siteEntityManager = $siteEntityManager; goto e9736; bc2b8: $this->validator = $validator; goto fcb1b; A0a76: $this->commandExecutor = new CommandExecutor(); goto bc2b8; fcb1b: parent::__construct(); goto Cd8f7; Cd8f7: } protected function configure() : void { goto cb2f8; a1284: $this->addOption("\151\x67\x6e\157\x72\x65\x44\141\x74\x61\x62\141\x73\145\163", null, InputOption::VALUE_OPTIONAL); goto A6b7f; ea841: $this->setDescription("\143\154\x70\x63\x74\154\40\144\x62\72\142\141\143\x6b\165\160\x20\55\x2d\x69\147\156\157\162\145\x44\141\x74\x61\x62\141\x73\x65\x73\75\47\x64\142\61\x2c\144\142\62\x27\x20\55\55\162\145\x74\x65\156\164\x69\157\156\120\x65\x72\x69\x6f\144\x3d\x37"); goto a1284; cb2f8: $this->setName("\144\x62\72\x62\141\143\x6b\165\160"); goto ea841; A6b7f: $this->addOption("\x72\145\x74\x65\156\164\x69\x6f\156\120\x65\162\151\157\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto f238c; f238c: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto a02c7; e3bb3: if (!count($siteEntities)) { goto B232b; } goto D04e8; a02c7: $this->validateInput($input); goto F4e3d; cb757: return BaseCommand::SUCCESS; goto D3c1b; C57de: $this->retentionPeriod = (int) $input->getOption("\x72\x65\164\x65\x6e\164\x69\157\x6e\x50\x65\162\x69\157\x64"); goto c4bf2; F1ef5: B5692: goto Ebb43; Ebb43: B232b: goto cb757; c4bf2: $siteEntities = $this->siteEntityManager->findAll(); goto e3bb3; F4e3d: $ignoredDatabases = explode("\54", $input->getOption("\151\147\156\157\162\x65\104\141\164\141\x62\x61\x73\x65\x73")); goto C57de; D04e8: foreach ($siteEntities as $siteEntity) { goto Ce6ef; Aef3a: d07e9: goto a289a; D48f0: Dd24d: goto C08c5; C08c5: E3548: goto Aef3a; B0056: if (!count($databaseEntities)) { goto E3548; } goto C07cf; Ce6ef: $databaseEntities = $siteEntity->getDatabases(); goto B0056; C07cf: foreach ($databaseEntities as $databaseEntity) { goto bd926; b29b0: $this->createDatabaseDump($databaseEntity); goto a48fa; E0784: d3d1d: goto f8b5c; C5384: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto de113; } goto b29b0; bd926: $databaseName = $databaseEntity->getName(); goto C5384; a48fa: de113: goto E0784; f8b5c: } goto D48f0; a289a: } goto F1ef5; D3c1b: } catch (\Exception $e) { goto a0b97; a0b97: $errorMessage = $e->getMessage(); goto def55; ff473: return BaseCommand::FAILURE; goto dd1b1; def55: $output->writeln(sprintf("\x3c\x65\162\x72\x6f\x72\76\x25\163\74\57\x65\162\162\157\x72\76", $errorMessage)); goto ff473; dd1b1: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto B77a2; e33d4: $backupDirectory = sprintf("\57\x68\x6f\x6d\x65\57\x25\163\x2f\142\141\x63\x6b\165\160\163\57\144\141\x74\141\142\x61\163\145\x73\x2f", $siteUser); goto bc925; C3a2d: $databaseExporter = new DatabaseExporter($databaseEntity); goto C74be; B9b2c: $siteUser = $siteEntity->getUser(); goto Cb86d; c6ccd: $this->cleanUpBackups($databaseEntity); goto fec8e; Cb86d: $databaseName = $databaseEntity->getName(); goto e33d4; C74be: $databaseExporter->setFile($outputFile); goto Abd93; f1adb: $databaseExporter->export(); goto bdcd2; Abd93: $databaseExporter->createOutputDirectory(); goto f1adb; a71b5: $siteEntity = $databaseEntity->getSite(); goto B9b2c; B77a2: $dateTime = new \DateTime("\x6e\157\x77", new \DateTimeZone("\x55\124\103")); goto a71b5; bc925: $outputDirectory = sprintf("\x25\163\x2f\x25\x73\57\45\x73\x2f", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\131\55\x6d\x2d\x64")); goto e20a5; bdcd2: $this->resetPermissions($databaseEntity); goto c6ccd; e20a5: $outputFile = sprintf("\x25\x73\57\x25\x73", rtrim($outputDirectory, "\57"), sprintf("\45\x73\137\45\x73\x2e\163\161\x6c\x2e\147\172", $databaseName, $dateTime->getTimestamp())); goto C3a2d; fec8e: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto Db729; aa1ea: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto e7c56; e7c56: $backupDirectoryChmodCommand->setFileChmod(760); goto f11c1; F3c28: $siteUser = $siteEntity->getUser(); goto Fa976; Fb37d: $backupDirectoryChownCommand = new ChownCommand(); goto bea17; b3a10: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto A9029; D806e: $backupDirectoryChownCommand->setRecursive(true); goto bba3e; Db729: $siteEntity = $databaseEntity->getSite(); goto F3c28; ff50f: $backupDirectoryChmodCommand = new FindChmodCommand(); goto Bea26; Bea26: $backupDirectoryChmodCommand->setFile($backupDirectory); goto aa1ea; Fecbd: $backupDirectoryChownCommand->setGroup($siteUser); goto ff50f; Fa976: $backupDirectory = sprintf("\x2f\x68\x6f\155\145\x2f\45\163\57\142\141\143\153\x75\x70\163\57\144\141\164\x61\142\x61\x73\x65\x73\x2f", $siteUser); goto Fb37d; bba3e: $backupDirectoryChownCommand->setUser($siteUser); goto Fecbd; bea17: $backupDirectoryChownCommand->setFile($backupDirectory); goto D806e; f11c1: $this->commandExecutor->execute($backupDirectoryChownCommand); goto b3a10; A9029: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto B4c88; e6a0b: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto aa91e; B4c88: $siteEntity = $databaseEntity->getSite(); goto D1691; abc90: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto Beeb0; aa91e: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto Bb731; d7c13: $databaseBackupDirectory = sprintf("\57\150\x6f\x6d\x65\57\45\163\x2f\x62\141\x63\x6b\165\160\x73\57\x64\x61\x74\141\x62\x61\x73\x65\163\x2f", $siteUser); goto e6a0b; Bb731: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto abc90; D1691: $siteUser = $siteEntity->getUser(); goto d7c13; Beeb0: } }
