<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto b5f9d; bb4f7: $this->validator = $validator; goto A7263; b5f9d: $this->siteEntityManager = $siteEntityManager; goto fb1a1; A7263: parent::__construct(); goto e42c2; F0390: $this->databaseUserEntityManager = $databaseUserEntityManager; goto f0070; f0070: $this->databaseServerEntityManager = $databaseServerEntityManager; goto bb4f7; fb1a1: $this->databaseEntityManager = $databaseEntityManager; goto F0390; e42c2: } protected function configure() : void { goto b90fc; Edeac: $this->addOption("\146\157\162\143\145", "\146", InputOption::VALUE_NONE); goto dfb33; B4bee: $this->setDescription("\x63\x6c\160\143\164\154\40\144\x62\x3a\x64\145\154\x65\164\145\40\x2d\x2d\144\141\164\x61\142\141\163\x65\116\x61\155\x65\x3d\x6d\x79\x2d\144\x61\x74\x61\x62\x61\163\145"); goto Bf220; Bf220: $this->addOption("\x64\x61\x74\x61\x62\x61\163\145\x4e\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto Edeac; b90fc: $this->setName("\x64\x62\x3a\144\x65\154\x65\x74\145"); goto B4bee; dfb33: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Bc5e7; e9102: if (!(true === is_null($databaseEntity))) { goto B7b32; } goto c82c7; fdb20: if (!(false === $force)) { goto Fbab6; } goto d6588; D045f: return BaseCommand::SUCCESS; goto e31f0; C31cc: Fbab6: goto b1178; D3e10: $databaseManager->deleteDatabase($databaseEntity, true); goto Dac26; E4f2d: D8d9e: goto C31cc; a1298: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto e9102; De986: $this->siteEntityManager->updateEntity($siteEntity); goto ee4b1; D1e2c: if (!(false === $answer)) { goto D8d9e; } goto d1df9; a3253: $databaseName = trim($input->getOption("\x64\141\164\x61\x62\141\x73\145\116\141\x6d\x65")); goto C6e95; c4509: $question = new ConfirmationQuestion(sprintf("\74\x69\156\x66\157\76\x43\157\156\146\x69\162\155\40\x74\x6f\x20\144\145\x6c\145\x74\x65\40\x74\x68\145\x20\x64\141\x74\x61\142\141\x73\145\72\x20\45\x73\x3c\57\151\x6e\x66\157\76\x20\x3c\x63\157\x6d\x6d\x65\156\x74\x3e\50\171\x65\x73\57\x6e\157\51\72\x3c\x2f\x63\157\155\x6d\145\x6e\164\x3e\40", $databaseName), false, "\x2f\136\x28\x79\x65\163\x29\57\x69"); goto a61bd; b1178: $siteEntity = $databaseEntity->getSite(); goto f15be; d6588: $helper = $this->getHelper("\x71\x75\x65\163\164\x69\x6f\x6e"); goto c4509; a61bd: $answer = $helper->ask($input, $output, $question); goto D1e2c; c82c7: throw new \Exception(sprintf("\x44\x61\x74\141\142\141\163\x65\x20\42\45\x73\42\x20\x64\x6f\145\x73\x20\156\157\x74\40\x65\170\151\163\164\x2e", $databaseName)); goto A6691; ee4b1: $output->writeln(sprintf("\74\151\x6e\x66\x6f\76\x44\141\x74\x61\x62\x61\x73\145\x3c\x2f\151\156\146\x6f\76\40\74\143\157\x6d\x6d\x65\156\164\76\x25\x73\74\57\x63\157\x6d\x6d\x65\156\164\x3e\x20\74\x69\x6e\x66\x6f\x3e\x68\x61\163\40\x62\x65\x65\x6e\x20\144\x65\x6c\x65\164\145\144\x2e\x3c\57\x69\x6e\146\157\x3e", $databaseName)); goto D045f; Bc5e7: $this->validateInput($input); goto a3253; f15be: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Ad16c; d1df9: return BaseCommand::SUCCESS; goto E4f2d; Dac26: $siteEntity->removeDatabase($databaseEntity); goto De986; Ad16c: $databaseManager = new DatabaseManager($databaseServerEntity); goto D3e10; C6e95: $force = $input->getOption("\x66\157\x72\x63\145") === true; goto a1298; A6691: B7b32: goto fdb20; e31f0: } catch (\Exception $e) { goto f4105; Eea79: return BaseCommand::FAILURE; goto ca93b; D49f3: $output->writeln(sprintf("\74\145\162\162\157\x72\76\x25\x73\74\57\x65\162\x72\157\162\76", $errorMessage)); goto Eea79; f4105: $errorMessage = $e->getMessage(); goto D49f3; ca93b: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\141\x6d\145", "\144\141\x74\x61\x62\x61\163\145\116\x61\155\x65", $constraints); $this->changePropertyPath("\165\163\145\162\x4e\141\x6d\145", "\x64\x61\x74\141\x62\x61\163\x65\x55\x73\145\162\116\141\155\x65", $constraints); } }
