<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto eb0b1; eb0b1: $this->siteEntityManager = $siteEntityManager; goto c19de; A0c45: parent::__construct(); goto E8b89; A21a7: $this->validator = $validator; goto A0c45; E69fa: $this->logger = $logger; goto A21a7; c19de: $this->commandExecutor = new CommandExecutor(); goto E69fa; E8b89: } protected function configure() : void { goto F385f; F385f: $this->setName("\162\145\x6d\157\164\x65\x2d\x62\x61\x63\x6b\x75\x70\x3a\x63\162\145\141\164\145"); goto ab7ef; ab7ef: $this->setDescription("\143\x6c\160\x63\164\154\x20\162\x65\x6d\x6f\164\x65\x2d\x62\141\x63\x6b\x75\x70\x3a\x63\x72\145\x61\164\145"); goto ee80f; ee80f: $this->addOption("\144\145\x6c\x61\171", null, InputOption::VALUE_OPTIONAL, false); goto Ca3a1; Ca3a1: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E8b62; Ec99c: return BaseCommand::SUCCESS; goto D51f0; E2736: $this->backupDatabases(clone $input, clone $output); goto E772f; B3ec0: d59e5: goto E2d84; eb7a5: $delay = (bool) $input->getOption("\x64\145\x6c\x61\171"); goto f79d0; B5590: $siteEntities = $this->siteEntityManager->findAll(); goto B0e57; D9014: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto A0d7c; } goto B5590; B0e57: if (!count($siteEntities)) { goto Ab43b; } goto E2736; B2421: $this->storageProvider = $this->getConfigValue("\162\x65\155\x6f\164\x65\x5f\142\x61\x63\153\x75\160\137\x73\164\x6f\162\x61\147\x65\137\160\x72\157\x76\151\144\145\162"); goto D9014; Fe6eb: $isEnabled = (bool) $this->getConfigValue("\x72\145\x6d\x6f\164\x65\x5f\x62\141\143\153\165\x70\x5f\x65\x6e\141\142\154\145\144"); goto B2421; E8b62: $this->validateInput($input); goto Fe6eb; E2d84: Ab43b: goto D455a; E772f: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto B559e; } goto eb7a5; e4007: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); d8683: } goto B3ec0; f79d0: $this->refreshDropboxAccessToken($delay); goto b769b; Da5a9: A0d7c: goto Ec99c; D455a: $this->cleanBackups(); goto Da5a9; b769b: B559e: goto e4007; D51f0: } catch (\Exception $e) { goto e8333; a01f9: return BaseCommand::FAILURE; goto e2c68; F3acb: $output->writeln(sprintf("\74\145\x72\x72\x6f\x72\76\45\x73\x3c\x2f\145\x72\162\157\162\76", $errorMessage)); goto a01f9; e8333: $errorMessage = $e->getMessage(); goto F3acb; e2c68: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto Aebae; Aebae: $application = $this->getApplication(); goto a2326; e9bd4: $exitCode = $command->run($input, $output); goto d652c; a2326: $command = $application->find("\x64\142\x3a\142\x61\x63\153\165\160"); goto e9bd4; d652c: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto b273e; b273e: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto Ffc4b; B34e4: c1cb9: goto C5620; Ffc4b: if (!(false === $isSiteExcluded)) { goto c1cb9; } goto A83ce; A83ce: try { try { goto Bcc9f; Fec4c: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto Bacde; a531d: if (!(false === empty($siteExcludes))) { goto c44d2; } goto f6d68; d2615: $domainName = $siteEntity->getDomainName(); goto F359e; B5d92: $rclone->copy($destinationFile, $destination); goto aa471; Bcc9f: $excludes = ["\x2e\163\163\150", "\x74\x6d\x70", "\154\x6f\147\x73"]; goto F4268; f4d26: $siteSettingsFile = sprintf("\x2f\150\157\155\145\57\x25\163\57\163\151\x74\145\55\163\145\164\x74\x69\x6e\x67\x73\x2e\152\x73\x6f\156", $siteUser); goto ba5b5; C32c0: $destinationFile = sprintf("\57\x68\157\155\x65\57\x25\163\57\x74\x6d\160\57\x62\x61\x63\153\x75\x70\56\x74\141\x72", $siteUser); goto f4d26; e1e3d: $sources = [$homeDirectory, $vhostFile]; goto f8322; F359e: $homeDirectory = sprintf("\57\x68\157\x6d\x65\57\45\x73\x2f", $siteUser); goto fe6a7; ba5b5: $siteVhostFile = sprintf("\57\150\x6f\x6d\x65\57\45\163\x2f\x73\151\164\145\x2d\166\150\x6f\163\164", $siteUser); goto Fec4c; F4268: $siteExcludes = $this->getSiteExcludes($siteEntity); goto a531d; b78e4: B8424: goto B5d92; fe6a7: $vhostFile = sprintf("\57\145\x74\x63\57\156\x67\x69\x6e\x78\57\163\151\164\145\x73\55\x65\156\141\x62\x6c\145\x64\x2f\45\163\x2e\x63\157\156\146", $domainName); goto C32c0; c545b: B02b6: goto b78e4; f6d68: $excludes = array_merge($excludes, $siteExcludes); goto Dc1f7; C066b: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto fa20f; a58d3: $rclone->addFlag("\55\x2d\144\x72\151\166\x65\55\151\155\160\x65\162\x73\157\x6e\141\x74\145", $email); goto f32fb; fa20f: $email = $this->getConfigValue("\x72\145\x6d\x6f\164\x65\137\x62\141\x63\153\165\160\x5f\145\x6d\x61\151\154"); goto a58d3; f32fb: goto B8424; goto ed034; ed034: } goto c545b; F711e: $rclone = new Rclone(); goto C066b; ab20f: $siteUser = $siteEntity->getUser(); goto d2615; Bacde: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto e1e3d; Cf102: $tarCreator->create($sources, $destinationFile, $excludes); goto A11fa; Dc1f7: c44d2: goto ab20f; f8322: $tarCreator = new TarCreator(); goto Cf102; A11fa: $destination = $this->getDestination($siteEntity); goto F711e; aa471: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto b6067; a8c62: $this->commandExecutor->execute($deleteFileCommand, 60); goto Bfecc; b6067: $deleteFileCommand = new DeleteFileCommand(); goto C5778; Bfecc: E9bc3: goto F836f; C5778: $deleteFileCommand->setFile($file); goto a8c62; F836f: } eb2f7: } } catch (\Exception $e) { goto A797b; e9d34: $subject = sprintf("\122\145\155\157\164\x65\x20\102\141\143\x6b\165\x70\x20\x66\x61\151\x6c\x65\x64\x3a\x20\x25\x73", $domainName); goto fb918; fb918: $this->addNotification($subject, $errorMessage); goto a26da; A797b: $errorMessage = $e->getMessage(); goto e9d34; a26da: } goto B34e4; C5620: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto e2d02; Fb9fc: b24f8: goto E3c41; e64d4: $this->commandExecutor->execute($writeFileCommand, 15); goto d2054; e2d02: $siteType = $siteEntity->getType(); goto C3185; d1c6d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto E4d31; E4d31: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto A9a0e; ab21a: $settings["\x6e\x6f\x64\x65\x6a\163\x53\145\164\164\151\x6e\147\x73"] = $nodejsSettings; goto ca994; A9a0e: $nodejsSettings = ["\x76\145\x72\163\x69\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\x6f\162\164" => $nodejsSettingsEntity->getPort()]; goto ab21a; ca994: goto b24f8; goto C6608; C6608: case SiteEntity::TYPE_PHP: goto d9734; c6109: goto b24f8; goto F4b55; b9b92: $phpSettings = ["\166\145\x72\x73\x69\157\156" => $phpSettingsEntity->getPhpVersion(), "\x6d\x65\x6d\x6f\162\171\114\151\155\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\x61\x78\105\170\145\x63\x75\x74\151\157\x6e\x54\x69\x6d\145" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\x78\111\x6e\x70\165\x74\x54\151\155\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\x61\x78\x49\156\x70\x75\x74\x56\x61\x72\x73" => $phpSettingsEntity->getMaxInputVars(), "\160\157\163\164\115\141\x78\123\x69\x7a\145" => $phpSettingsEntity->getPostMaxSize(), "\x75\160\x6c\157\141\x64\115\141\x78\x46\151\154\145\x53\x69\x7a\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\141\x64\144\151\x74\x69\x6f\x6e\x61\x6c\103\x6f\156\x66\x69\147\165\x72\x61\x74\151\x6f\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto F4b52; d9734: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto b9b92; F4b52: $settings["\160\150\160\x53\145\x74\164\x69\x6e\147\163"] = $phpSettings; goto c6109; F4b55: case SiteEntity::TYPE_PYTHON: goto ec3f7; b7824: $pythonSettings = ["\166\145\162\x73\151\x6f\156" => $pythonSettingsEntity->getPythonVersion(), "\x70\x6f\162\x74" => $pythonSettingsEntity->getPort()]; goto cf327; ec3f7: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto b7824; cf327: $settings["\160\171\x74\150\157\x6e\x53\145\x74\164\x69\156\x67\x73"] = $pythonSettings; goto Ed0ca; Ed0ca: goto b24f8; goto E268b; E268b: case SiteEntity::TYPE_REVERSE_PROXY: goto d3f5d; A1ac0: goto b24f8; goto Bf54a; f78c7: $settings["\162\145\x76\x65\162\x73\x65\120\x72\157\170\171\x53\x65\164\164\x69\156\x67\x73"] = $reverseProxySettings; goto A1ac0; d3f5d: $reverseProxySettings = ["\165\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto f78c7; Bf54a: } goto c2798; E3c41: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto d8ca1; c2798: A5889: goto Fb9fc; Ac345: $writeFileCommand->setFile($siteSettingsFile); goto D5f6d; C3185: $settings = ["\164\x79\x70\x65" => $siteType, "\144\157\155\141\151\x6e\x4e\x61\155\145" => $siteEntity->getDomainName(), "\x72\157\x6f\164\104\151\x72\145\x63\x74\x6f\162\171" => $siteEntity->getRootDirectory(), "\x73\151\164\x65\125\163\145\162" => $siteEntity->getUser(), "\x70\x61\x67\145\123\160\x65\145\144" => $siteEntity->getPageSpeedSettings()]; goto d1c6d; d8ca1: $writeFileCommand = new WriteFileCommand(); goto Ac345; D5f6d: $writeFileCommand->setContent($fileContent); goto e64d4; d2054: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto ec670; Ee404: $writeFileCommand = new WriteFileCommand(); goto Bb71a; ec670: $vhost = $siteEntity->getVhostTemplate(); goto Ee404; A57ee: $this->commandExecutor->execute($writeFileCommand, 15); goto cac00; Bb71a: $writeFileCommand->setFile($siteVhostFile); goto B77a6; B77a6: $writeFileCommand->setContent($vhost); goto A57ee; cac00: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto Bd855; d82fe: foreach ($excludes as $exclude) { goto ad437; D7286: $isSiteExcluded = true; goto F425b; F425b: goto e18ac; goto c5ed9; c5ed9: f610e: goto Fac4c; ad437: $exclude = rtrim($exclude, "\57"); goto Ad9bc; Ad9bc: if (!($homeDirectory == $exclude)) { goto f610e; } goto D7286; Fac4c: b596e: goto bb581; bb581: } goto bc97f; a8e54: if (!(false === empty($excludes))) { goto Aa325; } goto fb62e; fb092: Aa325: goto ec18e; C9e05: $homeDirectory = sprintf("\57\150\157\x6d\x65\57\45\163", $siteUser); goto d82fe; Bd855: $isSiteExcluded = false; goto D3c4a; bc97f: e18ac: goto fb092; ec18e: return $isSiteExcluded; goto A8133; D3c4a: $excludes = $this->getExcludes(); goto a8e54; fb62e: $siteUser = $siteEntity->getUser(); goto C9e05; A8133: } private function getExcludes() : array { goto Cd10e; D1aad: $this->excludes = json_decode($excludes); goto a81b6; Cd10e: if (!(true === empty($this->excludes))) { goto b2f15; } goto de5de; F4645: if (!(false === empty($excludes))) { goto B3502; } goto D1aad; de5de: $excludes = $this->getConfigValue("\162\x65\x6d\x6f\164\145\137\142\x61\x63\x6b\x75\160\137\145\170\143\x6c\x75\x64\x65\x73"); goto F4645; a81b6: B3502: goto B6839; B6839: b2f15: goto Ceb05; Ceb05: return $this->excludes; goto F049f; F049f: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto a0638; bf9af: $excludes = $this->getExcludes(); goto C37ab; fcce6: e7fc3: goto F1386; e10f5: $siteUser = $siteEntity->getUser(); goto dfe73; a0638: $siteExcludes = []; goto bf9af; Baa5e: foreach ($excludes as $exclude) { goto B7995; cda5c: if (!(false === empty($exclude))) { goto F0b9c; } goto cbb4b; Facbb: be115: goto f554f; f65d6: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto cda5c; B7995: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto Da575; } goto f65d6; cbb4b: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\x2f"); goto b9e8c; A9562: Da575: goto Facbb; b9e8c: F0b9c: goto A9562; f554f: } goto Ad255; Ad255: e1d9e: goto fcce6; dfe73: $homeDirectory = sprintf("\x2f\150\x6f\x6d\145\57\x25\x73\57", $siteUser); goto Baa5e; F1386: return $siteExcludes; goto A78ed; C37ab: if (!(false === empty($excludes))) { goto e7fc3; } goto e10f5; A78ed: } private function getServerDateTime() : \DateTime { goto D36fc; a5929: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\x54\103")); goto F52ad; Cb2b9: return $this->serverDateTime; goto a9164; D36fc: if (!(true === is_null($this->serverDateTime))) { goto E3574; } goto a3397; F52ad: if (!(false === empty($timezone))) { goto b642e; } goto Ae1b8; Ae1b8: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto e8103; c21c2: $this->serverDateTime = new \DateTime("\156\x6f\167"); goto a5929; a3397: $timezone = $this->getConfigValue("\164\151\155\145\x7a\x6f\x6e\145"); goto c21c2; E31c0: E3574: goto Cb2b9; e8103: b642e: goto E31c0; a9164: } private function getDestination(SiteEntity $siteEntity) : string { goto e5587; bee47: d2739: goto ad13e; e5587: $destination = ''; goto b77ef; D7135: $siteUser = $siteEntity->getUser(); goto A5e6a; B3064: E1c5f: goto B089c; b77ef: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\145\155\x6f\x74\145\x5f\142\x61\143\x6b\x75\x70\x5f\142\x75\x63\x6b\145\164"); goto A518c; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\x65\155\x6f\164\x65\x5f\142\141\x63\x6b\165\160\137\x73\x70\x61\143\145"); goto A518c; } goto bee47; A5e6a: $storageDirectory = $this->getConfigValue("\162\x65\155\157\x74\145\x5f\x62\x61\143\x6b\165\x70\x5f\x73\x74\157\x72\x61\x67\145\137\x64\151\162\145\143\x74\157\162\x79"); goto e2227; B089c: return $destination; goto E2386; F2197: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto E1c5f; } goto Efb36; Efb36: $destination = ltrim($destination, "\57"); goto B3064; e2227: $serverDateTime = $this->getServerDateTime(); goto E3497; ad13e: A518c: goto D7135; E3497: $destination = sprintf("\x25\163\x2f\45\163\x2f\45\163\57\x25\163\x2f\150\x6f\x6d\x65\57\x25\x73\x2f", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\x2f"), $serverDateTime->format("\x59\55\155\x2d\x64"), $serverDateTime->format("\x48\56\x69"), $siteUser); goto F2197; E2386: } private function cleanBackups() : void { goto a8979; aef2f: $storageDirectory = $this->getConfigValue("\162\145\x6d\157\x74\145\137\x62\141\143\153\x75\160\x5f\163\164\x6f\x72\141\147\x65\137\144\x69\162\145\143\x74\157\162\171"); goto d25e6; a8979: $retentionPeriod = (int) $this->getConfigValue("\x72\145\155\157\x74\x65\137\142\x61\x63\153\165\x70\137\162\145\x74\145\x6e\164\x69\x6f\156\x5f\160\x65\162\x69\157\x64"); goto aef2f; b7b91: try { goto f604f; f6576: e8c07: goto acf9b; Cc1d4: a046d: goto Bde88; b1d4e: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto a046d; } goto da664; Bde88: $directories = (array) $rclone->lsJson($remotePath, true); goto a16d9; c50dc: $deleteDateTime = clone $dateTime; goto Aa151; f3cc7: $deleteDateTime->setTimezone(new \DateTimeZone("\x55\124\103")); goto c82a4; f604f: $dateTime = new \DateTime(); goto c50dc; c82a4: $deleteDateTime->setTime(0, 0, 0, 0); goto a4d8e; acf9b: b6f7e: goto Dfcfc; f10e3: foreach ($directories as $directory) { goto Fe712; d2703: if (!(true === $isValidDate)) { goto Af8e9; } goto Bebdd; B4aa2: d4501: goto Ac4c3; Ddaae: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto f2bcb; } goto ca8c5; ef291: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto d2703; A1c74: Ff0ce: goto B4aa2; B0b5c: $purgeRemotePath = sprintf("\45\x73\x2f\x25\163\x2f", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto Ddaae; E490e: f2bcb: goto a6eeb; Fe712: $directoryName = $directory["\116\x61\x6d\145"] ?? null; goto F7cb9; Bab7e: De04c: goto Dd26b; Ee44d: cad3d: goto Fad0d; ca8c5: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto E490e; a6eeb: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto De04c; } goto e8d1a; e8d1a: $purgeRemotePath = sprintf("\57\x25\x73", ltrim($purgeRemotePath, "\57")); goto Bab7e; F7cb9: if (!(false === is_null($directoryName))) { goto Ff0ce; } goto ef291; Fad0d: Af8e9: goto A1c74; Bebdd: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto cad3d; } goto B0b5c; Dd26b: $rclone->purge($purgeRemotePath); goto Ee44d; Ac4c3: } goto f6576; a16d9: if (!(false === empty($directories))) { goto b6f7e; } goto f10e3; eba09: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\162\x65\x6d\157\x74\145\x5f\x62\141\143\153\x75\x70\x5f\142\165\x63\x6b\x65\x74"); goto E8194; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\145\155\x6f\164\145\x5f\142\x61\x63\x6b\x75\160\x5f\163\x70\141\143\x65"); goto E8194; case StorageProvider::GOOGLE_DRIVE: goto B7096; b3a8b: $rclone->addFlag("\x2d\55\144\x72\x69\x76\x65\55\x69\155\x70\x65\x72\x73\x6f\156\141\164\x65", $email); goto Fa709; Fa709: goto E8194; goto d9510; B7096: $email = $this->getConfigValue("\162\145\x6d\157\164\x65\137\x62\x61\x63\153\165\160\137\145\x6d\141\x69\x6c"); goto b3a8b; d9510: } goto Ee6a7; da664: $remotePath = ltrim($remotePath, "\57"); goto Cc1d4; A0c8b: $rclone = new Rclone(); goto eba09; Ee6a7: d9987: goto D6af9; Aa151: $deleteDateTime->modify(sprintf("\x2d\45\x73\40\x64\x61\171\163", $retentionPeriod)); goto f3cc7; D6af9: E8194: goto c75ae; a4d8e: $remotePath = ''; goto A0c8b; c75ae: $remotePath = sprintf("\45\163\x2f\45\163\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\x2f"), "\57")); goto b1d4e; Dfcfc: } catch (\Exception $e) { goto Ad424; bd1a5: $subject = sprintf("\122\x65\155\157\x74\x65\x20\102\141\x63\153\x75\160\x20\143\154\x65\141\156\165\x70\x20\146\x61\x69\x6c\145\x64\x2e"); goto e6efd; e6efd: $this->addNotification($subject, $errorMessage); goto Df162; Ad424: $errorMessage = $e->getMessage(); goto bd1a5; Df162: } goto Cab2c; d25e6: if (!($retentionPeriod && false === empty($storageDirectory))) { goto e2215; } goto b7b91; Cab2c: e2215: goto Eeaaa; Eeaaa: } private function refreshDropboxAccessToken(bool $delay) { try { goto D4e69; d247a: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto bce38; b85d0: $dropboxClient = new DropboxClient(); goto E6a09; F3b32: if (false === empty($token)) { goto fd550; } goto f06d6; Faa12: $refreshToken = $this->getConfigValue("\x72\x65\155\157\164\x65\x5f\142\141\143\x6b\165\160\x5f\x72\x65\146\x72\145\163\x68\137\x74\x6f\x6b\145\156"); goto b85d0; D4e69: if (!(true === $delay)) { goto F8850; } goto f0bc6; E7247: goto Ee6d6; goto f9179; f9179: fd550: goto d247a; f06d6: throw new \Exception("\101\x63\143\145\163\163\x20\124\157\x6b\x65\156\x20\x63\x61\156\x6e\157\x74\40\x62\145\40\x65\x6d\160\x74\171\56"); goto E7247; f0bc6: sleep(rand(5, 60)); goto db47e; F86cc: $rclone = new Rclone(); goto bae26; F7266: Ee6d6: goto ff22f; bae26: $rclone->writeConfig($rcloneConfig); goto F7266; bce38: $rcloneConfigTemplate->setToken($token); goto Aed91; Aed91: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto a0dc5; E6a09: $token = $dropboxClient->getAccessToken($refreshToken); goto F3b32; a0dc5: $rcloneConfig = $rcloneConfigBuilder->build(); goto F86cc; db47e: F8850: goto Faa12; ff22f: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\x65\x66\162\145\163\150\x69\156\147\x20\104\162\157\x70\x62\x6f\x78\x20\x41\143\143\x65\x73\x73\40\x54\x6f\153\145\x6e\x20\106\x61\151\x6c\x65\144", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto baf20; bf966: $notification->setSubject($subject); goto C3208; baf20: $notification = new Notification(); goto bf966; D3a6b: NotificationQueue::addNotification($notification); goto e6b57; D7a0b: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto D3a6b; C3208: $notification->setMessage($errorMessage); goto D7a0b; e6b57: } }
