<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\144\x65\x6a\163"; protected function configure() : void { goto d1804; b0a4b: $this->addOption("\x61\x70\x70\120\x6f\162\164", null, InputOption::VALUE_REQUIRED); goto Edecf; Edecf: $this->addOption("\163\x69\164\145\x55\163\145\162", null, InputOption::VALUE_REQUIRED); goto B0fea; B0fea: $this->addOption("\163\151\164\145\125\163\145\162\x50\x61\163\163\x77\x6f\162\x64", null, InputOption::VALUE_REQUIRED); goto b9389; d1804: $this->setName("\x73\151\x74\145\72\141\x64\x64\x3a\156\157\x64\x65\152\x73"); goto fd474; fae00: $this->setComment("\101\x64\x64\x69\156\147\x20\x61\x20\116\157\144\x65\x2e\152\163\40\123\x69\164\x65"); goto f10df; fd474: $this->setDescription("\143\154\x70\x63\x74\x6c\40\163\x69\x74\145\72\141\144\x64\72\156\157\x64\145\152\x73\x20\55\x2d\144\x6f\155\141\x69\156\x4e\x61\x6d\x65\x3d\167\167\x77\56\x64\157\x6d\x61\151\x6e\56\x63\x6f\x6d\x20\55\x2d\156\157\144\145\152\163\126\145\x72\163\151\157\x6e\x3d\x32\62\40\x2d\x2d\141\160\160\120\157\x72\164\x3d\x33\60\x30\x30\40\55\x2d\163\151\x74\145\125\x73\x65\x72\75\x6a\157\x68\x6e\40\55\55\x73\151\164\x65\125\163\145\162\x50\141\x73\163\x77\157\x72\144\x3d\x27\x21\x73\145\x63\162\145\164\x50\141\x73\163\167\x6f\x72\x64\x21\47"); goto fae00; f10df: $this->addOption("\x64\x6f\x6d\141\x69\x6e\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto efd90; efd90: $this->addOption("\x6e\157\x64\x65\152\163\x56\145\x72\x73\151\x6f\x6e", null, InputOption::VALUE_REQUIRED); goto b0a4b; b9389: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto C2487; B011b: $domainName = mb_strtolower(trim($input->getOption("\x64\157\155\x61\x69\156\x4e\x61\155\x65"))); goto bee3d; bee3d: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto cccbe; c4a5a: $siteUserPassword = trim($input->getOption("\x73\x69\164\145\x55\x73\x65\162\x50\x61\163\163\167\x6f\x72\x64")); goto da70d; Ccb87: $siteEntity->setUser($siteUser); goto e2918; e5c2d: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto a7924; Bb629: $nodejsSite->setDomainName($domainName); goto dda64; d0a89: $vhostTemplate->resetProcessors(); goto dd869; c0b37: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto E15b3; f7d01: a7404: goto C9c09; Bb136: $nodejsSiteCreator->createLogrotateFile(); goto a11b9; D3233: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto Ad1a6; Fe01e: $nodejsSiteCreator->installNodejs(); goto B4baa; B3fd1: F7329: goto Ad665; Aef98: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto fc699; c75c3: $siteEntity->setDomainName($domainName); goto Dc792; cccbe: $rootDirectory = $domainName; goto Ed712; Cb646: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto c0b37; ad66f: if (!(false === empty($redirectionVhostTemplate))) { goto e8218; } goto A4e12; fc699: $nodejsSiteCreator->createUser(); goto F6a79; B4baa: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto ec6e0; bec29: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto A0af5; Ac488: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto d0a89; Fb25f: $subjectAlternativeNames = []; goto F3214; ca7c3: $constraints->addAll($siteConstraints); goto ff26b; Bce8e: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto D3233; f2e5f: $rsaKeyGenerator = new RsaKeyGenerator(); goto F939b; Ad1a6: $nodejsSite->setCertificate($certificateEntity); goto Afe50; D26d7: $certificateEntity->setSite($siteEntity); goto f2e5f; a6952: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto A8e4b; eb448: $certificateEntity->setCertificate($selfSignedCertificate); goto A4736; C4c27: $constraints = new ConstraintViolationList(); goto ca7c3; f5e67: $subdomain = $resolvedDomainName->subDomain()->toString(); goto d65c6; d9d2b: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\56\x2e\57\x72\x65\163\157\165\x72\x63\x65\x73\57\156\x67\x69\156\x78\x2f\x76\x68\157\x73\164\x5f\164\x65\155\x70\x6c\x61\x74\145\57\x72\x65\x64\151\x72\145\x63\164"); goto C2cb3; Da168: $nodejsSite = new NodejsSite(); goto bef35; A0af5: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto Fa2d8; } goto C4c27; b39ff: Ed11c: goto Be4c1; f550a: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto ea15d; a11b9: $nodejsSiteCreator->createNvmDirectory(); goto Fe01e; bdd98: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto Ac488; D36ef: Ebc73: goto E2317; fc422: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto c75c3; d7349: if (false === is_null($vhostTemplateEntity)) { goto a32ed; } goto C861c; Ac852: $certificateEntity->setCsr($csr); goto Adb2c; Afdc0: a32ed: goto a6952; C1755: $nodejsSiteCreator->resetPermissions(); goto bdd98; C2cb3: goto Ebc73; goto ae262; D5c1c: $subjectAlternativeNames[] = $registrableDomain; goto b39ff; C42a2: $subjectAlternativeNames[] = sprintf("\167\167\167\x2e\45\x73", $domainName); goto f7d01; A4736: $siteEntity->setCertificate($certificateEntity); goto Da168; ae855: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto f5e67; dd869: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto e5c2d; Ed712: $nodejsVersion = (int) $input->getOption("\156\157\144\145\152\163\126\145\162\163\x69\157\x6e"); goto E8b1a; Ad665: $siteEntity->setVhostTemplate($vhostTemplate); goto baa2a; ff26b: $constraints->addAll($nodejsSettingsConstraints); goto C0459; B1175: $certificateEntity = $this->certificateEntityManager->createEntity(); goto D26d7; a7924: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto b44a4; E15b3: $nodejsSettingsEntity->setPort($appPort); goto ed2a7; C2817: $this->siteEntityManager->updateEntity($siteEntity); goto B3e90; baa2a: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto Cb646; bef35: $nodejsSite->setUser($siteEntity->getUser()); goto C0d09; A5e8c: if (true === isset($_ENV["\101\x50\120\137\110\x54\124\120\63"]) && "\x74\162\165\x65" === $_ENV["\101\120\120\x5f\x48\124\124\x50\x33"]) { goto A99ca; } goto d9d2b; ae798: $csr = $csrGenerator->generate(); goto e0db4; c6dec: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto Ac852; E19da: B6418: goto De267; F6a79: $nodejsSiteCreator->createRootDirectory(); goto Bb136; C0d09: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto Bb629; C9c09: if (!(false === is_null($subdomain) && "\167\x77\x77" == $subdomain)) { goto Ed11c; } goto D5c1c; A519b: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto ae798; be678: $nodejsSite->setSubdomain($subdomain); goto Bce8e; e0db4: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto E6dbf; B3e90: $output->writeln(sprintf("\74\x69\156\146\x6f\x3e\x53\151\x74\145\x3c\57\x69\156\146\157\x3e\x20\x3c\x63\x6f\155\x6d\x65\156\164\76\45\x73\74\x2f\143\157\155\x6d\x65\x6e\164\x3e\x20\74\x69\156\x66\157\76\x68\x61\163\40\x62\x65\145\x6e\x20\x61\x64\144\145\144\56\x3c\x2f\x69\x6e\146\157\76", $domainName)); goto Ef2ac; aafd7: e8218: goto B3fd1; F9167: if (!(true === is_null($subdomain) || "\x77\x77\167" == $subdomain)) { goto F7329; } goto A5e8c; dda64: $nodejsSite->setRegistrableDomain($registrableDomain); goto be678; A40e8: $siteConstraints = $this->validator->validate($siteEntity); goto bec29; A4e12: $vhostTemplate = sprintf("\45\163\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto aafd7; E6dbf: $certificateEntity->setDefaultCertificate(true); goto c6dec; d563e: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\x2f\56\x2e\x2f\162\145\163\x6f\x75\x72\143\x65\163\x2f\156\x67\x69\156\170\57\166\x68\157\163\164\x5f\164\145\x6d\160\154\141\x74\145\57\x72\145\144\x69\x72\x65\143\164\x2d\x68\164\164\x70\63"); goto D36ef; ed2a7: $nodejsSettingsEntity->setSite($siteEntity); goto A40e8; C2487: $this->validateInput($input); goto B011b; F3214: if (!(true === is_null($subdomain))) { goto a7404; } goto C42a2; Afe50: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto Aef98; A7af5: Fa2d8: goto B1175; De267: d3077: goto e61ed; ae262: A99ca: goto d563e; Adb2c: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto eb448; E2317: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto ad66f; A8e4b: $siteEntity = $this->siteEntityManager->createEntity(); goto fc422; e2918: $siteEntity->setUserPassword($siteUserPassword); goto F9167; e8e37: goto B6418; goto A7af5; F939b: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Fb25f; E8b1a: $appPort = (int) $input->getOption("\x61\160\x70\x50\157\162\164"); goto e56f0; Ef2ac: return SiteCommand::SUCCESS; goto E19da; d65c6: $subdomain = false === empty($subdomain) ? $subdomain : null; goto eb6af; b44a4: $vhostTemplate->build(); goto f550a; Ef0d9: $nodejsSiteCreator->reloadNginxService(); goto C1755; e56f0: $siteUser = trim($input->getOption("\x73\151\x74\145\125\x73\x65\x72")); goto c4a5a; Dc792: $siteEntity->setRootDirectory($rootDirectory); goto Ccb87; ec6e0: $nodejsSiteCreator->createNginxVhost(); goto Ef0d9; ea15d: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto C2817; C0459: return $this->renderConstraints($constraints, $output); goto e8e37; da70d: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto ae855; C861c: throw new \Exception(sprintf("\x56\150\x6f\x73\x74\40\x54\x65\155\x70\154\141\164\145\40\x22\45\x73\42\40\144\x6f\145\x73\x20\x6e\x6f\164\x20\145\x78\151\x73\x74\56", $vhostTemplate)); goto b9595; eb6af: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto d7349; b9595: goto d3077; goto Afdc0; Be4c1: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto A519b; e61ed: } catch (\Exception $e) { goto F8697; C012f: return SiteCommand::FAILURE; goto F766d; Fefad: $output->writeln(sprintf("\74\x65\x72\162\x6f\x72\76\45\x73\x3c\x2f\145\x72\162\157\162\76", $errorMessage)); goto C012f; F8697: $errorMessage = $e->getMessage(); goto Fefad; F766d: } } }
