<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\ReverseProxySite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\ReverseProxyTemplate as ReverseProxyVhostTemplate; use App\Site\Creator\ReverseProxySite as ReverseProxySiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddReverseProxyCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\122\145\x76\x65\162\163\x65\x50\162\x6f\170\x79"; protected function configure() : void { goto d80b4; d80b4: $this->setName("\x73\x69\x74\145\x3a\141\144\144\72\x72\x65\x76\x65\162\x73\145\x2d\x70\162\x6f\170\x79"); goto f7083; A98cc: $this->setComment("\x41\x64\x64\151\x6e\147\40\141\40\122\x65\x76\145\162\x73\x65\40\x50\162\157\170\171"); goto Bf595; Bf595: $this->addOption("\x64\x6f\x6d\x61\151\x6e\116\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto A152c; f7083: $this->setDescription("\x63\x6c\160\x63\164\154\40\163\x69\164\x65\72\141\x64\144\72\162\x65\x76\x65\162\x73\145\55\x70\x72\157\x78\171\x20\x2d\x2d\144\x6f\x6d\x61\x69\156\x4e\141\x6d\x65\x3d\167\167\167\56\144\157\155\141\x69\x6e\x2e\143\x6f\155\40\x2d\55\x72\145\x76\145\162\163\x65\x50\162\x6f\x78\x79\125\162\154\75\x27\150\164\164\x70\x3a\57\x2f\61\62\x37\x2e\x30\56\x30\x2e\61\72\x38\60\x30\x30\47\40\55\55\163\151\164\145\x55\163\145\162\x3d\x6a\157\x68\x6e\40\x2d\x2d\163\151\x74\145\x55\x73\x65\x72\x50\x61\x73\x73\x77\157\162\144\75\47\x21\x73\145\x63\162\x65\x74\x50\x61\x73\x73\x77\x6f\162\x64\41\x27"); goto A98cc; A04fa: $this->addOption("\x73\151\164\x65\x55\163\145\162", null, InputOption::VALUE_REQUIRED); goto B9053; A152c: $this->addOption("\x72\145\x76\145\x72\163\145\x50\x72\x6f\x78\171\x55\162\x6c", null, InputOption::VALUE_REQUIRED); goto A04fa; B9053: $this->addOption("\163\x69\164\x65\125\x73\x65\162\120\x61\163\163\x77\157\x72\144", null, InputOption::VALUE_REQUIRED); goto f13ed; f13ed: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto C4ec1; D5954: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto a09e1; Bb101: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto C95db; cdaad: if (false === is_null($vhostTemplateEntity)) { goto d5d07; } goto fde6a; D1fb0: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto e1705; Bddaf: $certificateEntity = $this->certificateEntityManager->createEntity(); goto F0b44; ced26: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto b5eb5; Fe68a: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto e227f; C2c4e: $vhostTemplate = sprintf("\45\163\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto Bef69; dacb4: $reversProxySiteCreator->resetPermissions(); goto E383c; bbbb1: $siteUser = trim($input->getOption("\163\151\x74\145\x55\163\145\x72")); goto f9aee; e0802: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto Ea29f; F0b44: $certificateEntity->setSite($siteEntity); goto fb5af; Cde82: $siteEntity = $this->siteEntityManager->createEntity(); goto b753d; Fe05b: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto c4c15; } goto B2f70; F7aa7: if (!(true === is_null($subdomain) || "\167\167\167" == $subdomain)) { goto a3816; } goto B71c7; E1273: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto Fb65e; cd842: $reversProxySiteCreator->createRootDirectory(); goto Ce3cb; D2859: $reverseProxySite->setDomainName($domainName); goto D7964; a4967: if (!(false === empty($redirectionVhostTemplate))) { goto D53bd; } goto C2c4e; e26f8: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto C00f2; a611c: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto cdaad; E6392: $siteEntity->setCertificate($certificateEntity); goto ea13d; f3201: return $this->renderConstraints($constraints, $output); goto B51a5; F6a0c: $reversProxySiteCreator = new ReverseProxySiteCreator($reverseProxySite); goto f708e; Bbf6d: $csr = $csrGenerator->generate(); goto F8e25; f23f0: $constraints = new ConstraintViolationList(); goto Ee870; ea13d: $reverseProxySite = new ReverseProxySite(); goto E04f1; C00f2: $vhostTemplate->build(); goto ced26; dda7e: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto b55d1; D2325: a3816: goto e2b6e; e352f: acc23: goto Bddaf; Ce3cb: $reversProxySiteCreator->createLogrotateFile(); goto ab98c; Bb27b: $reverseProxySite->setCertificate($certificateEntity); goto D38db; C75db: goto F6f0c; goto C8c90; b49b1: $this->siteEntityManager->updateEntity($siteEntity); goto a3b8e; B6a9c: return SiteCommand::SUCCESS; goto b1c95; efa3f: $siteConstraints = $this->validator->validate($siteEntity); goto c7835; b82e5: $domainName = mb_strtolower(trim($input->getOption("\144\157\155\x61\x69\x6e\116\141\x6d\x65"))); goto D1fb0; F8e25: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto D7fcb; fff78: $siteEntity->setDomainName($domainName); goto d589e; D7964: $reverseProxySite->setRegistrableDomain($registrableDomain); goto Fa911; b753d: $siteEntity->setType(SiteEntity::TYPE_REVERSE_PROXY); goto fff78; d627d: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Cde82; fde6a: throw new \Exception(sprintf("\x56\150\x6f\x73\x74\x20\x54\145\155\x70\x6c\x61\164\145\x20\42\x25\163\x22\x20\x64\x6f\x65\163\x20\156\x6f\x74\40\x65\x78\151\163\164\x2e", $vhostTemplate)); goto C75db; Aca13: goto Cdf67; goto Ad6d5; a3b8e: $output->writeln(sprintf("\x3c\151\156\x66\x6f\76\123\x69\x74\x65\x3c\57\x69\x6e\x66\157\x3e\40\74\x63\x6f\x6d\x6d\145\x6e\x74\76\45\163\74\57\143\157\155\155\145\156\164\x3e\x20\x3c\151\x6e\146\x6f\76\x68\141\x73\40\x62\x65\145\x6e\x20\141\144\x64\x65\144\x2e\x3c\57\x69\156\x66\157\76", $domainName)); goto B6a9c; b9e4d: $siteEntity->setRootDirectory($rootDirectory); goto E809e; E809e: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto F7aa7; D38db: $reverseProxySite->setReverseProxyUrl($reverseProxyUrl); goto a7f25; cce66: $reverseProxySite->setRootDirectory($siteEntity->getRootDirectory()); goto Bb27b; a7f25: $reverseProxySite->setVhostTemplate($siteEntity->getVhostTemplate()); goto F6a0c; e2da9: c4c15: goto Fe68a; e1027: f9e50: goto Fe05b; b5eb5: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto b49b1; dc5ca: F6f0c: goto Eb43f; fb5af: $rsaKeyGenerator = new RsaKeyGenerator(); goto Be5fd; Bef69: D53bd: goto D2325; Fa911: $reverseProxySite->setSubdomain($subdomain); goto cce66; e227f: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Bbf6d; E383c: $vhostTemplate = new ReverseProxyVhostTemplate($reverseProxySite); goto e0802; Ad6d5: bb822: goto b2bdb; B51a5: goto F7b3e; goto e352f; Fb65e: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto e26f8; a09e1: $certificateEntity->setCertificate($selfSignedCertificate); goto E6392; Ad973: $siteEntity->setUserPassword($siteUserPassword); goto b9e4d; B2f70: $subjectAlternativeNames[] = $registrableDomain; goto e2da9; db613: $subdomain = false === empty($subdomain) ? $subdomain : null; goto a611c; C8c90: d5d07: goto d627d; c9a70: $subjectAlternativeNames[] = sprintf("\x77\167\x77\x2e\45\163", $domainName); goto e1027; c6d69: if (!(true === is_null($subdomain))) { goto f9e50; } goto c9a70; Ddff4: Cdf67: goto Bfa85; E04f1: $reverseProxySite->setUser($siteEntity->getUser()); goto E1b9c; d589e: $siteEntity->setUser($siteUser); goto Ad973; F88e4: $subjectAlternativeNames = []; goto c6d69; C95db: $certificateEntity->setCsr($csr); goto D5954; f9aee: $siteUserPassword = trim($input->getOption("\163\151\x74\x65\125\163\x65\x72\120\141\163\x73\167\x6f\162\144")); goto dda7e; c7835: if (0 == count($siteConstraints)) { goto acc23; } goto f23f0; D7fcb: $certificateEntity->setDefaultCertificate(true); goto Bb101; B71c7: if (true === isset($_ENV["\101\120\x50\137\110\124\124\120\x33"]) && "\164\162\x75\145" === $_ENV["\101\120\120\x5f\110\124\124\x50\x33"]) { goto bb822; } goto fa0b0; A5385: $reversProxySiteCreator->reloadNginxService(); goto dacb4; B5bcb: $reverseProxyUrl = trim($input->getOption("\x72\145\x76\145\x72\x73\145\x50\x72\x6f\170\x79\x55\x72\154")); goto bbbb1; Ea29f: $vhostTemplate->resetProcessors(); goto E1273; C4ec1: $this->validateInput($input); goto b82e5; b55d1: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto a3bd8; f708e: $reversProxySiteCreator->createUser(); goto cd842; Ee870: $constraints->addAll($siteConstraints); goto f3201; ab98c: $reversProxySiteCreator->createPrivateKeyAndCertificate(); goto af962; b1c95: F7b3e: goto dc5ca; E1b9c: $reverseProxySite->setUserPassword($siteEntity->getUserPassword()); goto D2859; e1705: $rootDirectory = $domainName; goto B5bcb; Be5fd: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto F88e4; af962: $reversProxySiteCreator->createNginxVhost(); goto A5385; b2bdb: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\x2f\56\56\x2f\x72\145\163\x6f\x75\x72\143\145\163\x2f\x6e\x67\x69\x6e\x78\x2f\166\x68\x6f\x73\164\x5f\x74\145\x6d\x70\154\x61\x74\x65\57\162\145\144\151\x72\x65\x63\x74\x2d\x68\164\x74\x70\x33"); goto Ddff4; Bfa85: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto a4967; e2b6e: $siteEntity->setVhostTemplate($vhostTemplate); goto efa3f; a3bd8: $subdomain = $resolvedDomainName->subDomain()->toString(); goto db613; fa0b0: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\x2e\x2e\x2f\162\145\x73\157\165\162\x63\x65\x73\x2f\x6e\147\151\x6e\170\57\x76\x68\x6f\x73\164\137\x74\145\155\x70\x6c\141\x74\x65\x2f\x72\145\144\x69\162\145\x63\164"); goto Aca13; Eb43f: } catch (\Exception $e) { goto b74bf; C6851: $output->writeln(sprintf("\74\145\x72\x72\x6f\162\x3e\45\163\74\57\145\x72\x72\157\x72\x3e", $errorMessage)); goto a69ce; b74bf: $errorMessage = $e->getMessage(); goto C6851; a69ce: return SiteCommand::FAILURE; goto a5f14; a5f14: } } }
