<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto bc894; bd359: $this->databaseServerEntityManager = $databaseServerEntityManager; goto ea818; A9a26: $this->certificateEntityManager = $certificateEntityManager; goto bd359; Dbd3f: parent::__construct(); goto Df8af; ea818: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto b48e8; b48e8: $this->validator = $validator; goto Dbd3f; Ed498: $this->siteEntityManager = $siteEntityManager; goto A9a26; bc894: $this->domainNameParser = $domainNameParser; goto Ed498; Df8af: } protected function configure() : void { $this->setName("\163\x69\164\145\72\x74\155\x70"); } protected function getSite(string $domainName) : ?Site { goto f299f; aa103: $site->setCertificate($siteEntity->getCertificate()); goto C28f0; ee89d: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto A803f; F665b: if (!(false === is_null($site))) { goto ae6e8; } goto b7a8e; A803f: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto a8d44; B18a6: f7ca9: goto F665b; C28f0: $site->setCertificates($siteEntity->getCertificates()); goto eb9f0; ee9e1: $site->setBasicAuth($siteEntity->getBasicAuth()); goto ad883; E284e: $site->setFtpUsers($siteEntity->getFtpUsers()); goto ab76d; A6172: abd3a: goto A35fd; B4138: Fbc03: goto A66de; D4c0c: $site->setDomainName($siteEntity->getDomainName()); goto fd1fc; A66de: return $site; goto Befce; fa325: goto Fbc03; goto A6172; ad883: $site->setBlockedBots($siteEntity->getBlockedBots()); goto e17a4; c6417: $siteEntity = $this->getSiteEntity($domainName); goto e0d20; bc6c3: A49ff: goto B18a6; b7a8e: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B6cdf; Fda36: $site->setSubdomain($subdomain); goto B888f; e17a4: $site->setBlockedIps($siteEntity->getBlockedIps()); goto aa103; ed48d: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto aaedd; aaedd: ae6e8: goto B4138; Edb82: $site->setUser($siteEntity->getUser()); goto D4c0c; B6cdf: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto e506c; e506c: $subdomain = $resolvedDomainName->subDomain()->toString(); goto D5ffa; fd1fc: $site->setRegistrableDomain($registrableDomain); goto Fda36; f299f: $site = null; goto c6417; c0eb9: throw new \Exception(sprintf("\123\151\x74\x65\40\x22\x25\163\x22\x20\144\157\x65\x73\40\x6e\157\164\40\x65\170\151\163\x74\x2e", $domainName)); goto fa325; a8d44: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto ed48d; D5ffa: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Add8c; e0d20: if (false === is_null($siteEntity)) { goto abd3a; } goto c0eb9; A35fd: $siteType = $siteEntity->getType(); goto ac299; Add8c: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Edb82; B888f: $site->setRootDirectory($siteEntity->getRootDirectory()); goto A113d; ac299: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto c735c; Ce900: goto f7ca9; goto d2088; E748c: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Ce900; c735c: $site = new NodejsSite(); goto E748c; d2088: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto f7ca9; case SiteEntity::TYPE_PHP: goto E8ad8; E8ad8: $site = new PhpSite(); goto Ae6d6; Ae6d6: $site->setPhpSettings($siteEntity->getPhpSettings()); goto b9bd2; B0764: goto f7ca9; goto B85f2; b9bd2: $site->setVarnishCache($siteEntity->getVarnishCache()); goto B0764; B85f2: case SiteEntity::TYPE_PYTHON: goto Ee395; Bd33d: goto f7ca9; goto b8560; Ee395: $site = new PythonSite(); goto df2d2; df2d2: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Bd33d; b8560: case SiteEntity::TYPE_REVERSE_PROXY: goto F5b1f; F5b1f: $site = new ReverseProxySite(); goto a0f71; a0f71: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto D8557; D8557: goto f7ca9; goto faed5; faed5: } goto bc6c3; eb9f0: $site->setCronJobs($siteEntity->getCronJobs()); goto E284e; ab76d: $site->setSshUsers($siteEntity->getSshUsers()); goto ee89d; A113d: $site->setDatabases($siteDatabases); goto ee9e1; Befce: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto b4666; b3fa0: return $siteDatabases; goto e96d7; bdaa3: foreach ($databaseEntities as $databaseEntity) { goto dc1b0; dc1b0: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C409e; C409e: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto a6148; } goto a7faa; a7faa: $siteDatabases->add($databaseEntity); goto e4f2f; B5da0: Afd82: goto Dd937; e4f2f: a6148: goto B5da0; Dd937: } goto C5349; Eaf56: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bd21b; Bd21b: $databaseEntities = $siteEntity->getDatabases(); goto bdaa3; b4666: $siteDatabases = new ArrayCollection(); goto Eaf56; C5349: D84a2: goto b3fa0; e96d7: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Bb56d; d6685: return $siteDeleter; goto Ae2e3; c9943: $siteType = $site->getType(); goto ba637; Bb56d: $siteDeleter = null; goto c9943; eda08: F375a: goto eac11; eac11: d1827: goto d6685; ba637: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto d1827; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto d1827; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto d1827; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto d1827; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto d1827; } goto eda08; Ae2e3: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto Aa7be; B3351: D3b0c: goto Cc569; cb5c0: return $siteUpdater; goto Cf0d4; C6ca3: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto F3f36; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto F3f36; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto F3f36; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto F3f36; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto F3f36; } goto B3351; Aa7be: $siteUpdater = null; goto E93a9; E93a9: $siteType = $site->getType(); goto C6ca3; Cc569: F3f36: goto cb5c0; Cf0d4: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\x65\162", "\163\x69\164\x65\125\163\x65\x72", $constraints); $this->changePropertyPath("\x75\163\145\x72\120\x61\163\x73\x77\157\162\144", "\163\x69\x74\145\x55\x73\145\x72\120\x61\163\x73\167\157\162\x64", $constraints); } }
