<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto Abc50; fc521: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto e522c; a5702: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto fc521; Abc50: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto C3078; e522c: parent::__construct($translator, $logger); goto ac713; C3078: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto a5702; ac713: } public function index(Request $request) : Response { goto E2718; B47c4: $instance = $request->attributes->get("\x69\156\x73\x74\x61\x6e\x63\145"); goto eecf4; a23b5: fe0d3: goto ab887; E84fe: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto D769d; F881f: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto C5d1d; eecf4: $environment = $instance->getEnvironment(); goto Df567; ab591: de093: goto A4001; ba7ef: $loadAverageData = [["\x6e\141\155\145" => $this->translator->trans("\x31\40\115\x69\156\165\x74\145"), "\143\x6f\154\x6f\x72" => "\x23\67\67\64\141\141\64", "\x64\x61\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\141\155\x65" => $this->translator->trans("\65\40\115\x69\x6e\165\x74\x65\x73"), "\x63\x6f\x6c\157\x72" => "\x23\x65\x62\x35\70\x36\143", "\x64\141\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\141\x6d\x65" => $this->translator->trans("\x31\65\40\115\151\156\x75\164\145\x73"), "\x63\157\154\157\162" => "\43\x30\x30\67\70\x64\64", "\x64\141\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto C47b0; B6213: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto F26b1; F26b1: $minuteInterval = 5; goto f1917; cc8a2: goto a89b2; goto cc758; f1917: $startTime = (clone $endTime)->modify("\x2d\x33\x30\40\155\x69\x6e\x75\164\x65\163"); goto cc8a2; cc758: case self::TIME_RANGE_LAST_HOUR: goto E3670; F5a67: goto a89b2; goto c05b2; E3670: $minuteInterval = 10; goto db4cd; db4cd: $startTime = (clone $endTime)->modify("\55\x31\x20\150\x6f\x75\x72"); goto F5a67; c05b2: case self::TIME_RANGE_LAST_THREE_HOURS: goto e8f77; ca94f: $startTime = (clone $dateTime)->modify("\x2d\x33\x20\150\157\165\162\163"); goto cea24; e8f77: $minuteInterval = 30; goto ca94f; cea24: goto a89b2; goto Da21e; Da21e: case self::TIME_RANGE_LAST_SIX_HOURS: goto A1e8f; F20c1: $startTime = (clone $dateTime)->modify("\55\66\x20\x68\157\165\x72\x73"); goto a63e6; a63e6: goto a89b2; goto E2709; A1e8f: $minuteInterval = 60; goto F20c1; E2709: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto ab23a; B96a9: goto a89b2; goto fdb61; B7f80: $startTime = (clone $dateTime)->modify("\x2d\61\x32\40\x68\x6f\165\162\x73"); goto B96a9; ab23a: $minuteInterval = 120; goto B7f80; fdb61: } goto ab591; d719a: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto E3f71; ab887: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto ba7ef; bf793: $diskData = [["\156\141\155\x65" => sprintf("\57\x20\50\45\163\x29", $rootDiskSize), "\x63\x6f\x6c\x6f\x72" => "\x23\x37\63\142\x66\64\x63", "\144\x61\x74\141" => $diskData["\x72\x6f\157\x74"] ?: []], ["\x6e\141\155\x65" => sprintf("\x2f\150\x6f\155\145\40\x28\45\x73\x29", $homeDiskSize), "\143\157\x6c\157\x72" => "\43\146\x33\142\146\x30\x30", "\144\141\164\x61" => $diskData["\150\157\155\145"] ?: []]]; goto a23b5; C5d1d: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto a06c0; E0235: $memoryChart = new Chart("\x4d\145\155\x6f\162\171\x20\x55\163\141\147\145"); goto E103d; C12bc: $response = $this->render("\x46\162\x6f\156\164\x65\156\144\x2f\x44\x61\x73\x68\x62\157\x61\162\x64\x2f\x69\x6e\144\145\170\x2e\150\x74\x6d\154\x2e\x74\167\x69\x67", ["\x63\x6c\157\165\144" => $cloud, "\x69\x6e\163\164\141\156\143\145" => $instance, "\165\163\145\x72" => $user, "\164\x69\x6d\145\x52\141\x6e\x67\x65" => $timeRange, "\x63\160\165\x43\x68\141\162\164" => $cpuChart, "\x6d\145\x6d\157\x72\171\103\150\141\x72\x74" => $memoryChart, "\144\151\163\x6b\103\x68\141\x72\164" => $diskChart, "\154\x6f\141\x64\x41\x76\145\162\141\x67\x65\103\150\141\162\164" => $loadAverageChart]); goto b6d09; a0074: $dateTime = new \DateTime(); goto B38cc; a2c34: $memoryChart->setCategories($categories); goto f3b31; D769d: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto a0074; a01f1: $cpuChart->setInformation($cpuInformation); goto d4fb7; Bdd0f: if ($homeDiskSize != $rootDiskSize) { goto F146e; } goto dcdae; E103d: $memoryChart->setInformation($totalMemory); goto Dcb84; d4fb7: $cpuChart->setData($cpuData); goto D5573; D5573: $cpuChart->setCategories($categories); goto E0235; B3f0f: goto fe0d3; goto c3db4; D59ec: $loadAverageChart->setData($loadAverageData); goto D25e1; E7280: $loadAverageChartInformation = sprintf("\x25\163\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto b1727; D25e1: $loadAverageChart->setCategories($categories); goto C12bc; Abd00: $totalMemory = ''; goto cc3e2; f3b31: $diskChart = new Chart("\x44\151\x73\153\x20\125\x73\x61\147\145"); goto fe0d0; a06c0: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Bdd0f; b215e: $loadAverageChart->setInformation($loadAverageChartInformation); goto D59ec; fb7ab: try { goto D2688; D2688: $commandExecutor = new CommandExecutor(); goto ee5e7; a32f1: $commandExecutor->execute($processorCoresCommand); goto c3830; ee5e7: $memoryInformationCommand = new MemoryInformationCommand(); goto Ab92c; E87fa: $processorCoresCommand = new ProcessorCoresCommand(); goto a32f1; c3830: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto A8671; Ab92c: $commandExecutor->execute($memoryInformationCommand); goto b8456; d7bfb: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\x42", 0); goto E87fa; b8456: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto d7bfb; A8671: } catch (\Exception $e) { $this->logger->exception($e); } goto d719a; A4001: a89b2: goto c7568; dcdae: $diskData = [["\156\x61\x6d\145" => sprintf("\57\40\x28\x25\163\51", $rootDiskSize), "\x63\x6f\x6c\157\x72" => "\43\67\63\142\x66\64\x63", "\x64\141\x74\x61" => $diskData["\162\x6f\157\164"] ?: []]]; goto B3f0f; b1727: $loadAverageChart = new LoadAverageChart("\114\157\x61\144\40\101\166\145\162\141\147\145"); goto b215e; c3db4: F146e: goto bf793; Df567: $cloud = $environment->getCloudProvider(); goto c2a96; E2718: $user = $this->getUser(); goto B47c4; E3f71: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\x47\x42", 0); goto E84fe; c7568: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto F881f; Dcb84: $memoryChart->setData($memoryData); goto a2c34; b6d09: return $response; goto Dfbb5; C47b0: $cpuInformation = sprintf("\45\x73\x20\45\163", $numberOfProcessorCores, $this->translator->trans("\x43\x50\x55")); goto A377d; de865: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto Abd00; fe0d0: $diskChart->setData($diskData); goto C48eb; B38cc: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto B6213; c2a96: $timeRange = $request->get("\164\x69\x6d\145\122\x61\x6e\147\x65"); goto de865; C48eb: $diskChart->setCategories($categories); goto E7280; cc3e2: $numberOfProcessorCores = 0; goto fb7ab; A377d: $cpuChart = new Chart("\x43\x50\x55\40\x55\163\141\147\145"); goto a01f1; Dfbb5: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto a3869; A8517: $endDataDate = clone $startTime; goto C4e12; C588a: return $categories; goto c1abc; D5aa2: goto Baad0; goto A5906; F67e2: $endDataDate->modify(sprintf("\x2b\x25\x30\x35\144\x20\x6d\151\156\x75\x74\145\163", $minuteInterval)); goto D5aa2; Aacc9: if (!($endDataDate <= $endTime)) { goto b71e5; } goto f7a75; f7a75: $categoryDateTime = clone $endDataDate; goto cafd5; C4e12: Baad0: goto Aacc9; a3869: $categories = []; goto d5a5b; A5906: b71e5: goto C588a; cbd6b: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\144\40\x6d\151\156\165\x74\x65\163", $minuteInterval)); goto F67e2; cafd5: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto Bcbb2; d5a5b: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\65\144\x20\x6d\151\x6e\165\164\x65\x73", $minuteInterval)); goto A8517; Bcbb2: $categories[] = $categoryDateTime->format("\x48\72\x69"); goto cbd6b; c1abc: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Ae534; e1c05: Adda5: goto d7f64; e223a: $cpuData[] = $averageCpuValue; goto C0c43; C9a8b: goto Adda5; goto df865; c15d6: $endDataDate->modify(sprintf("\x2b\45\60\65\144\40\x6d\151\x6e\165\164\145\163", $minuteInterval)); goto C9a8b; E86b4: $endDataDate = clone $startTime; goto e1c05; Ae534: $cpuData = []; goto b0e9f; C0c43: $startDataDate->modify(sprintf("\53\45\60\x35\144\x20\155\151\156\x75\x74\x65\x73", $minuteInterval)); goto c15d6; Bd3db: return $cpuData; goto ea204; A0b92: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto e223a; d7f64: if (!($endDataDate <= $endTime)) { goto A1b95; } goto A0b92; df865: A1b95: goto Bd3db; b0e9f: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\x64\x20\155\151\156\x75\x74\145\163", $minuteInterval)); goto E86b4; ea204: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto b09c5; A4fe5: $endDataDate->modify(sprintf("\53\45\x30\65\x64\x20\155\x69\156\165\164\x65\163", $minuteInterval)); goto Db5ce; b3329: $endDataDate = clone $startTime; goto F7a4a; fa898: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto f5d47; b7d54: $startDataDate->modify(sprintf("\x2b\45\x30\x35\144\x20\155\x69\x6e\165\164\145\163", $minuteInterval)); goto A4fe5; F8298: return $memoryData; goto E9ab0; b09c5: $memoryData = []; goto Dd563; Dd563: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\x35\x64\x20\x6d\x69\x6e\x75\x74\x65\x73", $minuteInterval)); goto b3329; F7a4a: Ad709: goto Aa782; C2fc9: D8510: goto F8298; f5d47: $memoryData[] = (int) $averageMemoryValue; goto b7d54; Aa782: if (!($endDataDate <= $endTime)) { goto D8510; } goto fa898; Db5ce: goto Ad709; goto C2fc9; E9ab0: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto a85e6; b4e47: if (!($endDataDate <= $endTime)) { goto Dbc7b; } goto D757b; A03ba: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\x64\40\155\151\156\x75\x74\145\163", $minuteInterval)); goto e8cd9; Ea6e9: A6662: goto b4e47; b7ed2: $endDataDate->modify(sprintf("\x2b\45\x30\x35\x64\x20\x6d\x69\x6e\165\x74\145\x73", $minuteInterval)); goto Caa3f; Caa3f: goto A6662; goto f2e68; cfc11: return $diskData; goto F91ec; Dfaba: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\x64\x20\x6d\151\x6e\165\x74\x65\163", $minuteInterval)); goto b7ed2; A67a8: B4320: goto Dfaba; a85e6: $diskData = []; goto A03ba; e8cd9: $endDataDate = clone $startTime; goto Ea6e9; D757b: foreach (["\x2f", "\x2f\x68\157\x6d\145"] as $disk) { goto C8cb8; C8cb8: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto Bcfbf; E4e29: $diskData["\x72\157\157\164"][] = (int) $averageDiskSizeValue; goto Cc929; Ab8d7: ddc1a: goto E4e29; a087d: goto E5ec0; goto Ab8d7; f12ea: $diskData["\x68\x6f\155\x65"][] = (int) $averageDiskSizeValue; goto a087d; Cc929: E5ec0: goto D898e; D898e: Ced75: goto b3ffa; Bcfbf: if ("\x2f" == $disk) { goto ddc1a; } goto f12ea; b3ffa: } goto A67a8; f2e68: Dbc7b: goto cfc11; F91ec: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Abab7; c07cc: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\65\144\40\155\x69\x6e\165\164\x65\163", $minuteInterval)); goto C2435; da081: goto eb4bc; goto a9b43; Bfd96: return $loadAverageData; goto e932a; C97ce: $startDataDate->modify(sprintf("\53\45\x30\x35\x64\x20\155\x69\156\165\164\x65\163", $minuteInterval)); goto A350e; aeaa5: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto eb8d3; eb8d3: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto e3cb5; e3cb5: $loadAverageData[$period][] = round($loadAverageValue, 2); goto C2f83; C2f83: Ba8cd: goto c44af; c44af: } goto e48d6; B0fd8: if (!($endDataDate <= $endTime)) { goto Ed422; } goto aeaa5; be4bd: eb4bc: goto B0fd8; C2435: $endDataDate = clone $startTime; goto be4bd; a9b43: Ed422: goto Bfd96; Abab7: $loadAverageData = []; goto c07cc; A350e: $endDataDate->modify(sprintf("\53\45\60\65\x64\x20\x6d\151\x6e\165\x74\x65\x73", $minuteInterval)); goto da081; e48d6: d850e: goto C97ce; e932a: } }
