<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto ca129; Cb4e0: $this->blockedIpEntityManager = $blockedIpEntityManager; goto fab4a; Ba95d: $this->databaseServerEntityManager = $databaseServerEntityManager; goto E54b7; B1145: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Cb4e0; c3e07: $this->ftpUserEntityManager = $ftpUserEntityManager; goto C52e1; eb492: $this->databaseEntityManager = $databaseEntityManager; goto Cb51f; A389d: $this->cronJobEntityManager = $cronJobEntityManager; goto eb492; b1477: $this->domainNameParser = $domainNameParser; goto c1685; c1685: parent::__construct($translator, $logger); goto Cf3c1; ca129: $this->configManager = $configManager; goto c88f1; C52e1: $this->sshUserEntityManager = $sshUserEntityManager; goto b1477; E54b7: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto c3e07; fab4a: $this->blockedBotEntityManager = $blockedBotEntityManager; goto a7ba3; Cb51f: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Ba95d; a7ba3: $this->certificateEntityManager = $certificateEntityManager; goto A389d; c88f1: $this->siteEntityManager = $siteEntityManager; goto B1145; Cf3c1: } public function index(Request $request) : Response { goto b01b0; b01b0: $user = $this->getUser(); goto C69a5; adae1: $response = $this->render("\x46\x72\157\x6e\x74\145\x6e\x64\x2f\123\x69\x74\145\57\x69\x6e\x64\145\170\x2e\x68\x74\155\x6c\x2e\164\x77\x69\147", ["\x75\x73\x65\x72" => $user, "\x73\151\x74\145\163" => $sites]); goto Db43d; C69a5: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\x6f\155\141\x69\x6e\x4e\x61\x6d\x65" => "\x61\x73\x63"]); goto adae1; Db43d: return $response; goto F122a; F122a: } public function fileManager(Request $request) : Response { goto C6781; C6781: $site = $this->getSite($request); goto D75a1; eeb42: $session = $request->getSession(); goto Ec843; b94fe: $response = $this->render("\106\x72\x6f\156\x74\x65\x6e\144\57\123\151\164\145\57\x66\151\x6c\145\55\x6d\x61\156\141\147\145\162\x2e\x68\x74\x6d\154\56\164\x77\x69\x67", ["\x73\151\x74\x65" => $site, "\146\x69\x6c\145\x4d\141\x6e\x61\147\x65\162\x55\x72\x6c" => $fileManagerUrl, "\x66\x6f\x72\155\x45\162\162\157\162\163" => $this->formErrors]); goto Ddf92; E2674: return $response; goto Cac1a; Ddf92: c750a: goto E2674; Ec843: $locale = $request->getLocale(); goto f69fb; eb2bc: $data = ["\165\163\145\x72" => $siteUser, "\154\157\143\141\x6c\145" => $locale]; goto a2212; c73f4: $siteUser = $site->getUser(); goto eeb42; cd9d8: af16a: goto c73f4; E61f6: $cookieExpirationDate->modify(sprintf("\53\x25\x73\40\150\157\x75\162\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto eb2bc; a2212: $session->set("\143\154\160\55\146\151\154\145\x2d\155\x61\x6e\141\147\145\162", $data); goto E2dec; D932c: goto c750a; goto cd9d8; f69fb: $cookieExpirationDate = new \DateTime("\156\x6f\x77"); goto E61f6; E2dec: $fileManagerUrl = sprintf("\45\163\x2f\x66\x69\154\145\55\155\141\x6e\x61\x67\145\162\x2f", rtrim($request->getSchemeAndHttpHost(), "\x2f")); goto b94fe; D75a1: if (false === is_null($site)) { goto af16a; } goto B0327; B0327: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\163")); goto D932c; Cac1a: } public function view(Request $request) : Response { goto d81c3; D124b: return $response; goto adc41; a4ff9: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\137\x73\145\164\164\151\x6e\147\x73", ["\x64\157\155\x61\151\x6e\x4e\x61\x6d\x65" => $domainName])); goto D124b; d81c3: $domainName = $request->get("\x64\x6f\x6d\141\x69\x6e\116\x61\155\145"); goto a4ff9; adc41: } public function logs(Request $request) : Response { goto Aeec1; f3891: $response = $this->render("\106\162\x6f\x6e\x74\x65\x6e\x64\x2f\x53\151\164\145\57\154\157\147\x73\56\150\x74\155\x6c\56\x74\167\151\x67", ["\163\x69\164\x65" => $site, "\146\x6f\x72\x6d\105\x72\x72\x6f\x72\163" => $this->formErrors, "\x66\157\x72\x6d" => $form->createView()]); goto b5dce; Fa7e3: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\x65\x73")); goto ac9e7; f0f9a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D0012; bd078: if (false === is_null($site)) { goto c2dd3; } goto Fa7e3; b5dce: dee5b: goto B5c7b; F5cb9: c2dd3: goto f0f9a; D0012: $form = $this->createLogsForm($siteEntity); goto f3891; B5c7b: return $response; goto Fb46b; ac9e7: goto dee5b; goto F5cb9; Aeec1: $site = $this->getSite($request); goto bd078; Fb46b: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto d9312; F68ad: $form->add("\165\x70\144\x61\164\x65", ButtonType::class, ["\141\x74\164\162" => ["\143\154\x61\163\163" => "\x62\164\x6e\40\x62\x74\x6e\55\x6c\x67\40\x62\164\x6e\55\x62\154\x75\x65\40\142\164\x6e\x2d\x75\160\x64\x61\164\145"], "\154\141\x62\x65\154" => "\125\160\144\141\x74\145"]); goto ca8b8; d9312: $form = $this->createForm("\101\x70\160\134\106\x6f\x72\155\x5c\x53\151\x74\x65\114\157\x67\x73\x54\171\x70\145", [], ["\141\143\x74\151\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\151\x74\145\137\x6c\157\x67\x73", ["\144\x6f\x6d\141\151\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\x64" => "\x50\x4f\x53\x54", "\141\x74\x74\x72" => []]); goto F68ad; ca8b8: return $form; goto Dadce; Dadce: } public function logFileContent(Request $request, Twig $twig) : Response { goto f7be0; F21f4: Cd6e8: goto B1491; f7be0: $data = []; goto d92f7; d92f7: $site = $this->getSite($request); goto b23cc; b9b71: try { goto b4f1c; e9ef1: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto C3ed7; A6591: if ("\x61\x63\x63\x65\x73\x73\x2e\x6c\157\147" == substr($logfileName, 0, 10)) { goto f90cb; } goto e9ef1; B78c7: F5f17: goto Eac5f; ef63d: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto B27f8; b4f1c: $service = basename($service); goto F6079; C14c5: $logMessages = $nginxAccessLogParser->parse(); goto A3b16; a60c5: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto B6c72; cba35: $logMessagesHtml = ''; goto Bb789; Bb789: $user = $this->getUser(); goto A96c2; Eac5f: if (!("\x70\x68\x70" == $service)) { goto e37b4; } goto ef63d; c4000: $logLines = $logfileReader->getLines($numberOfLines); goto cba35; C4fb2: $userTimezone = $user->getTimezone(); goto A6591; C3ed7: $logMessages = $nginxErrorLogParser->parse(); goto f8c1d; fc4d8: $data["\x6c\x6f\147\x4d\x65\163\163\x61\x67\145\163\110\164\155\154"] = $logMessagesHtml; goto De4f9; f4d3c: goto f5844; goto D576d; ed8be: $logMessagesHtml = $twig->render("\106\x72\x6f\x6e\164\x65\x6e\144\x2f\x53\x69\x74\145\x2f\114\157\x67\163\x2f\160\x68\x70\55\146\160\x6d\55\145\x72\162\x6f\x72\x2d\x6c\157\147\x2d\155\x65\163\163\x61\x67\145\163\x2e\x68\164\155\154\56\164\167\x69\x67", ["\x6c\157\147\115\x65\x73\163\x61\147\x65\163" => $logMessages]); goto e9ffa; D576d: f90cb: goto a60c5; Ad4df: $logfileReader = new LogfileReader($logfile); goto c4000; B27f8: $logMessages = $phpFpmErrorLogParser->parse(); goto ed8be; e9ffa: e37b4: goto fc4d8; f8c1d: $logMessagesHtml = $twig->render("\106\x72\x6f\x6e\x74\x65\x6e\x64\x2f\123\151\164\x65\x2f\114\x6f\147\163\57\x6e\x67\x69\x6e\170\x2d\x65\162\x72\x6f\162\x2d\154\157\147\x2d\x6d\x65\163\163\141\147\145\163\x2e\150\x74\155\x6c\56\164\167\x69\x67", ["\x6c\157\147\115\x65\163\163\x61\147\145\163" => $logMessages]); goto f4d3c; A96c2: if (!("\156\147\x69\156\x78" == $service)) { goto F5f17; } goto C4fb2; A3b16: $logMessagesHtml = $twig->render("\x46\162\157\156\164\145\x6e\144\57\123\x69\164\x65\x2f\x4c\157\147\x73\x2f\x6e\x67\x69\156\170\55\x61\x63\x63\x65\163\163\x2d\x6c\x6f\x67\55\155\145\x73\163\x61\147\x65\163\56\x68\164\x6d\x6c\56\164\167\x69\x67", ["\154\x6f\147\115\145\163\x73\141\x67\x65\x73" => $logMessages]); goto E75f4; E75f4: f5844: goto B78c7; F6079: $logfile = sprintf("\57\150\x6f\155\x65\x2f\x25\x73\x2f\154\x6f\x67\163\x2f\45\x73\57\45\x73", $site->getUser(), $service, $logfileName); goto Ad4df; B6c72: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto C14c5; De4f9: } catch (\Exception $e) { $this->logger->exception($e); } goto F21f4; b23cc: if (!(false === is_null($site))) { goto cd4f6; } goto A1e47; A1e47: $service = trim($request->get("\x73\145\x72\x76\x69\x63\145")); goto Ab248; Ab248: $logfileName = trim($request->get("\x6c\157\x67\x46\x69\x6c\x65")); goto ca2c2; af1f8: return $response; goto Ca670; B1491: cd4f6: goto b5320; d798a: if (!(false === empty($service) && false === empty($logfileName))) { goto Cd6e8; } goto b9b71; b5320: $response = $this->json($data); goto af1f8; ca2c2: $numberOfLines = (int) $request->get("\156\165\x6d\x62\145\x72\x4f\x66\114\x69\156\145\x73"); goto d798a; Ca670: } public function loadLogfilesForService(Request $request) : Response { goto Da8ce; D9e65: $response = $this->json($data); goto b4ea5; Fa09b: if (!(false === empty($service))) { goto b7520; } goto A2c9b; A2c9b: try { goto Acd62; C02dd: if (!(false === empty($logfiles))) { goto f67fd; } goto E1a77; Ad6c3: $logsFinder = new LogsFinder($logfilesDirectory); goto C955c; E1a77: $data["\x6c\x6f\147\146\151\x6c\145\x73"] = $logfiles; goto E2e89; Acd62: $service = basename($service); goto Be7bf; Be7bf: $logfilesDirectory = sprintf("\x2f\x68\x6f\x6d\x65\x2f\x25\x73\x2f\154\x6f\x67\163\x2f\45\163\x2f", $site->getUser(), $service); goto Ad6c3; C955c: $logfiles = $logsFinder->getLogfiles(); goto C02dd; E2e89: f67fd: goto A3e0a; A3e0a: } catch (\Exception $e) { $this->logger->exception($e); } goto d9f5d; be720: $site = $this->getSite($request); goto Ba4ef; d9f5d: b7520: goto B077e; b4ea5: return $response; goto edd64; d7f7d: $service = trim($request->get("\163\x65\x72\x76\151\x63\145")); goto Fa09b; Da8ce: $data = []; goto be720; B077e: C77b2: goto D9e65; Ba4ef: if (!(false === is_null($site))) { goto C77b2; } goto d7f7d; edd64: } public function cronJobs(Request $request) : Response { goto b8101; d108f: return $response; goto Fc6b4; F3e4f: if (false === is_null($site)) { goto Cf020; } goto Abb93; C65c2: $response = $this->render("\x46\162\157\156\164\145\x6e\x64\57\123\151\x74\x65\x2f\x63\x72\157\156\x2d\x6a\157\142\163\x2e\150\x74\x6d\154\x2e\x74\167\x69\147", ["\x73\151\x74\x65" => $site, "\x66\x6f\x72\x6d\x45\162\x72\x6f\x72\163" => $this->formErrors]); goto cbf7a; F8a70: Cf020: goto C65c2; c7122: goto fe68f; goto F8a70; b8101: $site = $this->getSite($request); goto F3e4f; Abb93: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\145\163")); goto c7122; cbf7a: fe68f: goto d108f; Fc6b4: } public function newCronJob(Request $request) : Response { goto B31e5; Fb4be: if (!(true === $form->isSubmitted())) { goto ea750; } goto E6747; E3cdc: ea750: goto e42ee; B0b8d: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto A37a9; B7d7c: a8003: goto A9e75; c3a91: e40dc: goto E3cdc; e42ee: A97bd: goto f24e3; Bc858: goto F5e9e; goto B7d7c; bef12: $form = $this->createCronJobForm($cronJobEntity); goto D4d60; B31e5: $site = $this->getSite($request); goto caa3d; caa3d: if (false === is_null($site)) { goto a8003; } goto daa9f; B928d: if (!(false === is_null($response))) { goto e40dc; } goto D7064; f24e3: $response = $this->render("\106\x72\157\156\x74\x65\x6e\144\x2f\123\x69\164\x65\x2f\156\x65\x77\x2d\x63\x72\157\x6e\x2d\152\x6f\x62\x2e\x68\x74\155\x6c\x2e\164\x77\151\147", ["\163\x69\x74\145" => $site, "\x66\157\162\155" => $form->createView(), "\146\x6f\x72\155\105\162\162\x6f\162\x73" => $this->formErrors]); goto Ec8ef; D4d60: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto A97bd; } goto C7dc7; A9e75: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B0b8d; Ec8ef: F5e9e: goto Edcd7; C7dc7: $form->handleRequest($request); goto Fb4be; E6747: $response = $this->handleCronJobForm($request, $form, $site); goto B928d; D7064: return $response; goto c3a91; daa9f: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\163")); goto Bc858; Edcd7: return $response; goto Daad0; A37a9: $cronJobEntity->setSite($siteEntity); goto bef12; Daad0: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto d4302; d4302: $siteEntity = $cronJobEntity->getSite(); goto Cdc61; Cdc61: $form = $this->createForm("\x41\160\160\134\x46\157\x72\155\134\123\x69\164\x65\x43\162\x6f\x6e\x4a\157\x62\x54\x79\160\x65", $cronJobEntity, ["\141\143\164\151\x6f\156" => $this->generateUrl("\143\154\160\x5f\163\151\x74\145\x5f\143\x72\x6f\156\x5f\152\157\142\x5f\156\x65\x77", ["\144\157\x6d\x61\151\156\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\x4f\x53\x54", "\141\164\x74\x72" => []]); goto d4f12; d4f12: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\141\163\x73" => "\x62\164\x6e\x20\142\x74\156\x2d\142\x6c\x75\145\x20\x62\164\x6e\x2d\x6c\x67"], "\x6c\x61\142\145\x6c" => "\x41\144\144\x20\103\x72\157\156\x20\112\157\142"]); goto Bf7af; Bf7af: return $form; goto Ab73b; Ab73b: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto A0675; e40a3: goto fc7b2; goto Bdbb8; F1783: fc7b2: goto f747c; Bdbb8: E0e1b: goto Cb5b8; Cb5b8: try { goto b3344; eac19: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto f7852; a67a6: dfcc0: goto b1212; Ac42b: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\137\143\162\157\156\x5f\152\x6f\x62\x73", ["\x64\157\x6d\141\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto a67a6; A47f3: $siteUpdater = $this->getSiteUpdater($site); goto B68e8; F3e80: $siteEntity->addCronJob($cronJobEntity); goto C7a80; f7852: $session->getFlashBag()->set("\163\165\143\143\145\x73\163", $this->translator->trans("\103\162\157\x6e\x20\x4a\157\142\x20\150\141\x73\x20\x62\x65\x65\x6e\x20\x61\144\x64\145\x64\56")); goto Ac42b; B9b5b: $domainName = $site->getDomainName(); goto c5363; f8311: $user = $this->getUser(); goto D3176; C7a80: $site->setCronJobs($siteEntity->getCronJobs()); goto fb1fb; B68e8: $siteUpdater->updateUserCrontab(); goto Beae7; b1212: return $response; goto c4838; ae20c: Deacb: goto f8311; f2fcb: goto dfcc0; goto ae20c; c5363: $siteEntity = $this->getSiteEntity($domainName); goto ffb4e; D3176: $cronJobEntity = $form->getData(); goto F3e80; a3502: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\x73")); goto f2fcb; fb1fb: $this->siteEntityManager->updateEntity($siteEntity); goto A47f3; ffb4e: if (false === is_null($siteEntity)) { goto Deacb; } goto a3502; b3344: $session = $request->getSession(); goto B9b5b; Beae7: $eventData = ["\163\151\164\145" => $domainName, "\x63\x72\157\156\164\141\142\x45\x78\160\162\x65\x73\x73\151\157\x6e" => $cronJobEntity->getCrontabExpression()]; goto eac19; c4838: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\162\x72\157\x72\x20\x68\x61\x73\x20\x6f\x63\143\x75\162\x72\x65\144\x2c\x20\145\x72\x72\x6f\162\40\x6d\145\x73\x73\141\x67\x65\x3a\40\45\145\162\x72\157\x72\115\145\x73\163\x61\x67\145\45", ["\45\145\x72\x72\157\162\115\x65\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto F1783; A0675: if (true === $form->isValid()) { goto E0e1b; } goto B541e; B541e: $this->formErrors = $this->getErrorMessages($form); goto e40a3; f747c: } public function deleteCronJob(Request $request) : Response { goto C57ad; d76b7: c2531: goto cc852; C57ad: $site = $this->getSite($request); goto C9cbd; A806d: return $response; goto Fde01; Cbdee: try { goto E0703; bdeb4: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto fc9cf; F1ebe: $siteEntity->removeCronJob($cronJobEntity); goto dab3f; fc9cf: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto e3b28; } goto c16b6; Be3fb: return $response; goto b44f2; cdbf7: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto Cee0b; Cee0b: $session->getFlashBag()->set("\163\165\x63\x63\145\163\x73", $this->translator->trans("\103\x72\157\156\40\x4a\x6f\x62\x20\150\141\x73\x20\142\145\x65\156\40\x64\145\154\x65\x74\x65\144\x2e")); goto B2ff5; B2ff5: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\137\x63\162\157\156\x5f\x6a\157\142\x73", ["\x64\x6f\155\141\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto Be3fb; Fd4e3: $this->siteEntityManager->updateEntity($siteEntity); goto a72e7; c6f43: $siteUpdater->updateUserCrontab(); goto Ac916; ab583: e3b28: goto d9126; E0703: $session = $request->getSession(); goto Ce31c; a72e7: $siteUpdater = $this->getSiteUpdater($site); goto c6f43; a26f8: $user = $this->getUser(); goto F1ebe; b44f2: d5787: goto ab583; Fe86e: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto d5787; } goto a26f8; fdfbb: $siteEntity = $this->getSiteEntity($domainName); goto bdeb4; c16b6: $cronJobSiteEntity = $cronJobEntity->getSite(); goto Fe86e; A08e8: $domainName = $site->getDomainName(); goto fdfbb; dab3f: $site->setCronJobs($siteEntity->getCronJobs()); goto Fd4e3; Ac916: $evenData = ["\163\151\164\145" => $domainName, "\143\157\x6d\x6d\141\156\x64" => $cronJobEntity->getCommand()]; goto cdbf7; Ce31c: $id = (int) $request->get("\x69\144"); goto A08e8; d9126: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\156\40\x65\x72\162\157\x72\x20\150\x61\163\40\157\x63\x63\165\x72\162\x65\144\x2c\40\x65\x72\162\157\x72\x20\155\145\x73\x73\141\147\x65\x3a\x20\45\x65\162\x72\x6f\162\x4d\145\163\x73\x61\147\x65\x25", ["\x25\x65\x72\x72\157\x72\x4d\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto d76b7; C9cbd: $this->checkCsrfToken($request, "\x63\x72\157\x6e\x6a\157\x62\55\x64\145\154\x65\x74\145"); goto ae09d; cc852: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\x73")); goto A806d; ae09d: if (!(false === is_null($site))) { goto c2531; } goto Cbdee; Fde01: } public function editCronJob(Request $request) : Response { goto A4483; C9e61: if (!(false === is_null($response))) { goto a3a0c; } goto C6c9b; a5314: $form = $this->createCronJobEditForm($cronJobEntity); goto Bb757; d55d1: E9e12: goto Fe0bf; F2a6d: Ab4c0: goto d55d1; B3e6e: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto c74b6; c6eae: Aad4f: goto Bcd87; c74b6: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto ace77; } goto e2f27; A4483: $id = (int) $request->get("\x69\x64"); goto B9466; C8491: goto Aad4f; goto df1a0; e2f27: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\x65\x73")); goto C8491; Eb84f: a3a0c: goto F2a6d; B9466: $site = $this->getSite($request); goto B3e6e; Bb757: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto E9e12; } goto d83ed; c7d14: if (!(true === $form->isSubmitted())) { goto Ab4c0; } goto Aa60d; df1a0: ace77: goto a5314; Aa60d: $response = $this->handleCronJobEditForm($request, $form, $site); goto C9e61; C6c9b: return $response; goto Eb84f; d83ed: $form->handleRequest($request); goto c7d14; Fe0bf: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\x64\57\123\x69\164\145\57\x65\144\151\x74\55\x63\162\x6f\x6e\55\x6a\x6f\x62\x2e\150\x74\155\154\56\164\167\151\147", ["\163\151\x74\145" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\157\x72\x6d\105\x72\162\157\x72\163" => $this->formErrors]); goto c6eae; Bcd87: return $response; goto Ae275; Ae275: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto ffeb4; ffeb4: $siteEntity = $cronJobEntity->getSite(); goto B31ae; B31ae: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\155\x5c\123\151\164\x65\x43\162\x6f\156\x4a\157\x62\105\x64\x69\x74\x54\x79\160\145", $cronJobEntity, ["\141\x63\164\x69\157\156" => $this->generateUrl("\143\154\160\x5f\x73\151\x74\145\137\143\162\x6f\156\x5f\x6a\x6f\x62\137\x65\x64\151\164", ["\144\157\155\x61\x69\x6e\116\x61\x6d\145" => $siteEntity->getDomainName(), "\x69\144" => $cronJobEntity->getId()]), "\155\145\164\150\x6f\144" => "\120\117\123\124", "\141\164\164\x72" => []]); goto e2707; Eece2: return $form; goto f9664; e2707: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\x61\163\163" => "\142\164\156\x20\142\x74\x6e\x2d\142\154\x75\x65\40\142\164\x6e\55\x6c\x67"], "\154\141\142\x65\x6c" => "\x53\x61\x76\145"]); goto Eece2; f9664: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto Cb1eb; cb837: A3f78: goto Facae; e682a: goto efbaa; goto cb837; Cb1eb: if (true === $form->isValid()) { goto A3f78; } goto e371b; Facae: try { goto Aa410; B453c: $cronJobEntity = $form->getData(); goto B8e88; Bc3f8: $domainName = $site->getDomainName(); goto bccfd; d9409: $siteUpdater = $this->getSiteUpdater($site); goto C0e92; D15ce: Dd319: goto c405c; c405c: $user = $this->getUser(); goto B453c; c9015: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto fcc81; baa82: b7500: goto Abdc7; fd279: $site->setCronJobs($siteEntity->getCronJobs()); goto afdd2; eda73: $eventData = ["\163\x69\x74\145" => $domainName, "\143\162\157\x6e\164\x61\x62\x45\170\x70\x72\145\163\x73\151\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto c9015; B8e88: $siteEntity->addCronJob($cronJobEntity); goto fd279; bccfd: $siteEntity = $this->getSiteEntity($domainName); goto Ec635; Aa410: $session = $request->getSession(); goto Bc3f8; Ec635: if (false === is_null($siteEntity)) { goto Dd319; } goto F208e; afdd2: $this->siteEntityManager->updateEntity($siteEntity); goto d9409; fcc81: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\103\162\157\156\x20\112\157\x62\x20\150\141\x73\40\x62\145\145\x6e\x20\163\141\x76\x65\x64\x2e")); goto ace93; C6c14: goto b7500; goto D15ce; C0e92: $siteUpdater->updateUserCrontab(); goto eda73; F208e: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\x73")); goto C6c14; Abdc7: return $response; goto C4827; ace93: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\x63\162\157\156\137\x6a\x6f\142\163", ["\144\157\x6d\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto baa82; C4827: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\x6e\40\145\162\162\157\162\x20\x68\141\163\x20\x6f\143\143\x75\x72\162\x65\x64\x2c\40\x65\x72\x72\x6f\162\40\155\145\163\163\141\147\x65\72\x20\45\x65\162\162\x6f\162\x4d\x65\163\x73\141\147\145\x25", ["\45\x65\162\x72\157\x72\115\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto C0941; e371b: $this->formErrors = $this->getErrorMessages($form); goto e682a; C0941: efbaa: goto a7705; a7705: } public function users(Request $request) : Response { goto A6888; Cda18: $response = $this->render("\106\162\157\x6e\x74\145\156\x64\57\x53\x69\x74\145\57\165\163\145\162\163\56\150\x74\x6d\x6c\56\x74\167\x69\147", ["\163\151\x74\x65" => $site, "\146\x6f\x72\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto D75bb; D6443: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\145\163")); goto c9393; D75bb: Ce1ae: goto d81be; c9393: goto Ce1ae; goto d0120; dd99e: if (false === is_null($site)) { goto e2143; } goto D6443; d0120: e2143: goto Cda18; d81be: return $response; goto A52ba; A6888: $site = $this->getSite($request); goto dd99e; A52ba: } public function newFtpUser(Request $request) : Response { goto ac973; A279b: $form->handleRequest($request); goto b0ceb; a0c1b: $response = $this->render("\106\x72\157\x6e\x74\145\x6e\x64\57\123\x69\164\x65\57\x6e\x65\167\55\146\164\x70\x2d\x75\x73\145\162\x2e\x68\164\155\154\56\164\167\151\147", ["\163\x69\164\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\x66\x6f\x72\x6d\105\162\x72\157\x72\163" => $this->formErrors]); goto B0cb0; D3caa: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\x65\x73")); goto D22a5; e8fd7: E227d: goto cc1c9; F433d: if (!(false === is_null($response))) { goto cee7d; } goto D5438; A0e2e: cee7d: goto e8fd7; B0cb0: e0e74: goto bf344; b1357: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto dbaf5; Cc739: E550e: goto c2071; D22a5: goto e0e74; goto Cc739; b1ef4: $form = $this->createFtpUserForm($ftpUserEntity); goto F06eb; cc1c9: f835e: goto a0c1b; c2071: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b1357; Cb3b1: if (false === is_null($site)) { goto E550e; } goto D3caa; b0ceb: if (!(true === $form->isSubmitted())) { goto E227d; } goto Ea583; bf344: return $response; goto C646b; F06eb: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto f835e; } goto A279b; ac973: $site = $this->getSite($request); goto Cb3b1; Ea583: $response = $this->handleFtpUserForm($request, $form, $site); goto F433d; D5438: return $response; goto A0e2e; dbaf5: $ftpUserEntity->setSite($siteEntity); goto b1ef4; C646b: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto a86fa; ab84e: $form = $this->createForm("\x41\160\160\134\x46\157\162\x6d\134\123\x69\164\x65\x46\x74\160\x55\x73\x65\162\124\x79\x70\x65", $ftpUserEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\x69\x74\145\137\x66\164\x70\x5f\x75\x73\145\162\137\156\145\x77", ["\144\157\x6d\x61\x69\156\x4e\x61\155\x65" => $siteEntity->getDomainName()]), "\155\x65\164\150\x6f\144" => "\120\x4f\x53\124", "\x61\164\164\x72" => []]); goto bf1ee; bf1ee: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\141\x73\163" => "\x62\164\156\x20\142\164\x6e\x2d\x62\154\x75\x65\x20\x62\164\x6e\55\x6c\147"], "\154\141\142\x65\x6c" => "\101\x64\x64\x20\125\x73\145\162"]); goto C4208; C4208: return $form; goto ef2bb; a86fa: $siteEntity = $ftpUserEntity->getSite(); goto ab84e; ef2bb: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto dbb18; F151a: e7ff0: goto b4965; d70fc: $this->formErrors = $this->getErrorMessages($form); goto b9f2b; ce4d3: c32cb: goto B0886; b9f2b: goto e7ff0; goto ce4d3; dbb18: if (true === $form->isValid()) { goto c32cb; } goto d70fc; B0886: try { goto Ae71a; e56d1: $ftpUserName = $ftpUserEntity->getUserName(); goto d3d1f; A762e: b042d: goto f7b33; Bda89: $siteUpdater = $this->getSiteUpdater($site); goto B4235; f7b33: return $response; goto b0889; A8eea: $ftpUserEntity = $form->getData(); goto e56d1; B4d1b: if (false === is_null($siteEntity)) { goto c4be7; } goto caeab; Deaac: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto Ed00a; e4148: $eventData = ["\x73\x69\164\145" => $domainName, "\x75\163\x65\162\x4e\141\155\x65" => $ftpUserName, "\x68\x6f\155\x65\104\151\162\x65\143\x74\x6f\x72\x79" => $ftpUserEntity->getHomeDirectory()]; goto Deaac; Ae71a: $session = $request->getSession(); goto d834a; B6afd: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\145\137\165\163\145\x72\x73", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto A762e; F5283: $ftpUserEntity->setPassword($ftpUserPassword); goto Fae0e; B4235: $siteUpdater->createFtpUser($ftpUserEntity); goto e4148; bcbd3: $siteEntity = $this->getSiteEntity($domainName); goto B4d1b; B43db: goto b042d; goto f3cc5; Ed00a: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\x55\163\x65\x72\40\x68\x61\163\x20\142\x65\x65\156\x20\141\144\x64\145\144\56")); goto B6afd; Fae0e: $siteEntity->addFtpUser($ftpUserEntity); goto d9008; d9008: $this->siteEntityManager->updateEntity($siteEntity); goto Bda89; f3cc5: c4be7: goto B4921; caeab: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\145\163")); goto B43db; B4921: $user = $this->getUser(); goto A8eea; d834a: $domainName = $site->getDomainName(); goto bcbd3; d3d1f: $ftpUserPassword = $form->get("\160\141\163\x73\167\x6f\162\x64")->getData(); goto F5283; b0889: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\x20\x68\141\x73\x20\157\x63\143\165\x72\x72\145\x64\x2c\40\145\162\162\x6f\162\40\155\145\163\x73\141\147\x65\x3a\40\45\145\162\162\157\162\115\145\163\x73\x61\147\145\45", ["\x25\145\x72\x72\157\x72\115\145\163\163\x61\147\145\45" => $e->getMessage()])); } goto F151a; b4965: } public function editFtpUser(Request $request) : Response { goto b165d; b2eb7: $site = $this->getSite($request); goto Aad8f; acd95: $form = $this->createFtpUserEditForm($ftpUserEntity); goto f2b64; B967f: if (!(false === is_null($response))) { goto D8bee; } goto ff779; D4932: d63c3: goto Bce77; ff779: return $response; goto A5bb2; Aad8f: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto e355f; Bce77: Fdfda: goto e39f2; c0424: c64f1: goto acd95; ad52a: cdaef: goto a3df4; f2b64: if (!(true === $request->isMethod("\120\117\123\124"))) { goto Fdfda; } goto ff2ae; ee9d3: if (!(true === $form->isSubmitted())) { goto d63c3; } goto b25d9; A5bb2: D8bee: goto D4932; b165d: $userName = $request->get("\165\x73\145\x72\x4e\x61\155\145"); goto b2eb7; a3df4: return $response; goto C9dfe; F78e7: goto cdaef; goto c0424; e39f2: $response = $this->render("\106\x72\157\x6e\x74\x65\156\144\57\123\151\x74\145\57\x65\144\151\x74\55\146\x74\x70\x2d\x75\x73\145\x72\56\x68\164\x6d\154\56\164\x77\151\147", ["\x73\x69\164\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\146\x6f\x72\x6d\105\162\162\157\162\x73" => $this->formErrors]); goto ad52a; ff2ae: $form->handleRequest($request); goto ee9d3; b25d9: $response = $this->handleFtpUserEditForm($request, $form, $site); goto B967f; c9c0d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x73")); goto F78e7; e355f: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto c64f1; } goto c9c0d; C9dfe: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto Aea36; E2402: $form->add("\163\x75\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\x61\x73\x73" => "\x62\x74\156\40\142\164\156\x2d\142\154\x75\x65\x20\x62\x74\156\55\154\x67"], "\154\x61\142\x65\x6c" => "\123\141\x76\145"]); goto bb1f3; Aea36: $siteEntity = $ftpUserEntity->getSite(); goto Da50c; bb1f3: return $form; goto C9db0; Da50c: $form = $this->createForm("\101\x70\160\134\106\x6f\x72\x6d\x5c\123\x69\x74\145\106\164\x70\125\x73\x65\162\x45\x64\x69\x74\x54\x79\160\x65", $ftpUserEntity, ["\x61\143\x74\x69\157\x6e" => $this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\137\146\x74\x70\x5f\165\163\x65\x72\137\x65\144\x69\164", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $siteEntity->getDomainName(), "\165\163\145\x72\x4e\x61\x6d\x65" => $ftpUserEntity->getUserName()]), "\155\x65\164\150\x6f\144" => "\120\x4f\123\x54", "\x61\x74\164\162" => []]); goto E2402; C9db0: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto E2344; F9a1b: $this->formErrors = $this->getErrorMessages($form); goto f668b; F4a22: dccfa: goto F5066; E2344: if (true === $form->isValid()) { goto C8f62; } goto F9a1b; a21e5: C8f62: goto f0646; f0646: try { goto E260a; ef6c0: faac7: goto d7a92; ead26: $ftpUserName = $ftpUserEntity->getUserName(); goto c0480; Eca40: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Fb324; e411f: if (false === is_null($siteEntity)) { goto faac7; } goto f70c5; C8f0e: $eventData = ["\x73\151\164\145" => $domainName, "\x75\x73\x65\162\x4e\x61\x6d\x65" => $ftpUserName, "\150\157\x6d\x65\x44\x69\x72\x65\143\x74\157\162\171" => $ftpUserHomeDirectory]; goto ed846; f1f6f: $siteEntity = $this->getSiteEntity($domainName); goto e411f; c0480: $ftpUserPassword = $form->get("\x70\x61\x73\x73\167\x6f\162\144")->getData(); goto d4afd; C2033: $domainName = $site->getDomainName(); goto f1f6f; E260a: $session = $request->getSession(); goto C2033; f4391: goto cfa5a; goto ef6c0; Ee1d0: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto C81d0; D54a0: return $response; goto F1387; f70c5: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\145\163")); goto f4391; F79d8: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\x5f\x75\163\x65\x72\x73", ["\x64\157\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto ac550; Caf01: $ftpUserEntity = $form->getData(); goto ead26; d7a92: $user = $this->getUser(); goto Caf01; Fb85f: $this->siteEntityManager->updateEntity($siteEntity); goto a7a44; ac550: cfa5a: goto D54a0; ed846: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto Bd473; a7a44: $siteUpdater = $this->getSiteUpdater($site); goto Eca40; C81d0: f260d: goto C8f0e; Bd473: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\163", $this->translator->trans("\125\163\x65\x72\40\150\141\x73\40\x62\x65\x65\156\40\x73\141\166\x65\x64\56")); goto F79d8; Fb324: if (!(false === empty($ftpUserPassword))) { goto f260d; } goto Ee1d0; d4afd: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto Fb85f; F1387: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\162\157\x72\x20\x68\x61\x73\x20\x6f\143\x63\x75\x72\162\x65\144\54\40\x65\162\x72\x6f\162\40\x6d\x65\163\163\141\147\145\x3a\x20\45\145\x72\162\157\x72\115\145\163\x73\141\147\145\45", ["\x25\145\162\x72\x6f\x72\115\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto F4a22; f668b: goto dccfa; goto a21e5; F5066: } public function deleteFtpUser(Request $request) : Response { goto Eeee6; A8146: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\164\145\x73")); goto c9f2e; Eeee6: $site = $this->getSite($request); goto C3766; B5b26: if (!(false === is_null($site))) { goto f3209; } goto ef64e; ef64e: try { goto e10e3; E5550: $userName = $ftpUserEntity->getUserName(); goto A5786; D20e9: $this->siteEntityManager->updateEntity($siteEntity); goto f398b; f398b: $siteUpdater = $this->getSiteUpdater($site); goto b5ca0; A09f7: A057a: goto e0336; f4e22: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto bfb68; e10e3: $session = $request->getSession(); goto Cd703; Cd703: $userName = $request->get("\165\x73\145\x72\116\x61\x6d\145"); goto D109c; e2e47: $user = $this->getUser(); goto E5550; D109c: $domainName = $site->getDomainName(); goto E756b; E756b: $siteEntity = $this->getSiteEntity($domainName); goto D16f2; c41f4: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\145\137\165\x73\145\x72\163", ["\x64\x6f\155\141\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto f0b2b; f0b2b: return $response; goto afbff; a45cf: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto B2564; B2564: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto A7e29; } goto e2e47; D04e6: $evenData = ["\x73\x69\x74\x65" => $domainName, "\165\163\x65\x72\116\141\155\145" => $userName]; goto f4e22; b5ca0: $siteUpdater->deleteUser($userName, false); goto D04e6; A5786: $siteEntity->removeFtpUser($ftpUserEntity); goto D20e9; bfb68: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\163", $this->translator->trans("\x55\x73\x65\162\x20\x68\x61\x73\x20\142\x65\x65\156\x20\x64\x65\154\145\x74\145\144\56")); goto c41f4; afbff: A7e29: goto A09f7; D16f2: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto dd3a9; dd3a9: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto A057a; } goto a45cf; e0336: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\101\156\40\x65\x72\162\157\162\40\x68\141\163\40\157\143\x63\165\162\x72\145\x64\54\40\145\162\162\157\x72\40\155\x65\163\x73\x61\x67\145\72\x20\x25\145\x72\162\x6f\x72\115\145\163\163\x61\147\145\45", ["\x25\145\162\x72\x6f\x72\115\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto E9b9c; c9f2e: return $response; goto d034e; E9b9c: f3209: goto A8146; C3766: $this->checkCsrfToken($request, "\165\x73\145\162\x2d\x64\x65\x6c\x65\164\145"); goto B5b26; d034e: } public function newSshUser(Request $request) : Response { goto B5bec; adb04: if (!(false === is_null($response))) { goto E91f5; } goto df18c; ee38b: if (false === is_null($site)) { goto F542c; } goto a6124; D57ad: $form->handleRequest($request); goto dca2a; df18c: return $response; goto be4e9; c2a4b: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto B89af; E8014: B50a7: goto De0a9; Cb877: De949: goto aa68d; B5bec: $site = $this->getSite($request); goto ee38b; be4e9: E91f5: goto Cb877; De0a9: return $response; goto F88c5; e2164: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto A78bb; } goto D57ad; dca2a: if (!(true === $form->isSubmitted())) { goto De949; } goto b80fa; b80fa: $response = $this->handleSshUserForm($request, $form, $site); goto adb04; F6029: goto B50a7; goto a620c; a6124: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\x73")); goto F6029; F0255: $response = $this->render("\106\x72\157\156\164\145\156\144\x2f\123\151\x74\x65\x2f\x6e\145\x77\x2d\x73\163\150\55\165\163\x65\162\x2e\x68\x74\x6d\154\56\x74\x77\151\x67", ["\x73\151\x74\145" => $site, "\x66\x6f\x72\155" => $form->createView(), "\x66\x6f\162\155\105\x72\x72\157\x72\163" => $this->formErrors]); goto E8014; aa68d: A78bb: goto F0255; d40d6: $form = $this->createSshUserForm($sshUserEntity); goto e2164; Becb1: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto c2a4b; B89af: $sshUserEntity->setSite($siteEntity); goto d40d6; a620c: F542c: goto Becb1; F88c5: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto D5ccd; C53ef: $form = $this->createForm("\101\160\x70\x5c\106\157\x72\155\x5c\x53\x69\164\145\x53\163\x68\125\x73\x65\162\124\x79\x70\145", $sshUserEntity, ["\141\143\164\x69\x6f\156" => $this->generateUrl("\143\x6c\x70\137\163\151\164\145\x5f\x73\163\x68\137\165\x73\145\162\x5f\x6e\x65\x77", ["\x64\x6f\155\141\151\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\157\x64" => "\x50\117\x53\x54", "\141\164\x74\x72" => []]); goto Db523; Db523: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\143\154\141\x73\163" => "\x62\164\x6e\40\x62\x74\156\55\142\x6c\x75\x65\x20\142\x74\156\55\x6c\x67"], "\x6c\x61\142\145\154" => "\x41\144\144\x20\125\x73\x65\162"]); goto Ddf25; D5ccd: $siteEntity = $sshUserEntity->getSite(); goto C53ef; Ddf25: return $form; goto fce1b; fce1b: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto dbe0c; E3bb3: $this->formErrors = $this->getErrorMessages($form); goto cbf7d; F30b3: E44a4: goto F2c37; B0853: cce64: goto D84da; cbf7d: goto cce64; goto F30b3; dbe0c: if (true === $form->isValid()) { goto E44a4; } goto E3bb3; F2c37: try { goto F1c24; Eb36e: $sshKeys = $sshUserEntity->getSshKeys(); goto D2be0; A402c: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto a8f10; acd6d: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\163")); goto C1b29; abd0c: $sshUserEntity->setPassword($sshUserPassword); goto Eb36e; Dd917: $siteEntity = $this->getSiteEntity($domainName); goto ad4f8; Df164: $eventData = ["\163\x69\164\145" => $domainName, "\x75\x73\145\162\x4e\x61\155\145" => $sshUserName, "\163\163\x68\113\145\171\x73" => $sshKeys]; goto A402c; a8f10: $session->getFlashBag()->set("\163\x75\143\x63\x65\x73\163", $this->translator->trans("\x55\163\x65\x72\x20\x68\141\x73\40\142\145\145\x6e\x20\141\144\144\x65\144\x2e")); goto a674a; C1b29: goto e98e8; goto cc94f; ca03e: $siteUpdater->createSshUser($sshUserEntity); goto faaa7; c8e32: $sshUserEntity = $form->getData(); goto e697e; Cb6b4: $this->siteEntityManager->updateEntity($siteEntity); goto B5178; a23c2: return $response; goto a6495; D2be0: $siteEntity->addSshUser($sshUserEntity); goto Cb6b4; faaa7: if (!(false === empty($sshKeys))) { goto A75f4; } goto D6a90; e697e: $sshUserName = $sshUserEntity->getUserName(); goto fdab2; a674a: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\x5f\165\163\x65\162\x73", ["\144\157\155\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto Ffeac; Ffeac: e98e8: goto a23c2; ad4f8: if (false === is_null($siteEntity)) { goto dda1a; } goto acd6d; D6a90: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto efcb9; efcb9: A75f4: goto Df164; fdab2: $sshUserPassword = $form->get("\160\x61\x73\163\167\x6f\162\x64")->getData(); goto abd0c; F1c24: $session = $request->getSession(); goto Adbf1; B5178: $siteUpdater = $this->getSiteUpdater($site); goto ca03e; ff6d4: $user = $this->getUser(); goto c8e32; cc94f: dda1a: goto ff6d4; Adbf1: $domainName = $site->getDomainName(); goto Dd917; a6495: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\162\40\x68\141\163\40\x6f\x63\143\165\x72\162\145\x64\54\x20\145\x72\x72\x6f\x72\40\x6d\145\x73\163\141\147\145\72\x20\45\145\x72\162\x6f\x72\115\145\163\x73\141\147\x65\45", ["\x25\x65\x72\162\157\x72\x4d\145\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto B0853; D84da: } public function editSshUser(Request $request) : Response { goto b8eaa; E0c12: $site = $this->getSite($request); goto b0648; be60c: $response = $this->render("\x46\162\x6f\156\164\x65\x6e\144\x2f\x53\x69\x74\x65\57\x65\144\151\164\x2d\x73\163\x68\x2d\165\163\x65\162\x2e\x68\164\155\x6c\56\x74\167\151\147", ["\x73\151\164\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\x66\157\162\155\105\162\162\157\x72\x73" => $this->formErrors]); goto A5173; c72b3: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto C15a0; } goto b2394; Cd75b: E55c5: goto D6da1; Def60: Bb191: goto f374d; f374d: C15a0: goto be60c; b2394: $form->handleRequest($request); goto e1b31; b0ed5: Ad856: goto Def60; Fc356: if (!(false === is_null($response))) { goto Ad856; } goto A2b1a; c8823: return $response; goto A5042; Af2bc: $response = $this->handleSshUserEditForm($request, $form, $site); goto Fc356; B03f1: goto Ecc1c; goto Cd75b; f4115: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto E55c5; } goto Bf7c4; b0648: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto f4115; A5173: Ecc1c: goto c8823; A2b1a: return $response; goto b0ed5; Bf7c4: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\145\163")); goto B03f1; b8eaa: $userName = $request->get("\165\163\145\x72\116\x61\155\x65"); goto E0c12; e1b31: if (!(true === $form->isSubmitted())) { goto Bb191; } goto Af2bc; D6da1: $form = $this->createSshUserEditForm($sshUserEntity); goto c72b3; A5042: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto a8d19; a8d19: $siteEntity = $sshUserEntity->getSite(); goto A2e75; dc5e6: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\143\154\x61\163\163" => "\142\164\x6e\40\x62\164\156\55\142\154\x75\x65\40\142\x74\x6e\x2d\x6c\147"], "\154\x61\142\145\x6c" => "\123\x61\166\145"]); goto Def71; Def71: return $form; goto b369b; A2e75: $form = $this->createForm("\101\x70\x70\x5c\x46\157\162\x6d\x5c\x53\x69\164\145\x53\163\x68\125\x73\x65\x72\x45\x64\151\164\124\x79\x70\x65", $sshUserEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\x5f\x73\163\150\137\165\163\145\x72\137\x65\x64\x69\x74", ["\144\x6f\155\x61\x69\156\116\x61\x6d\x65" => $siteEntity->getDomainName(), "\165\x73\145\162\x4e\x61\x6d\145" => $sshUserEntity->getUserName()]), "\x6d\145\164\x68\x6f\x64" => "\120\x4f\x53\124", "\141\164\x74\162" => []]); goto dc5e6; b369b: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto f72b0; A36ed: $this->formErrors = $this->getErrorMessages($form); goto Fd92a; f72b0: if (true === $form->isValid()) { goto fbec6; } goto A36ed; C1a93: try { goto D403b; Cc6c6: Ecdf7: goto Aa252; Eb751: if (!(false === empty($sshUserPassword))) { goto Ecdf7; } goto d2e10; C2785: $siteEntity = $this->getSiteEntity($domainName); goto A807b; A807b: if (false === is_null($siteEntity)) { goto F5f93; } goto Dd1f3; cce6d: $domainName = $site->getDomainName(); goto C2785; B4b19: $this->siteEntityManager->updateEntity($siteEntity); goto b91e5; ea2f0: $sshUserEntity = $form->getData(); goto c40dc; Aa252: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto d3cf3; d2e10: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto Cc6c6; d3cf3: $eventData = ["\163\x69\x74\145" => $domainName, "\x75\x73\145\x72\x4e\141\155\145" => $sshUserName, "\x73\163\150\x4b\145\171\x73" => $sshKeys]; goto A1bb6; Cf023: goto f650e; goto c2ab3; c2ab3: F5f93: goto eb00e; D12c4: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto B4b19; Dfaf8: $sshUserPassword = $form->get("\160\x61\x73\163\167\157\162\x64")->getData(); goto D12c4; F68ee: $session->getFlashBag()->set("\163\165\143\x63\145\x73\163", $this->translator->trans("\x55\x73\145\x72\40\150\141\163\40\142\145\x65\x6e\40\163\x61\x76\145\144\x2e")); goto Ddc1d; E31be: return $response; goto bd2b3; A1bb6: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto F68ee; bd112: f650e: goto E31be; Dd1f3: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\x73")); goto Cf023; eb00e: $user = $this->getUser(); goto ea2f0; Ddc1d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\137\165\x73\145\x72\x73", ["\144\x6f\x6d\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto bd112; D403b: $session = $request->getSession(); goto cce6d; b91e5: $siteUpdater = $this->getSiteUpdater($site); goto Eb751; c40dc: $sshUserName = $sshUserEntity->getUserName(); goto Dfaf8; bd2b3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\162\40\150\x61\x73\x20\157\143\x63\165\x72\162\x65\144\54\40\x65\162\x72\x6f\162\x20\x6d\x65\x73\163\141\x67\145\x3a\40\45\145\162\x72\157\x72\115\145\x73\163\141\x67\145\x25", ["\45\145\x72\x72\157\x72\115\145\163\163\141\x67\145\45" => $e->getMessage()])); } goto b2dd1; f89de: fbec6: goto C1a93; b2dd1: fffa0: goto e5c49; Fd92a: goto fffa0; goto f89de; e5c49: } public function deleteSshUser(Request $request) : Response { goto F55cf; d4544: $this->checkCsrfToken($request, "\x75\x73\x65\x72\55\x64\x65\154\x65\x74\x65"); goto B8e27; Ce9df: A92cd: goto e8f26; B8e27: if (!(false === is_null($site))) { goto A92cd; } goto A93fd; e8f26: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\163")); goto Af036; A93fd: try { goto b8b04; ea71e: $user = $this->getUser(); goto fa06c; D67a8: $userName = $request->get("\x75\163\x65\x72\116\141\155\145"); goto B7391; C8693: $sshUserSiteEntity = $sshUserEntity->getSite(); goto edf4a; e6973: $siteUpdater = $this->getSiteUpdater($site); goto A54a0; B7f4e: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto B2e43; db1b5: $siteEntity->removeSshUser($sshUserEntity); goto a0215; e7109: $evenData = ["\x73\x69\x74\x65" => $domainName, "\165\163\145\x72\116\x61\x6d\x65" => $userName]; goto D6461; edf4a: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto F2758; } goto ea71e; b737e: return $response; goto c9ffc; a0215: $this->siteEntityManager->updateEntity($siteEntity); goto e6973; fbe42: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\163", $this->translator->trans("\x55\x73\x65\x72\40\x68\x61\163\x20\142\x65\145\156\40\x64\145\x6c\x65\164\x65\x64\x2e")); goto ab342; B2e43: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto da248; } goto C8693; c9ffc: F2758: goto B623d; b8b04: $session = $request->getSession(); goto D67a8; ab342: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\137\x75\163\x65\x72\163", ["\x64\x6f\155\141\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto b737e; F6456: $siteEntity = $this->getSiteEntity($domainName); goto B7f4e; fa06c: $userName = $sshUserEntity->getUserName(); goto db1b5; B623d: da248: goto f1e7c; D6461: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto fbe42; A54a0: $siteUpdater->deleteUser($userName, true); goto e7109; B7391: $domainName = $site->getDomainName(); goto F6456; f1e7c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\162\x6f\162\40\150\x61\163\40\x6f\143\x63\x75\x72\162\x65\144\54\40\x65\162\162\x6f\162\40\155\x65\x73\163\x61\x67\145\72\40\x25\145\x72\x72\157\162\x4d\145\163\x73\141\147\x65\x25", ["\x25\145\162\x72\x6f\162\x4d\145\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto Ce9df; Af036: return $response; goto cb9e3; F55cf: $site = $this->getSite($request); goto d4544; cb9e3: } public function security(Request $request) : Response { goto aa490; F882b: e3c13: goto Eb614; Fd6d8: $blockedBots = $site->getBlockedBots(); goto ef9ea; Ab4b5: goto f3139; goto A1041; a9979: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto F882b; aa490: $site = $this->getSite($request); goto Eac46; Cca74: Fe369: goto B7d87; Ec174: D2fde: goto b590a; cb349: f3139: goto Ae012; E5c52: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto cc635; bc383: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto a8e6f; Ee30f: $cloudflareData = ["\141\x6c\x6c\x6f\x77\124\x72\x61\146\x66\x69\143\x46\x72\157\x6d\x43\154\157\x75\144\x66\x6c\141\162\x65\117\x6e\154\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto Fd6d8; a8e6f: if (!(false === is_null($response))) { goto Eb64e; } goto d9d1c; Ae012: return $response; goto f4556; ef9ea: $blockedIps = $site->getBlockedIps(); goto C40de; Ddd52: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ee30f; B7d87: C5ac3: goto bf698; ecea0: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto E5c52; Eb614: $basicAuthEntity->setSite($siteEntity); goto ecea0; be7fc: if (!(false === is_null($response))) { goto Ec98c; } goto C21db; cc635: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto C5ac3; } goto b6f32; D4433: $cloudflareForm->handleRequest($request); goto B084c; C21db: return $response; goto addae; d5bbb: Eb64e: goto Cca74; fe245: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\145\x73")); goto Ab4b5; b6f32: $basicAuthForm->handleRequest($request); goto D4433; Eac46: if (false === is_null($site)) { goto B456c; } goto fe245; B084c: if (!(true === $basicAuthForm->isSubmitted())) { goto D2fde; } goto bf720; addae: Ec98c: goto Ec174; f94b5: if (!(true === is_null($basicAuthEntity))) { goto e3c13; } goto a9979; bf698: $response = $this->render("\x46\162\x6f\156\x74\145\x6e\144\57\x53\151\x74\x65\x2f\163\x65\143\165\162\151\164\171\x2e\x68\164\155\154\56\164\x77\x69\147", ["\163\x69\164\x65" => $site, "\142\x6c\157\x63\x6b\145\144\111\160\x73" => $blockedIps, "\142\154\x6f\143\153\x65\x64\102\x6f\164\x73" => $blockedBots, "\x62\x61\x73\x69\x63\101\165\164\150\x46\x6f\x72\x6d" => $basicAuthForm->createView(), "\x63\x6c\x6f\165\144\146\154\141\162\145\106\x6f\162\x6d" => $cloudflareForm->createView(), "\x66\x6f\162\x6d\x45\162\x72\157\162\x73" => $this->formErrors]); goto cb349; C40de: $basicAuthEntity = $site->getBasicAuth(); goto f94b5; A1041: B456c: goto Ddd52; bf720: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto be7fc; d9d1c: return $response; goto d5bbb; b590a: if (!(true === $cloudflareForm->isSubmitted())) { goto Fe369; } goto bc383; f4556: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto bef58; bef58: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\162\x6d\134\123\x69\164\x65\103\154\x6f\x75\144\146\154\141\162\145\x54\x79\x70\145", $data, ["\141\143\x74\x69\x6f\156" => $this->generateUrl("\x63\154\x70\137\x73\x69\164\145\137\163\x65\x63\165\162\x69\164\171", ["\x64\x6f\155\141\x69\156\116\141\x6d\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\x6f\144" => "\120\x4f\123\x54", "\141\164\x74\x72" => []]); goto Acb1a; Acb1a: $form->add("\x73\165\142\x6d\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\x61\163\163" => "\x62\164\156\40\142\164\156\55\x62\x6c\165\145\40\x62\164\x6e\55\x6c\x67"], "\x6c\141\142\145\154" => "\123\141\x76\145"]); goto a5934; a5934: return $form; goto C6d3e; C6d3e: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto f017e; be165: $form = $this->createForm("\101\x70\160\x5c\x46\157\x72\155\134\x53\x69\164\145\102\141\163\151\143\x41\x75\x74\150\124\171\x70\x65", $basicAuthEntity, ["\141\x63\164\151\157\156" => $this->generateUrl("\143\154\160\x5f\x73\151\x74\145\137\x73\x65\x63\165\x72\151\164\x79", ["\144\157\155\x61\x69\156\x4e\141\155\145" => $siteEntity->getDomainName()]), "\155\145\x74\x68\x6f\144" => "\120\117\123\x54", "\x61\x74\x74\x72" => []]); goto D08db; f017e: $siteEntity = $basicAuthEntity->getSite(); goto be165; A242d: return $form; goto F8d6c; D08db: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\162" => ["\x63\x6c\x61\163\163" => "\142\x74\156\40\142\164\156\55\142\154\165\x65\40\x62\164\156\55\x6c\147"], "\154\x61\x62\145\154" => "\123\x61\x76\x65"]); goto A242d; F8d6c: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto Bbb0d; cfdac: goto edc8f; goto B0ae5; B0ae5: Eedfe: goto a7a74; a7a74: try { goto C0a87; C0a87: $session = $request->getSession(); goto ea143; Bce41: A86cf: goto A58a6; f6d48: $siteUpdater->updateNginxVhost(); goto E1ce3; E7561: goto A86cf; goto B9c24; A58a6: return $response; goto dc3e6; B8516: $this->siteEntityManager->updateEntity($siteEntity); goto F6af6; C9070: $eventData = ["\163\x69\x74\x65" => $domainName, "\x61\143\164\151\x76\145" => true === $basicAuthEntity->getIsActive() ? "\61" : "\60", "\x75\x73\145\162\x4e\x61\155\x65" => $basicAuthEntity->getUserName(), "\x77\x68\151\x74\145\x6c\151\163\164\145\x64\x49\160\x73" => $basicAuthEntity->getWhitelistedIps()]; goto bd336; f9fc8: $site->setBasicAuth($basicAuthEntity); goto B8516; f4e55: if (false === is_null($siteEntity)) { goto b8320; } goto cfd19; D53c5: $user = $this->getUser(); goto Dfc4e; cfd19: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\x73")); goto E7561; C7035: $siteEntity->setBasicAuth($basicAuthEntity); goto f9fc8; B9c24: b8320: goto D53c5; bd336: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto A911b; F6af6: $siteUpdater = $this->getSiteUpdater($site); goto Ad9fb; Bf9f1: $siteEntity = $this->getSiteEntity($domainName); goto f4e55; A911b: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\x73", $this->translator->trans("\102\x61\163\151\143\40\x41\x75\164\150\145\156\x74\151\x63\141\x74\151\157\156\40\163\145\x74\164\151\x6e\147\x73\x20\x68\x61\x76\x65\x20\142\x65\145\x6e\x20\163\141\166\x65\144\x2e")); goto e478a; Dfc4e: $basicAuthEntity = $form->getData(); goto C7035; Ad9fb: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto f6d48; ea143: $domainName = $site->getDomainName(); goto Bf9f1; E1ce3: $siteUpdater->reloadNginxService(); goto C9070; e478a: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\164\145\x5f\163\145\143\x75\162\151\164\x79", ["\144\x6f\155\x61\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto Bce41; dc3e6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\x65\162\162\157\x72\x20\150\141\163\40\x6f\143\143\x75\x72\x72\x65\x64\x2c\x20\x65\162\x72\x6f\162\x20\155\x65\x73\x73\141\147\145\x3a\40\x25\x65\x72\x72\157\x72\115\x65\x73\163\x61\147\145\x25", ["\45\145\162\x72\x6f\162\x4d\145\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto cb915; Db076: $this->formErrors = $this->getErrorMessages($form); goto cfdac; cb915: edc8f: goto D40d9; Bbb0d: if (true === $form->isValid()) { goto Eedfe; } goto Db076; D40d9: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto b67f7; Ad6ae: try { goto Bc5e5; e6c8c: $domainName = $site->getDomainName(); goto C84a7; a2d0b: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\x73")); goto b1b2d; c27ce: $siteUpdater->updateNginxVhost(); goto Bf7a3; a32c3: $siteUpdater = $this->getSiteUpdater($site); goto c27ce; Cb169: if (false === is_null($siteEntity)) { goto D9b7c; } goto a2d0b; bf84e: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto dcfc1; ebf65: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto bf84e; Bf7a3: $siteUpdater->reloadNginxService(); goto C2734; b1b2d: goto F1ac2; goto e3143; c1bba: F1ac2: goto ba082; f4529: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto c9a67; C84a7: $siteEntity = $this->getSiteEntity($domainName); goto Cb169; e3143: D9b7c: goto c8c42; c8c42: $user = $this->getUser(); goto adf7b; ba082: return $response; goto B685c; Bc5e5: $session = $request->getSession(); goto e6c8c; dcfc1: $this->siteEntityManager->updateEntity($siteEntity); goto a32c3; bf6a5: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x5f\163\x65\143\165\x72\x69\164\171", ["\x64\157\155\x61\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto c1bba; C2734: $eventData = ["\x73\151\164\x65" => $domainName, "\x61\x6c\154\157\x77\124\162\141\146\146\151\x63\106\162\x6f\x6d\103\x6c\x6f\x75\x64\x66\154\x61\x72\x65\x4f\x6e\154\171" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\60"]; goto f4529; adf7b: $allowTrafficFromCloudflareOnly = $form->get("\141\154\154\x6f\x77\124\162\x61\x66\x66\151\143\x46\162\157\x6d\x43\x6c\x6f\165\144\146\154\141\162\145\117\156\x6c\x79")->getData(); goto ebf65; c9a67: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\x73", $this->translator->trans("\x43\x6c\x6f\165\x64\146\154\x61\x72\x65\x20\x73\x65\164\x74\151\156\147\163\40\x68\141\166\x65\40\x62\x65\145\x6e\x20\163\141\x76\x65\x64\x2e")); goto bf6a5; B685c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\x6f\162\x20\150\x61\x73\x20\157\x63\x63\165\x72\x72\x65\x64\x2c\x20\145\x72\162\157\x72\x20\x6d\145\x73\x73\x61\147\x65\x3a\40\45\x65\162\162\x6f\x72\115\145\x73\x73\x61\x67\x65\45", ["\x25\145\162\x72\x6f\x72\x4d\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto dc6be; b67f7: if (true === $form->isValid()) { goto Ab8e7; } goto C415e; A969e: Ab8e7: goto Ad6ae; da93b: goto Eca11; goto A969e; dc6be: Eca11: goto B0152; C415e: $this->formErrors = $this->getErrorMessages($form); goto da93b; B0152: } public function newBlockedIp(Request $request) : Response { goto F6692; E9d12: if (!(true === $form->isSubmitted())) { goto e430c; } goto e7388; eb147: B0d68: goto Ac147; Ff733: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto bd5f5; } goto Ffaf8; Aa426: F9980: goto E5494; A1f48: goto F9980; goto Fcc31; e7388: $response = $this->handleBlockedIpForm($request, $form, $site); goto Fad8d; F6692: $site = $this->getSite($request); goto B23dd; A204f: $form = $this->createBlockedIpForm($blockedIpEntity); goto Ff733; B23dd: if (false === is_null($site)) { goto F1fb5; } goto d19f1; Cd269: return $response; goto eb147; e0121: $blockedIpEntity->setSite($siteEntity); goto A204f; E5494: return $response; goto Ceadc; e656c: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto e0121; Fad8d: if (!(false === is_null($response))) { goto B0d68; } goto Cd269; Ac147: e430c: goto E7226; d19f1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\x73")); goto A1f48; E7226: bd5f5: goto E0612; Ffaf8: $form->handleRequest($request); goto E9d12; Fcc31: F1fb5: goto F751a; E0612: $response = $this->render("\106\x72\x6f\x6e\164\145\x6e\x64\57\x53\151\164\145\x2f\156\x65\x77\55\x62\154\157\x63\153\145\144\55\x69\x70\56\150\x74\155\154\x2e\164\167\151\x67", ["\163\151\164\145" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\x66\157\162\155\x45\162\162\157\x72\x73" => $this->formErrors]); goto Aa426; F751a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e656c; Ceadc: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto de290; de290: $siteEntity = $blockedIpEntity->getSite(); goto a0ba2; B92aa: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\141\x73\x73" => "\142\x74\x6e\40\x62\x74\156\x2d\142\x6c\165\145\40\142\x74\x6e\x2d\x6c\147"], "\x6c\x61\x62\145\x6c" => "\x41\144\x64\x20\x49\x50"]); goto Dee15; Dee15: return $form; goto f955c; a0ba2: $form = $this->createForm("\x41\x70\x70\134\x46\157\x72\x6d\134\123\x69\x74\x65\x42\x6c\157\x63\x6b\145\x64\111\120\124\171\160\145", $blockedIpEntity, ["\141\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\x5f\x73\145\143\165\x72\x69\x74\x79\x5f\142\154\157\x63\153\x65\144\137\151\x70\x5f\x6e\145\x77", ["\x64\x6f\155\x61\x69\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\x50\117\x53\x54", "\141\164\x74\x72" => []]); goto B92aa; f955c: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto b1023; F58c4: try { goto ab212; d9edf: A3ad9: goto Ccacf; Ccacf: $user = $this->getUser(); goto a4620; b05f1: $siteUpdater = $this->getSiteUpdater($site); goto dff86; A85a6: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto e32d6; b57fe: if (false === is_null($siteEntity)) { goto A3ad9; } goto F8dbf; F0c52: $this->siteEntityManager->updateEntity($siteEntity); goto b05f1; C0218: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x69\160" => $blockedIp->getIp()]; goto A85a6; ab212: $session = $request->getSession(); goto B6f8c; cc4c6: return $response; goto E57ec; b4ceb: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\145\x5f\163\145\143\x75\x72\151\164\171", ["\144\157\155\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto Ac7a2; A923e: $siteUpdater->reloadNginxService(); goto C0218; e32d6: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\111\120\x20\150\141\163\40\142\145\145\x6e\40\141\x64\x64\x65\x64\56")); goto b4ceb; a4620: $blockedIp = $form->getData(); goto dff07; dff86: $siteUpdater->updateNginxVhost(); goto A923e; Ac7a2: Aa924: goto cc4c6; D8a9f: $siteEntity = $this->getSiteEntity($domainName); goto b57fe; a07d4: goto Aa924; goto d9edf; dff07: $siteEntity->addBlockedIp($blockedIp); goto F0c52; F8dbf: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x73")); goto a07d4; B6f8c: $domainName = $site->getDomainName(); goto D8a9f; E57ec: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\162\x72\x6f\162\40\x68\141\163\x20\157\143\x63\165\162\x72\145\x64\x2c\40\145\162\162\x6f\162\40\155\x65\163\163\x61\x67\145\x3a\40\45\145\162\x72\157\x72\115\145\x73\x73\141\x67\145\45", ["\x25\145\162\162\x6f\x72\115\145\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto f9682; b1023: if (true === $form->isValid()) { goto c107c; } goto D2693; Df01c: c107c: goto F58c4; D2693: $this->formErrors = $this->getErrorMessages($form); goto fe834; f9682: a1155: goto Ba70c; fe834: goto a1155; goto Df01c; Ba70c: } public function deleteBlockedIp(Request $request) : Response { goto fe857; bfe8a: try { goto f2693; B4719: $this->siteEntityManager->updateEntity($siteEntity); goto c6898; C8b2b: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\137\x73\x65\143\165\162\x69\164\x79", ["\144\x6f\155\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto f545f; c6898: $siteUpdater = $this->getSiteUpdater($site); goto e3f96; d2b8a: $siteUpdater->reloadNginxService(); goto c182d; e6338: $siteEntity = $this->getSiteEntity($domainName); goto D997e; B6185: $domainName = $site->getDomainName(); goto e6338; F52b8: d94f6: goto D06b6; f545f: return $response; goto F52b8; Eeec0: $session->getFlashBag()->set("\x73\165\143\x63\145\x73\x73", $this->translator->trans("\x49\120\40\150\x61\x73\x20\x62\x65\145\156\x20\144\x65\154\145\x74\x65\x64\x2e")); goto C8b2b; b1f8d: $id = (int) $request->get("\151\144"); goto B6185; c182d: $eventData = ["\163\151\x74\x65" => $domainName, "\x69\x70" => $blockedIpEntity->getIp()]; goto d9d6f; bc0c8: $user = $this->getUser(); goto Db5a1; e7bab: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto d94f6; } goto bc0c8; f2693: $session = $request->getSession(); goto b1f8d; Db5a1: $siteEntity->removeBlockedIp($blockedIpEntity); goto B4719; d9d6f: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto Eeec0; D997e: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto e7bab; e3f96: $siteUpdater->updateNginxVhost(); goto d2b8a; D06b6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\40\145\162\162\x6f\162\x20\x68\141\x73\x20\x6f\143\143\x75\162\x72\x65\x64\x2c\x20\x65\162\162\157\162\40\x6d\145\163\163\x61\x67\x65\x3a\40\45\x65\x72\162\157\x72\x4d\x65\163\163\x61\147\x65\x25", ["\x25\145\x72\x72\x6f\x72\115\x65\x73\163\x61\147\145\45" => $e->getMessage()])); } goto B5942; ce1f6: $this->checkCsrfToken($request, "\151\160\55\x64\145\x6c\145\x74\x65"); goto d783b; d7ca6: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\x73")); goto cd06a; d783b: if (!(false === is_null($site))) { goto Cc2e9; } goto bfe8a; B5942: Cc2e9: goto d7ca6; cd06a: return $response; goto fe770; fe857: $site = $this->getSite($request); goto ce1f6; fe770: } public function newBlockedBot(Request $request) : Response { goto a8eaf; B1d14: if (!(false === is_null($response))) { goto C6bcb; } goto d6581; d8d77: if (!(true === $form->isSubmitted())) { goto D1b01; } goto d2582; a8f73: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto ceb8c; d07cd: goto D5395; goto Aae61; f7db7: $form = $this->createBlockedBotForm($blockedBotEntity); goto A414e; de86a: F5135: goto D2b7f; Ee6b6: return $response; goto A8958; a8eaf: $site = $this->getSite($request); goto b1a5f; Dc692: D1b01: goto de86a; d6581: return $response; goto Dd5e7; d2582: $response = $this->handleBlockedBotForm($request, $form, $site); goto B1d14; Aae61: bec56: goto bf65a; Dd5e7: C6bcb: goto Dc692; A414e: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto F5135; } goto D5449; D5449: $form->handleRequest($request); goto d8d77; D6a12: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\x65\163")); goto d07cd; ceb8c: $blockedBotEntity->setSite($siteEntity); goto f7db7; bf65a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a8f73; b1a5f: if (false === is_null($site)) { goto bec56; } goto D6a12; fca14: D5395: goto Ee6b6; D2b7f: $response = $this->render("\106\x72\x6f\156\x74\x65\x6e\144\57\x53\151\x74\x65\x2f\x6e\145\x77\55\142\154\x6f\143\x6b\x65\144\55\x62\x6f\164\56\150\164\x6d\x6c\x2e\x74\x77\151\x67", ["\x73\151\x74\145" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\x6f\162\x6d\105\162\162\157\162\163" => $this->formErrors]); goto fca14; A8958: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto b1422; C84e1: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\x72\x6d\134\x53\x69\164\x65\x42\154\157\143\x6b\145\144\x42\157\x74\x54\171\x70\145", $blockedBotEntity, ["\x61\x63\164\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\x5f\163\x65\143\x75\162\151\x74\x79\x5f\142\154\x6f\143\153\145\x64\137\x62\x6f\164\x5f\x6e\x65\x77", ["\x64\157\155\x61\x69\156\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\157\144" => "\120\117\x53\124", "\x61\164\x74\162" => []]); goto Ae104; b1422: $siteEntity = $blockedBotEntity->getSite(); goto C84e1; D629c: return $form; goto db8e3; Ae104: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\x61\163\163" => "\142\x74\x6e\x20\x62\164\156\x2d\142\x6c\x75\145\40\142\x74\156\x2d\x6c\147"], "\154\x61\x62\x65\154" => "\101\144\x64\40\102\x6f\164"]); goto D629c; db8e3: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto D3811; C5c12: b22ed: goto A8b57; b74f4: bb34c: goto Bbe89; Bbe89: try { goto Caadb; Bf442: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\163", $this->translator->trans("\102\157\x74\40\150\x61\163\x20\x62\145\145\x6e\x20\141\144\x64\x65\144\x2e")); goto Baa64; A1cc1: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto Bf442; f4480: F179a: goto C3af4; F8f0d: $siteEntity = $this->getSiteEntity($domainName); goto B7741; c4e50: goto a3ea8; goto f4480; a0a5a: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\145\163")); goto c4e50; D0d20: $siteUpdater->updateNginxVhost(); goto cce4b; Aef13: return $response; goto db172; B7741: if (false === is_null($siteEntity)) { goto F179a; } goto a0a5a; Fb49b: $domainName = $site->getDomainName(); goto F8f0d; cce4b: $siteUpdater->reloadNginxService(); goto ee2f9; A3864: $siteUpdater = $this->getSiteUpdater($site); goto D0d20; e0cdf: $siteEntity->addBlockedBot($blockedBot); goto b1f71; C7715: a3ea8: goto Aef13; ee2f9: $eventData = ["\163\x69\164\145" => $domainName, "\x6e\141\x6d\x65" => $blockedBot->getName()]; goto A1cc1; A7fe9: $blockedBot = $form->getData(); goto e0cdf; Caadb: $session = $request->getSession(); goto Fb49b; Baa64: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\137\x73\x65\x63\165\x72\151\x74\171", ["\144\x6f\x6d\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto C7715; b1f71: $this->siteEntityManager->updateEntity($siteEntity); goto A3864; C3af4: $user = $this->getUser(); goto A7fe9; db172: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\162\x20\150\141\163\40\157\143\143\165\162\x72\x65\144\54\40\145\x72\162\157\x72\x20\x6d\x65\163\163\141\x67\145\72\x20\x25\145\x72\162\x6f\162\115\x65\163\163\x61\147\x65\45", ["\45\145\x72\162\157\x72\115\x65\163\x73\141\147\145\x25" => $e->getMessage()])); } goto C5c12; D3811: if (true === $form->isValid()) { goto bb34c; } goto C39a3; e6cde: goto b22ed; goto b74f4; C39a3: $this->formErrors = $this->getErrorMessages($form); goto e6cde; A8b57: } public function deleteBlockedBot(Request $request) : Response { goto cac06; Decac: $this->checkCsrfToken($request, "\142\x6f\164\55\x64\145\x6c\x65\164\x65"); goto fbf7d; cac06: $site = $this->getSite($request); goto Decac; f41cf: E85df: goto bfc6f; be7eb: return $response; goto E033f; fbf7d: if (!(false === is_null($site))) { goto E85df; } goto Deba0; Deba0: try { goto f4d4e; Fc88b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\145\x5f\x73\x65\143\x75\162\151\164\x79", ["\144\x6f\x6d\141\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto F5526; F5526: return $response; goto F055f; Cca5d: $siteUpdater = $this->getSiteUpdater($site); goto F363f; c88ba: $eventData = ["\163\x69\x74\145" => $domainName, "\x6e\141\155\x65" => $blockedBotEntity->getName()]; goto f1ad9; F359b: $domainName = $site->getDomainName(); goto Ead92; F363f: $siteUpdater->updateNginxVhost(); goto B5453; Fbeb4: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto e4bf4; } goto Dc7dc; B4270: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto Fbeb4; Dc7dc: $user = $this->getUser(); goto D5586; C9ceb: $this->siteEntityManager->updateEntity($siteEntity); goto Cca5d; F055f: e4bf4: goto d7cb4; Ead92: $siteEntity = $this->getSiteEntity($domainName); goto B4270; f1ad9: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto Cc213; f4d4e: $session = $request->getSession(); goto cb60a; Cc213: $session->getFlashBag()->set("\x73\x75\143\x63\x65\163\163", $this->translator->trans("\102\x6f\x74\40\150\x61\x73\x20\x62\145\x65\156\40\x64\145\x6c\x65\164\145\144\x2e")); goto Fc88b; B5453: $siteUpdater->reloadNginxService(); goto c88ba; cb60a: $id = (int) $request->get("\x69\144"); goto F359b; D5586: $siteEntity->removeBlockedBot($blockedBotEntity); goto C9ceb; d7cb4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\145\x72\162\157\x72\x20\150\x61\x73\40\157\x63\143\x75\x72\x72\x65\x64\54\x20\x65\x72\162\x6f\x72\40\155\145\163\x73\x61\x67\x65\72\40\45\145\x72\x72\x6f\162\115\x65\163\x73\141\x67\x65\45", ["\45\x65\162\162\x6f\162\115\145\163\163\141\x67\145\x25" => $e->getMessage()])); } goto f41cf; bfc6f: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\163")); goto be7eb; E033f: } public function certificates(Request $request) : Response { goto cec9c; Fdb5e: $certificates = $site->getCertificates(); goto c95cd; C30e1: goto Fb809; goto C373c; D6112: Fb809: goto F30b7; F87b5: if (false === is_null($site)) { goto Ee66c; } goto Edb58; cec9c: $site = $this->getSite($request); goto F87b5; Edb58: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\x73")); goto C30e1; C373c: Ee66c: goto Bd1cc; c95cd: $response = $this->render("\106\x72\157\x6e\x74\x65\156\144\x2f\x53\x69\x74\x65\x2f\x63\x65\162\164\151\x66\151\143\141\164\145\163\56\x68\x74\x6d\154\56\164\x77\x69\x67", ["\x73\151\164\x65" => $site, "\151\x6e\163\x74\x61\x6c\154\145\144\103\x65\162\x74\x69\146\151\143\141\x74\x65" => $installedCertificate, "\143\145\x72\164\151\146\x69\x63\x61\164\x65\x73" => $certificates]); goto D6112; Bd1cc: $installedCertificate = $site->getCertificate(); goto Fdb5e; F30b7: return $response; goto C10c1; C10c1: } public function importCertificate(Request $request) : Response { goto A005f; db4a8: $form = $this->createImportCertificateForm($certificateEntity); goto c1a76; C7479: if (false === is_null($site)) { goto b0d41; } goto C34c3; A3453: $form->handleRequest($request); goto D33c6; bd268: $response = $this->handleImportCertificateForm($request, $form, $site); goto bc3cd; ff510: return $response; goto Ebd04; A6ccc: b0d41: goto D69d8; A380c: ab927: goto C7576; A1939: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto C8c01; Ff45f: goto Bda83; goto A6ccc; C6053: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A1939; c1a76: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto Add20; } goto A3453; D33c6: if (!(true === $form->isSubmitted())) { goto ab927; } goto bd268; d0016: $response = $this->render("\106\x72\x6f\156\164\x65\156\x64\57\x53\x69\164\145\57\x69\155\x70\157\x72\164\x2d\143\145\162\x74\151\146\x69\x63\141\164\145\56\150\x74\155\154\x2e\x74\167\151\x67", ["\163\x69\164\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\146\157\162\x6d\x45\x72\162\157\x72\x73" => $this->formErrors]); goto b7c1d; b7c1d: Bda83: goto ff510; bc3cd: if (!(false === is_null($response))) { goto dcab0; } goto cfc87; D69d8: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C6053; C34c3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\163")); goto Ff45f; cfc87: return $response; goto C0013; A005f: $site = $this->getSite($request); goto C7479; C7576: Add20: goto d0016; C0013: dcab0: goto A380c; C8c01: $certificateEntity->setSite($siteEntity); goto db4a8; Ebd04: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto a8c93; A5246: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\141\163\x73" => "\142\164\x6e\x20\142\x74\156\x2d\x62\x6c\165\x65\40\x62\x74\x6e\x2d\x6c\x67"], "\x6c\x61\142\145\154" => "\x49\155\160\x6f\162\x74\x20\x61\x6e\x64\x20\x49\156\x73\x74\141\154\154"]); goto A5df5; a8c93: $siteEntity = $certificateEntity->getSite(); goto cf33c; A5df5: return $form; goto b681d; cf33c: $form = $this->createForm("\101\x70\x70\x5c\x46\157\x72\155\x5c\x53\x69\164\x65\x49\x6d\160\157\162\164\x43\x65\162\164\151\146\x69\x63\x61\x74\145\124\171\160\145", $certificateEntity, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x5f\143\145\x72\164\x69\x66\151\x63\141\x74\x65\x5f\x69\155\x70\157\162\x74", ["\144\157\155\141\151\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\x74\x68\x6f\x64" => "\120\x4f\123\124", "\x61\164\164\162" => []]); goto A5246; b681d: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto F783b; bbcdd: E80fb: goto Af80e; dabe7: goto cf7a2; goto bbcdd; a2e10: cf7a2: goto f760c; F783b: if (true === $form->isValid()) { goto E80fb; } goto e4029; e4029: $this->formErrors = $this->getErrorMessages($form); goto dabe7; Af80e: try { goto F6191; e25d1: a15c2: goto Bc2eb; F6191: $session = $request->getSession(); goto Fa5fa; A0295: $siteEntity->setCertificate($certificateEntity); goto Be84d; Eed74: $user = $this->getUser(); goto C4597; D485c: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto cad40; C8173: $siteEntity = $this->getSiteEntity($domainName); goto Ab1a6; b0e9c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\x5f\x63\145\162\x74\x69\x66\151\143\141\164\x65\x73", ["\x64\x6f\x6d\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto e25d1; C4597: $certificateEntity = $form->getData(); goto Cb0de; Fa5fa: $domainName = $site->getDomainName(); goto C8173; c1432: goto a15c2; goto a22bb; b874c: $this->siteEntityManager->updateEntity($siteEntity); goto E2b5f; Bddd1: $siteUpdater->installCertificate($certificateEntity); goto A0295; Bc2eb: return $response; goto f0748; Cb0de: $siteUpdater = $this->getSiteUpdater($site); goto Bddd1; Be84d: $siteEntity->addCertificate($certificateEntity); goto b874c; a22bb: Eebfb: goto Eed74; f3072: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\x65\163")); goto c1432; E2b5f: $evenData = ["\x73\x69\x74\145" => $domainName]; goto D485c; Ab1a6: if (false === is_null($siteEntity)) { goto Eebfb; } goto f3072; cad40: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\163", $this->translator->trans("\103\145\162\164\151\146\x69\x63\x61\x74\x65\40\150\x61\163\x20\x62\x65\x65\156\40\151\x6e\163\x74\x61\154\154\145\x64\x2e")); goto b0e9c; f0748: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\101\156\x20\145\x72\162\157\x72\40\x68\x61\x73\x20\x6f\x63\143\165\162\x72\x65\x64\x2c\x20\145\x72\x72\x6f\162\x20\155\145\163\x73\x61\147\145\x3a\x20\x25\145\x72\x72\157\x72\x4d\x65\x73\163\x61\x67\x65\x25", ["\45\x65\x72\x72\157\x72\115\x65\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto a2e10; f760c: } public function newLetsEncryptCertificate(Request $request) : Response { goto d3b72; Eeb17: if (false === is_null($site)) { goto f4de4; } goto d0fd0; dc0b4: return $response; goto Ef93f; da6d7: afcc3: goto E5e8d; Ec869: $domains = []; goto C3075; bc041: F6347: goto A8b05; C7537: $domains = array_unique($domains); goto f1f86; c3e86: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto f3995; Db37c: $subdomain = false === empty($subdomain) ? $subdomain : null; goto B18b1; a6ec8: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto bff68; a1684: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\x64\57\123\151\x74\145\57\156\x65\167\x2d\x6c\x65\x74\163\x2d\x65\x6e\x63\162\x79\160\x74\55\143\145\x72\x74\x69\x66\151\x63\141\x74\x65\x2e\150\164\155\154\x2e\164\x77\x69\147", ["\x73\151\164\x65" => $site, "\x64\x6f\155\x61\x69\156\x73" => $domains, "\146\157\162\155" => $form->createView(), "\x66\x6f\162\x6d\x45\162\162\157\x72\x73" => $this->formErrors]); goto c5166; B2a72: $form = $this->createLetsEncryptCertificateForm($domainName); goto Ec869; D62ea: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Db37c; D377a: $domains = [$registrableDomain, sprintf("\x77\167\167\x2e\45\163", $registrableDomain)]; goto da6d7; Ef93f: D28f1: goto D307e; f1f86: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto C369f; D083d: da109: goto a1684; E5e8d: goto da109; goto bc041; Dd79e: goto d0ecf; goto f99f1; d3b72: $site = $this->getSite($request); goto Eeb17; bff68: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto D62ea; B18b1: if (true === is_null($subdomain) || "\x77\x77\x77" == $subdomain) { goto ad053; } goto fb640; D65b7: goto afcc3; goto Aef5f; ddb25: return $response; goto dc091; c5166: d0ecf: goto ddb25; c6268: $domains = (array) $request->get("\x64\x6f\155\141\151\x6e\x73"); goto c3e86; f3995: $domains = array_map("\x74\x72\x69\155", $domains); goto C7537; e9dea: if (!(true === $form->isSubmitted())) { goto C4481; } goto c6268; A8b05: $form->handleRequest($request); goto e9dea; fb640: $domains = [$domainName]; goto D65b7; f99f1: f4de4: goto e8c88; C369f: if (!(false === is_null($response))) { goto D28f1; } goto dc0b4; d0fd0: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\145\x73")); goto Dd79e; Aef5f: ad053: goto D377a; D307e: C4481: goto D083d; e8c88: $domainName = $site->getDomainName(); goto B2a72; C3075: if (true === $request->isMethod("\x50\117\123\x54")) { goto F6347; } goto a6ec8; dc091: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto Ae162; be4d4: $form->add("\x73\165\x62\155\151\164", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\154\x61\163\x73" => "\142\164\156\40\142\x74\x6e\55\142\154\x75\x65\x20\x62\164\156\x2d\154\147"], "\154\x61\142\x65\154" => "\x43\162\145\141\164\x65\x20\141\156\x64\40\x49\156\163\x74\141\154\154"]); goto e1aba; e1aba: return $form; goto e1523; Ae162: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\x72\155\134\x53\x69\x74\145\114\145\x74\x73\x45\x6e\x63\162\171\x70\164\103\x65\x72\x74\151\146\151\143\x61\164\x65\x54\x79\x70\145", [], ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\x65\137\154\145\164\x73\x5f\x65\156\x63\x72\x79\x70\x74\x5f\143\x65\x72\x74\151\146\x69\x63\141\x74\145\137\x6e\x65\x77", ["\x64\157\155\141\x69\x6e\116\141\x6d\x65" => $domainName]), "\155\145\164\x68\157\x64" => "\x50\x4f\123\124", "\141\164\164\x72" => ["\151\144" => "\143\162\145\141\164\x65\55\154\145\164\163\55\145\156\143\162\171\160\x74\55\x63\145\162\x74\x69\146\x69\143\x61\164\145\55\146\157\162\x6d"]]); goto be4d4; e1523: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto E7e75; d67ea: $this->formErrors = $this->getErrorMessages($form); goto F5e3a; E7e75: if (!(true === $form->isValid())) { goto Ae96f; } goto e7cd7; e7cd7: try { goto Ad0ab; D3271: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto D7ecc; Dc6a6: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto C8430; acf1b: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto A6fe3; A3bde: $letsEncryptClient = new LetsEncryptClient($privateKey); goto a71d9; D85fd: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto cfa92; E0dff: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto e18ca; Ae684: $siteEntity = $this->getSiteEntity($domainName); goto f6981; Cbcdb: $distinguishedNameDomains = $domains; goto Ff269; fdd9d: $evenData = ["\x73\151\x74\x65" => $domainName]; goto Dc6a6; A6fe3: $csr = $csrGenerator->generate(); goto b5188; B8616: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\x65\x5f\x63\x65\162\164\151\146\151\143\141\164\x65\163", ["\144\x6f\155\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto df48f; e18ca: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto d3973; efb8f: $siteUpdater = $this->getSiteUpdater($site); goto B5ea8; cfa92: $siteUpdater = $this->getSiteUpdater($site); goto E061e; Cb138: $certificateEntity = $this->certificateEntityManager->createEntity(); goto D3271; B5ea8: $siteUpdater->installCertificate($certificateEntity); goto C954e; d5824: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\x73")); goto Edbd8; E29a7: $letsEncryptClient = new LetsEncryptClient($privateKey); goto f2938; f2938: $letsEncryptClient->registerAccount(); goto Ba9eb; f6981: if (false === is_null($siteEntity)) { goto a0460; } goto d5824; Fe2f6: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto acf1b; B765f: $letsEncryptClient->registerAccount(); goto D85fd; b1f18: goto fe365; goto Eff9e; Fe913: $certificateEntity->setCertificate($certificate->getCertificate()); goto bbf85; e78d3: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto A3bde; df48f: return $response; goto Ad170; bc44b: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto A1936; Ad0ab: $session = $request->getSession(); goto E060e; E061e: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Cbb30; Eff9e: F66e0: goto Cbcdb; d3973: B2153: goto F7232; D2da0: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\x70\162\x69\166\141\164\145\137\x6b\145\x79"); goto e78d3; Af517: goto C4c84; goto B27ec; C8430: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\x43\145\162\164\151\146\151\x63\141\164\145\x20\150\141\163\x20\x62\145\x65\x6e\x20\151\156\x73\x74\x61\x6c\x6c\145\144\x2e")); goto B8616; F94de: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\x3a\40\45\163", $domain, $validationErrorMessage))); d376d: } goto e0ff3; Ae20d: $siteEntity->addCertificate($certificateEntity); goto cfc06; E060e: $domainName = $site->getDomainName(); goto Ae684; Ad170: fe365: goto Ecf29; C954e: $siteEntity->setCertificate($certificateEntity); goto Ae20d; Cbb30: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Abcef; Edbd8: return $response; goto Af517; F7232: if (true === empty($validationErrors)) { goto F66e0; } goto F94de; bbf85: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto efb8f; cfc06: $this->siteEntityManager->updateEntity($siteEntity); goto fdd9d; e0ff3: ba86b: goto b1f18; b5188: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto Cb138; c7adf: $siteUpdater = $this->getSiteUpdater($site); goto D336c; A205b: $user = $this->getUser(); goto D2da0; Ecf29: C4c84: goto ed080; A1936: $rsaKeyGenerator = new RsaKeyGenerator(); goto Fe2f6; Ff269: $commonName = array_shift($distinguishedNameDomains); goto bc44b; cd43d: if (!(true === empty($validationErrors))) { goto B2153; } goto E29a7; D7ecc: $certificateEntity->setSite($siteEntity); goto F24f4; Ba9eb: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto c7adf; F24f4: $certificateEntity->setCsr($certificate->getCsr()); goto Aa3a3; a71d9: $letsEncryptClient->setDryRun(true); goto B765f; B27ec: a0460: goto A205b; D336c: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto E0dff; Abcef: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto cd43d; Aa3a3: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto Fe913; ed080: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\x6e\40\145\162\x72\157\162\x20\150\x61\163\40\x6f\143\x63\165\x72\x72\x65\144\x2c\40\145\162\x72\157\x72\40\155\145\163\163\x61\147\145\x3a\40\x25\145\162\x72\x6f\x72\115\145\163\x73\141\x67\145\45", ["\45\145\x72\x72\157\x72\115\145\x73\163\141\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto cee95; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); cee95: } goto B6604; B6604: Ae96f: goto d67ea; F5e3a: } public function installCertificate(Request $request) : Response { goto e70fc; C2fa1: try { goto Db968; e32cd: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto F742b; Ab2cf: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\145\137\x63\145\x72\x74\x69\146\151\143\x61\164\145\163", ["\144\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto d9600; D3875: $siteEntity->setCertificate($certificateEntity); goto b77de; D31e0: F5c06: goto a7a4b; Cda1c: $uid = $request->get("\x75\x69\x64"); goto dc899; b77de: $this->siteEntityManager->updateEntity($siteEntity); goto dd642; Db6e2: F708e: goto D31e0; d9600: return $response; goto Db6e2; Db968: $session = $request->getSession(); goto Cda1c; A4eb4: $siteEntity = $this->getSiteEntity($domainName); goto e32cd; dc899: $domainName = $site->getDomainName(); goto A4eb4; dd642: $evenData = ["\163\x69\x74\x65" => $domainName]; goto b9f01; Df3c2: $certificateSiteEntity = $certificateEntity->getSite(); goto D59a9; b9f01: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto d212b; E5e1c: $siteUpdater = $this->getSiteUpdater($site); goto a622f; D59a9: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto F708e; } goto a7b6d; d212b: $session->getFlashBag()->set("\163\165\143\143\x65\163\x73", $this->translator->trans("\103\x65\162\164\151\x66\x69\x63\141\x74\145\40\x68\141\x73\40\142\x65\x65\x6e\40\x69\156\163\164\x61\x6c\154\x65\144\x2e")); goto Ab2cf; F742b: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto F5c06; } goto Df3c2; a7b6d: $user = $this->getUser(); goto E5e1c; a622f: $siteUpdater->installCertificate($certificateEntity); goto D3875; a7a4b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\x72", $this->translator->trans("\101\156\40\145\x72\162\157\x72\x20\150\x61\x73\x20\157\143\x63\x75\x72\x72\x65\x64\54\40\x65\162\162\x6f\162\x20\x6d\x65\163\x73\x61\x67\145\72\40\45\145\x72\162\x6f\x72\x4d\x65\x73\x73\x61\x67\x65\45", ["\x25\x65\x72\162\157\x72\x4d\145\163\163\x61\147\145\x25" => $e->getMessage()])); } goto D219d; e70fc: $site = $this->getSite($request); goto bb0c7; d6e6f: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\163")); goto e9f46; D219d: d1cc7: goto d6e6f; bb0c7: if (!(false === is_null($site))) { goto d1cc7; } goto C2fa1; e9f46: return $response; goto b9d94; b9d94: } public function deleteCertificate(Request $request) : Response { goto e7841; b70f9: return $response; goto Ac50e; ad738: try { goto deac6; caded: b84e8: goto fab0d; Becf8: $certificateSiteEntity = $certificateEntity->getSite(); goto F7378; F7378: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto b84e8; } goto F42f1; F42f1: $user = $this->getUser(); goto Dbc95; b3b85: $uid = $request->get("\x75\151\x64"); goto ca4e2; ca4e2: $domainName = $site->getDomainName(); goto c8f49; Ef85d: return $response; goto caded; Dbc95: $siteEntity->removeCertificate($certificateEntity); goto E991c; E991c: $this->siteEntityManager->updateEntity($siteEntity); goto c8931; a4a47: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\163", $this->translator->trans("\x43\145\x72\164\151\146\151\143\x61\164\x65\x20\150\x61\163\x20\142\x65\x65\156\x20\144\145\x6c\145\164\145\144\56")); goto f2abd; f2abd: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\x65\x5f\143\x65\162\x74\151\x66\151\x63\141\164\145\x73", ["\144\x6f\x6d\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto Ef85d; A37bf: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto ab78c; c8931: $evenData = ["\x73\x69\164\x65" => $domainName]; goto d437f; fab0d: a8911: goto e7967; c8f49: $siteEntity = $this->getSiteEntity($domainName); goto A37bf; d437f: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto a4a47; deac6: $session = $request->getSession(); goto b3b85; ab78c: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto a8911; } goto Becf8; e7967: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\x72\40\x68\x61\x73\40\x6f\x63\143\165\162\162\145\144\x2c\40\x65\162\162\x6f\162\x20\155\145\x73\163\141\147\x65\x3a\40\x25\145\162\162\x6f\162\x4d\x65\x73\163\x61\147\145\45", ["\45\145\162\x72\157\x72\x4d\145\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto f2d2b; b9fe0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\x65\x73")); goto b70f9; e7841: $site = $this->getSite($request); goto dd604; c28f8: if (!(false === is_null($site))) { goto Ddd89; } goto ad738; f2d2b: Ddd89: goto b9fe0; dd604: $this->checkCsrfToken($request, "\143\x65\162\x74\151\146\x69\143\141\164\x65\x2d\144\145\x6c\145\164\145"); goto c28f8; Ac50e: } public function databases(Request $request) : Response { goto F42e9; D56f6: $databases = $site->getDatabases(); goto D88e7; c0173: goto ed37c; goto D80f0; D88e7: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c1ac6; C5684: B031f: goto E71fc; ac96c: return $response; goto c42da; c1ac6: $numberOfDatabaseUsers = 0; goto ace03; C57cd: if (false === is_null($site)) { goto e5f18; } goto F20f9; F42e9: $site = $this->getSite($request); goto C57cd; ace03: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); e8716: } goto C5684; D80f0: e5f18: goto D56f6; E71fc: $response = $this->render("\106\162\x6f\156\x74\145\x6e\x64\x2f\x53\x69\x74\145\57\144\x61\164\x61\x62\141\163\x65\x73\56\150\164\x6d\x6c\56\164\x77\x69\147", ["\163\151\164\145" => $site, "\144\x61\x74\x61\142\x61\163\x65\x73" => $databases, "\156\165\155\x62\x65\x72\117\146\x44\x61\x74\x61\142\141\x73\x65\x55\x73\145\162\x73" => $numberOfDatabaseUsers, "\144\x61\164\141\142\141\x73\145\x53\x65\162\x76\145\162" => $databaseServerEntity]); goto a43d7; F20f9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\145\163")); goto c0173; a43d7: ed37c: goto ac96c; c42da: } public function newDatabase(Request $request) : Response { goto D49e2; Bd2cb: return $response; goto ed39a; Df345: return $response; goto be24b; Dd05e: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B06c3; C1663: if (!(false === is_null($response))) { goto Ab312; } goto Bd2cb; a568f: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto fecf0; } goto F6137; dbd14: $databaseEntity->setSite($siteEntity); goto de664; B06c3: $databaseEntity = $this->databaseEntityManager->createEntity(); goto dbd14; bc9bf: if (false === is_null($site)) { goto f8260; } goto ab34f; fc677: if (!(true === $form->isSubmitted())) { goto e7269; } goto e7a5e; d59ec: fecf0: goto ee2fb; ee2fb: $response = $this->render("\x46\162\157\x6e\x74\145\x6e\144\57\x53\x69\164\x65\57\156\145\x77\55\144\x61\164\x61\x62\x61\x73\145\x2e\150\164\155\154\x2e\x74\167\x69\147", ["\163\151\x74\145" => $site, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\x6d\105\x72\x72\x6f\x72\163" => $this->formErrors]); goto e7ee3; e4791: goto d099d; goto c435d; de664: $form = $this->createDatabaseForm($site, $databaseEntity); goto a568f; C04cd: e7269: goto d59ec; ab34f: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\x73")); goto e4791; F6137: $form->handleRequest($request); goto fc677; ed39a: Ab312: goto C04cd; c435d: f8260: goto Dd05e; D49e2: $site = $this->getSite($request); goto bc9bf; e7ee3: d099d: goto Df345; e7a5e: $response = $this->handleDatabaseForm($request, $form, $site); goto C1663; be24b: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto A7c1b; A7c1b: $form = $this->createForm("\x41\160\160\134\106\157\x72\155\134\123\151\164\145\104\141\x74\x61\x62\x61\163\x65\x54\x79\160\145", $databaseEntity, ["\141\143\x74\151\157\x6e" => $this->generateUrl("\x63\154\160\x5f\163\x69\164\145\x5f\x64\x61\x74\141\x62\x61\x73\145\137\x6e\145\167", ["\x64\157\x6d\x61\x69\156\116\x61\x6d\x65" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\120\x4f\x53\x54", "\x61\164\x74\162" => []]); goto Fd42b; f86cc: return $form; goto e067d; Fd42b: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\x6c\x61\x73\x73" => "\142\164\156\40\x62\x74\x6e\55\x62\x6c\x75\x65\40\x62\x74\x6e\x2d\154\147"], "\x6c\x61\142\145\x6c" => "\101\x64\144\40\104\x61\164\141\142\x61\x73\145"]); goto f86cc; e067d: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto Bf878; c7896: try { goto A7099; C135c: $databaseUserEntity->setUserName($databaseUserName); goto A7ba4; E77ce: $siteEntity = $this->getSiteEntity($domainName); goto A23dc; F08d7: $databaseUserPassword = $form->get("\x75\x73\x65\x72\x50\x61\x73\x73\x77\x6f\x72\144")->getData(); goto E718e; f7d6f: $databaseUserName = $form->get("\x75\163\x65\x72\116\141\x6d\x65")->getData(); goto F08d7; c6034: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d4b8a; F155b: $domainName = $site->getDomainName(); goto E77ce; Ffba2: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto Eac99; D9cc4: Df33a: goto Dd8b2; E718e: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto C135c; Dd8b2: $databaseEntity = $form->getData(); goto c6034; E6374: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto f16ff; A7ba4: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto e4bdc; ad4e5: $siteEntity->addDatabase($databaseEntity); goto a2492; F1ad3: $databaseUserEntity->setDatabase($databaseEntity); goto Facb0; a2492: $databaseManager->createDatabase($databaseEntity); goto Ac6c7; Facb0: $databaseEntity->addUser($databaseUserEntity); goto ad4e5; Aaf8e: $this->siteEntityManager->updateEntity($siteEntity); goto d00f1; Ce73b: goto Cefff; goto D9cc4; e4bdc: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto F1ad3; d4b8a: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto E6374; Ac6c7: $databaseManager->createUser($databaseUserEntity); goto Aaf8e; d00f1: $eventData = ["\x73\x69\164\x65" => $domainName, "\x64\x61\164\141\x62\141\x73\145" => $databaseEntity->getName(), "\144\141\x74\141\142\x61\163\x65\125\163\x65\x72\x4e\141\x6d\145" => $databaseUserEntity->getUserName()]; goto Ffba2; Eac99: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\x44\x61\x74\x61\x62\x61\x73\x65\40\150\x61\163\x20\x62\145\145\x6e\40\141\x64\x64\145\144\x2e")); goto cb9a5; F824b: Cefff: goto B0036; bf176: $session = $request->getSession(); goto F155b; f16ff: $databaseEntity->setSite($siteEntity); goto f7d6f; Fc388: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\x65\x5f\x64\141\164\141\x62\141\x73\x65\x5f\x6e\x65\167", ["\x64\x6f\155\141\151\x6e\116\141\155\145" => $site->getDomainName()])); goto Ce73b; A23dc: if (false === is_null($siteEntity)) { goto Df33a; } goto Fc388; cb9a5: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\145\x5f\x64\x61\164\141\142\141\x73\145\x73", ["\x64\x6f\155\x61\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto F824b; A7099: $user = $this->getUser(); goto bf176; B0036: return $response; goto Fedaf; Fedaf: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\157\162\x20\x68\x61\163\40\157\143\143\x75\x72\162\145\x64\x2c\40\145\162\x72\x6f\x72\40\x6d\145\x73\163\x61\147\145\72\40\45\x65\162\162\157\162\x4d\145\163\163\141\147\x65\45", ["\45\x65\x72\162\157\162\115\x65\163\163\x61\147\145\x25" => $e->getMessage()])); } goto E96f4; E96f4: E7929: goto Ae741; F6b9b: $this->formErrors = $this->getErrorMessages($form); goto B31ad; B31ad: goto E7929; goto Ca47f; Ca47f: A1b9c: goto c7896; Bf878: if (true === $form->isValid()) { goto A1b9c; } goto F6b9b; Ae741: } public function deleteDatabase(Request $request) : Response { goto d3c82; A95cf: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\x5f\144\141\164\141\x62\141\163\145\x73", ["\144\x6f\155\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto Fd6d3; d56fa: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ce864; d3c82: $site = $this->getSite($request); goto e7691; beaac: $databaseName = $request->get("\x64\x61\164\141\x62\141\x73\145\x4e\x61\x6d\x65"); goto C2271; e7691: $this->checkCsrfToken($request, "\144\x61\164\141\x62\x61\163\x65\x2d\144\x65\154\145\x74\x65"); goto Fd0d8; Fd6d3: return $response; goto a73ec; B1b75: return $response; goto E4629; C2271: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto d56fa; Fd0d8: if (!(false === is_null($site))) { goto C0a68; } goto beaac; Ce864: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto Ae291; } goto cd143; a73ec: Ae291: goto C44ec; C44ec: C0a68: goto B3a52; B3a52: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\145\163")); goto B1b75; cd143: try { goto b256f; d1f57: $siteEntity->removeDatabase($databaseEntity); goto e7892; b256f: $user = $this->getUser(); goto a43b9; f2cb9: $eventData = ["\163\151\164\x65" => $domainName, "\144\141\164\x61\x62\x61\x73\145" => $databaseEntity->getName()]; goto Ae745; e2d75: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto da934; Ae745: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto Dc825; De94c: $databaseManager->deleteDatabase($databaseEntity, true); goto d1f57; Dc089: $domainName = $site->getDomainName(); goto e2d75; a43b9: $session = $request->getSession(); goto Dc089; Dc825: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\x73", $this->translator->trans("\104\x61\x74\x61\x62\141\x73\145\x20\x68\141\x73\x20\142\x65\x65\x6e\x20\x64\x65\154\145\x74\145\144\56")); goto B6634; da934: $databaseManager = new DatabaseManager($databaseServerEntity); goto De94c; e7892: $this->siteEntityManager->updateEntity($siteEntity); goto f2cb9; B6634: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\156\x20\x65\162\x72\157\x72\x20\150\x61\x73\40\x6f\x63\143\x75\x72\162\x65\x64\54\x20\x65\x72\162\157\162\x20\155\145\x73\163\141\x67\x65\72\40\45\x65\x72\162\157\162\x4d\145\163\x73\141\x67\145\45", ["\45\145\x72\162\x6f\162\115\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto A95cf; E4629: } public function phpMyAdmin(Request $request) : Response { goto a3493; E90c4: $session->set("\x63\x6c\x70\55\x70\155\x61", $data); goto F3a6d; f090b: return $response; goto dab7d; D8a5f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E65e0; F022e: $phpMyAdminUrl = sprintf("\x68\164\x74\x70\163\x3a\57\57\x25\x73\72\x25\x73\57\x70\150\160\155\171\141\x64\155\x69\x6e\x2f\154\157\147\151\156\x2e\x70\150\x70", $request->getHost(), $request->getPort()); goto b9f0e; B6c25: $response = new RedirectResponse($phpMyAdminUrl); goto c08e0; b54ce: $databaseEntity = $databaseUserEntity->getDatabase(); goto ca63f; f2f11: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ad298; ca63f: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto db098; } goto F022e; f3df7: return $response; goto dc5a1; D91be: $response->headers->clearCookie("\x53\x69\147\x6e\x6f\156\123\x65\x73\x73\151\157\156"); goto f090b; a3493: $domainName = $request->get("\144\x6f\155\141\x69\156\116\141\x6d\x65"); goto D96e5; cf3d7: $response->headers->clearCookie("\x70\155\141\101\165\x74\150\x2d\61\137\x68\164\x74\x70\x73"); goto D91be; Ef2b5: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto D8a5f; e2c79: return $response; goto e8b5d; e7e72: $data = ["\x68\x6f\x73\x74" => $activeDatabaseServerEntity->getHost(), "\x70\x6f\162\164" => $activeDatabaseServerEntity->getPort()]; goto E46f7; E3496: e2d19: goto bc153; Fb167: A8654: goto Dc7bb; e4006: if (!(false === is_null($site))) { goto Fee63; } goto bc015; efd54: $response->headers->clearCookie("\160\x68\x70\x4d\171\x41\144\155\151\x6e\x5f\150\x74\164\x70\x73"); goto cf3d7; bc153: $site = $this->getSite($request); goto e4006; b9f0e: $data = ["\x68\x6f\x73\x74" => $activeDatabaseServerEntity->getHost(), "\165\163\x65\x72\x4e\x61\155\145" => $databaseUserEntity->getUserName(), "\x70\x61\163\163\x77\x6f\x72\x64" => $databaseUserEntity->getDecryptedPassword(), "\160\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto E90c4; Ad298: if (!(false === is_null($activeDatabaseServerEntity))) { goto Ab67d; } goto E4017; f0aed: D8e36: goto F7c4f; c08e0: $response->headers->clearCookie("\x63\154\160\55\x70\155\141"); goto efd54; D3fed: goto A8654; goto E3496; F3a6d: $response = new RedirectResponse($phpMyAdminUrl); goto e2c79; dab7d: Ab67d: goto D3fed; ca83f: if (false === is_null($domainName)) { goto e2d19; } goto f2f11; E46f7: $session->set("\143\154\160\x2d\160\x6d\141", $data); goto B6c25; Dc7bb: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\x74\x65\163")); goto f3df7; E65e0: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto D8e36; } goto b54ce; F7c4f: Fee63: goto Fb167; e8b5d: db098: goto f0aed; E4017: $phpMyAdminUrl = sprintf("\x68\164\164\160\163\72\57\57\x25\163\72\45\163\x2f\x70\150\x70\x6d\x79\x61\144\155\151\x6e\x2f\154\157\x67\151\x6e\x2e\160\150\x70", $request->getHost(), $request->getPort()); goto e7e72; bc015: $databaseUserName = $request->get("\144\141\164\141\x62\x61\x73\145\125\163\145\162\x4e\x61\x6d\x65"); goto Ef2b5; D96e5: $session = $request->getSession(); goto ca83f; dc5a1: } public function phpMyAdminLogout(Request $request) { goto d0a79; aa0c2: $response->headers->clearCookie("\160\155\x61\x41\x75\164\x68\x2d\61\x5f\150\x74\164\x70\x73"); goto E5bc2; E5bc2: $response->headers->clearCookie("\123\x69\147\156\157\156\x53\x65\x73\x73\x69\157\156"); goto Bc63f; Bc63f: return $response; goto d9e94; d0a79: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\145\x73")); goto B4f32; d3e48: $response->headers->clearCookie("\160\150\x70\x4d\171\101\144\x6d\151\x6e\x5f\150\164\164\160\x73"); goto aa0c2; B4f32: $response->headers->clearCookie("\143\154\160\x2d\160\x6d\141"); goto d3e48; d9e94: } public function newDatabaseUser(Request $request) : Response { goto A6149; Ca02b: goto c1f06; goto b7687; a7321: if (!(true === $form->isSubmitted())) { goto f3087; } goto afe36; e82c7: f3087: goto A5a2f; afe36: $response = $this->handleDatabaseUserForm($request, $form, $site); goto Bd557; E9734: $siteEntity = $this->getSiteEntity($domainName); goto b3d18; b34c6: $databaseUserEntity->setSite($siteEntity); goto c47e9; acd2e: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\x73")); goto Ca02b; bf9fb: ba0c6: goto e82c7; Ce752: return $response; goto bf9fb; Cc5de: $form->handleRequest($request); goto a7321; A43a5: goto C2c0d; goto Bf81c; Cde60: $session = $request->getSession(); goto bf463; e3954: $databases = $site->getDatabases(); goto Ebf26; cd8c8: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto ba597; } goto Cc5de; b7687: fee37: goto e3954; aa1e8: if (false === is_null($site)) { goto fee37; } goto acd2e; Dcd1d: c1f06: goto B6dba; A5a2f: ba597: goto ddf77; c47e9: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto cd8c8; B6dba: return $response; goto Ed845; d2db8: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\x5f\x64\141\164\141\x62\x61\163\x65\163", ["\144\157\155\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto A43a5; Bf81c: b32a6: goto c0d76; Ed048: C2c0d: goto Dcd1d; ddf77: $response = $this->render("\x46\162\x6f\156\164\145\156\x64\x2f\x53\151\164\145\57\156\145\x77\55\x64\141\164\x61\x62\x61\x73\x65\x2d\x75\163\x65\x72\x2e\150\x74\155\154\x2e\x74\x77\x69\x67", ["\x73\151\164\145" => $site, "\x64\141\164\141\x62\x61\x73\145\x55\x73\x65\162" => $databaseUserEntity, "\144\x61\164\141\x62\x61\163\145\163" => $databases, "\146\x6f\x72\x6d" => $form->createView(), "\146\x6f\162\x6d\105\x72\162\157\x72\x73" => $this->formErrors]); goto Ed048; A6149: $site = $this->getSite($request); goto aa1e8; bf463: $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\116\157\x20\144\141\x74\141\142\x61\163\145\x20\x66\x6f\165\x6e\144\73\x20\143\x72\x65\x61\164\145\x20\141\40\144\141\164\141\x62\141\163\x65\x20\x66\151\162\x73\x74\56")); goto d2db8; c0d76: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto b34c6; Bd557: if (!(false === is_null($response))) { goto ba0c6; } goto Ce752; Ebf26: $domainName = $site->getDomainName(); goto E9734; b3d18: if (count($databases) && false === is_null($siteEntity)) { goto b32a6; } goto Cde60; Ed845: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto D1da8; Cf50b: $form->add("\163\x75\x62\155\151\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\x61\163\x73" => "\142\164\156\x20\x62\x74\x6e\x2d\x62\x6c\165\x65\x20\x62\x74\156\55\154\147"], "\x6c\x61\x62\x65\154" => "\x41\x64\x64\40\x44\x61\x74\x61\x62\141\x73\x65\40\x55\163\145\162"]); goto afbd2; afbd2: return $form; goto e8ac4; D1da8: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\x6d\x5c\123\151\164\x65\104\141\x74\x61\x62\141\163\x65\125\163\x65\x72\124\x79\160\145", $databaseUserEntity, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\x5f\144\141\164\x61\x62\141\x73\x65\137\165\x73\145\x72\x5f\156\145\167", ["\144\x6f\x6d\141\151\156\116\x61\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\x6f\x64" => "\x50\117\123\124", "\141\164\164\x72" => []]); goto Cf50b; e8ac4: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto cec23; cff43: D3b20: goto f6d49; Fd6b8: $this->formErrors = $this->getErrorMessages($form); goto f4281; beda3: E4533: goto Fa100; f4281: goto D3b20; goto beda3; Fa100: try { goto c414b; c651e: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto cfffa; d4be8: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto E4df3; d5d7f: return $response; goto fb63d; a9bc4: $databaseUserEntity = $form->getData(); goto fbd28; D4847: $siteEntity = $this->getSiteEntity($domainName); goto F87ea; F4a9e: A0080: goto a9bc4; Ef262: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\163", $this->translator->trans("\x44\141\164\141\142\x61\163\x65\x20\x55\163\145\162\40\150\x61\163\40\142\145\145\x6e\40\x61\x64\144\145\144\56")); goto d4738; Cabc5: $domainName = $site->getDomainName(); goto D4847; A53c6: goto D96ed; goto F4a9e; f30c7: $databaseManager->createUser($databaseUserEntity); goto d4be8; E9121: $databaseName = $databaseEntity->getName(); goto a2e65; adc21: $session = $request->getSession(); goto Cabc5; fbd28: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto d69cb; F87ea: if (false === is_null($siteEntity)) { goto A0080; } goto A723c; a61f0: D96ed: goto d5d7f; d4738: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\145\x5f\144\141\x74\141\142\x61\x73\145\163", ["\144\x6f\x6d\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto a61f0; c414b: $user = $this->getUser(); goto adc21; A0425: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto Ef262; d69cb: $databaseUserEntity->setPassword($encryptedPassword); goto c651e; a2e65: $eventData = ["\x73\x69\164\x65" => $domainName, "\144\141\164\x61\142\x61\x73\145\125\x73\x65\162\116\141\155\145" => $databaseUserEntity->getUserName(), "\160\x65\x72\x6d\151\x73\x73\151\157\156\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\164\141\142\141\163\x65" => $databaseName]; goto A0425; E4df3: $databaseEntity = $databaseUserEntity->getDatabase(); goto E9121; cfffa: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto f30c7; A723c: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\x65\x5f\x64\141\164\141\x62\141\x73\x65\137\165\163\x65\162\x5f\156\x65\x77", ["\144\157\155\x61\x69\156\116\141\155\145" => $site->getDomainName()])); goto A53c6; fb63d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\101\156\x20\145\x72\162\157\x72\x20\x68\141\x73\40\x6f\x63\143\x75\x72\x72\145\x64\x2c\40\x65\x72\x72\x6f\x72\40\x6d\x65\163\163\141\x67\145\x3a\x20\45\x65\x72\162\x6f\162\x4d\145\163\x73\141\147\x65\45", ["\45\x65\x72\x72\157\162\115\x65\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto cff43; cec23: if (true === $form->isValid()) { goto E4533; } goto Fd6b8; f6d49: } public function editDatabaseUser(Request $request) : Response { goto c2b9e; fd6fa: Efe1a: goto C3715; bdc35: goto aa1d6; goto fd6fa; fd859: return $response; goto f1b14; b9717: $session = $request->getSession(); goto aff99; Fbe8c: if (!(false === is_null($response))) { goto Ee313; } goto fd859; C3715: $databaseUserName = $request->get("\144\141\164\x61\142\141\x73\145\x55\163\145\162\x4e\141\155\145"); goto e8d85; Fd22b: if (!(true === $form->isSubmitted())) { goto a06f5; } goto fe0cf; f1b14: Ee313: goto aa8b1; E64f8: Abd46: goto b9313; E2900: $form->handleRequest($request); goto Fd22b; Ede82: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\x5f\144\x61\164\x61\142\x61\x73\145\x73", ["\x64\157\x6d\141\151\156\116\141\x6d\145" => $site->getDomainName()])); goto bdc35; bbb5c: if (false === is_null($site)) { goto B092e; } goto A9118; Aee7a: B092e: goto B4e7a; ca95f: $response = $this->render("\106\x72\157\x6e\164\145\156\144\x2f\x53\151\x74\145\57\145\144\x69\164\55\144\x61\x74\141\x62\x61\x73\x65\55\x75\x73\145\x72\56\x68\x74\155\x6c\x2e\x74\167\x69\x67", ["\x73\151\164\x65" => $site, "\x64\x61\164\141\x62\x61\x73\x65\x55\163\x65\x72" => $databaseUserEntity, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\155\x45\x72\x72\157\162\x73" => $this->formErrors]); goto E64f8; aa8b1: a06f5: goto C9427; D0e19: if (count($databases) && false === is_null($siteEntity)) { goto Efe1a; } goto b9717; D34b8: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto A1c1a; Ef052: e9df0: goto Faa80; fe0cf: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto Fbe8c; b9313: aa1d6: goto Ef052; cac14: $domainName = $site->getDomainName(); goto d1e64; c2b9e: $site = $this->getSite($request); goto bbb5c; C9427: b94b1: goto ca95f; A1c1a: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto b94b1; } goto E2900; e340b: $databaseUserEntity->setPassword(''); goto D34b8; D3df4: goto e9df0; goto Aee7a; B4e7a: $databases = $site->getDatabases(); goto cac14; e8d85: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto fb7d1; aff99: $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x4e\157\40\x64\141\164\x61\x62\141\x73\145\40\x66\x6f\165\156\144\x3b\40\143\x72\145\x61\x74\x65\40\141\40\144\x61\x74\141\142\x61\x73\145\40\146\151\x72\x73\x74\56")); goto Ede82; d1e64: $siteEntity = $this->getSiteEntity($domainName); goto D0e19; fb7d1: if (!(false === is_null($databaseUserEntity))) { goto Abd46; } goto e340b; Faa80: return $response; goto E8440; A9118: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x73")); goto D3df4; E8440: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto f2283; f2283: $form = $this->createForm("\x41\160\160\134\x46\x6f\x72\x6d\134\123\151\164\x65\104\x61\164\141\x62\141\x73\x65\125\x73\145\162\105\144\151\164\124\171\x70\x65", $databaseUserEntity, ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\137\x64\141\x74\141\142\x61\163\145\x5f\x75\163\x65\x72\x5f\x65\x64\x69\x74", ["\x64\x6f\x6d\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName(), "\x64\x61\164\141\x62\x61\163\145\x55\163\x65\162\x4e\141\x6d\145" => $databaseUserEntity->getUserName()]), "\155\145\164\x68\x6f\x64" => "\120\117\123\x54", "\141\164\164\x72" => []]); goto Aed30; Aed30: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\143\154\141\x73\163" => "\x62\x74\156\40\142\x74\x6e\55\142\154\x75\145\x20\x62\164\x6e\x2d\154\x67"], "\154\x61\142\145\x6c" => "\123\141\166\145"]); goto Eec7c; Eec7c: return $form; goto d4d75; d4d75: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto ccb85; ccb85: if (true === $form->isValid()) { goto Cc22c; } goto E03f9; E03f9: $this->formErrors = $this->getErrorMessages($form); goto A01e7; ba8a7: try { goto df796; f684e: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto B008d; fd1e6: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto f5d29; D75f0: $databaseUserEntity->setPassword($encryptedPassword); goto Ca8ab; Ca8ab: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f684e; b4323: $eventData = ["\x73\x69\x74\x65" => $domainName, "\144\x61\164\141\x62\141\x73\x65\125\x73\145\x72\116\141\x6d\145" => $databaseUserEntity->getUserName(), "\x70\145\x72\x6d\151\x73\x73\151\x6f\156\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\x74\141\142\x61\163\x65" => $databaseName]; goto Db833; df796: $user = $this->getUser(); goto D9a26; a8dc9: if (false === is_null($siteEntity)) { goto B0d7a; } goto Fa479; ec928: goto Ef585; goto C2786; B008d: $databaseManager->createUser($databaseUserEntity); goto fd1e6; A8001: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto D75f0; D9a26: $session = $request->getSession(); goto c9a5b; Fa479: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\145\x5f\x64\x61\164\x61\142\141\163\x65\137\x75\163\x65\162\137\156\145\167", ["\144\157\x6d\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto ec928; c9a5b: $domainName = $site->getDomainName(); goto b767b; c1818: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\x5f\x64\141\164\x61\x62\141\x73\145\x73", ["\x64\x6f\155\x61\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto E40cf; Db833: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto F90e1; e4805: return $response; goto F995f; F90e1: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\104\x61\x74\141\142\x61\163\145\40\125\x73\x65\x72\40\150\x61\163\40\142\x65\x65\156\x20\x75\160\144\x61\164\x65\144\56")); goto c1818; A913a: $databaseUserEntity = $form->getData(); goto A8001; Ab99d: $databaseName = $databaseEntity->getName(); goto b4323; E40cf: Ef585: goto e4805; b767b: $siteEntity = $this->getSiteEntity($domainName); goto a8dc9; C2786: B0d7a: goto A913a; f5d29: $databaseEntity = $databaseUserEntity->getDatabase(); goto Ab99d; F995f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\40\x65\162\x72\157\x72\40\150\141\x73\40\x6f\x63\143\x75\162\x72\145\x64\x2c\40\145\x72\162\x6f\162\x20\x6d\145\163\163\141\147\x65\x3a\40\45\145\162\162\157\x72\x4d\x65\163\x73\x61\147\145\45", ["\x25\x65\x72\162\x6f\x72\x4d\145\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto Eac58; Eac58: f5603: goto baada; A01e7: goto f5603; goto Bf6d6; Bf6d6: Cc22c: goto ba8a7; baada: } public function deleteDatabaseUser(Request $request) : Response { goto f8b23; Baa22: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\145\137\144\x61\164\x61\x62\x61\163\145\163", ["\144\157\x6d\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto Bfcb0; F3281: try { goto B7db7; a3272: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto a6c42; Bfaae: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Cd0b9; a6c42: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\x44\x61\164\141\142\141\163\x65\40\125\x73\145\x72\x20\150\141\x73\40\142\x65\x65\156\40\x64\145\x6c\x65\164\x65\144\x2e")); goto Cdc44; Feee1: $user = $this->getUser(); goto D2bec; d998b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto Dfb1c; f6f6f: $session = $request->getSession(); goto f1d28; Cd0b9: $databaseManager->deleteUser($databaseUserEntity); goto a3272; Cdc44: $eventData = ["\163\151\164\x65" => $domainName, "\144\x61\164\x61\142\141\x73\x65\125\x73\x65\162\x4e\141\155\x65" => $databaseUserName]; goto d998b; B7db7: $databaseEntity = $databaseUserEntity->getDatabase(); goto E92bb; Dfb1c: C543f: goto E66c5; E92bb: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto C543f; } goto Feee1; f1d28: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bfaae; D2bec: $domainName = $site->getDomainName(); goto f6f6f; E66c5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\x41\156\40\145\162\162\157\162\40\150\141\x73\x20\157\x63\143\x75\162\162\x65\144\54\x20\145\162\x72\157\x72\40\x6d\x65\163\x73\141\x67\x65\x3a\40\x25\145\x72\x72\x6f\x72\115\145\x73\x73\141\147\145\45", ["\x25\x65\162\162\157\162\x4d\145\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto Baa22; f8b23: $site = $this->getSite($request); goto d592a; a4518: if (!(false === is_null($databaseUserEntity))) { goto b7080; } goto F3281; d62af: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto a4518; d140b: Ebce0: goto D5dc5; c7eb9: if (!(false === is_null($site))) { goto Ebce0; } goto a448c; D5dc5: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x73")); goto fe1f5; Bfcb0: return $response; goto ac860; a448c: $databaseUserName = $request->get("\144\x61\x74\x61\142\x61\163\145\125\163\145\x72\x4e\141\x6d\x65"); goto d62af; fe1f5: return $response; goto cf7d9; d592a: $this->checkCsrfToken($request, "\144\x61\164\141\x62\141\x73\x65\x2d\x75\163\x65\162\x2d\144\x65\x6c\x65\x74\x65"); goto c7eb9; ac860: b7080: goto d140b; cf7d9: } public function varnishCache(Request $request) : Response { goto Caeb5; a9d75: B6192: goto D1d6d; c370b: $settingsForm->handleRequest($request); goto b365f; e903a: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto ba692; } goto c370b; cac70: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto A7d25; ef283: $response = $this->render("\106\x72\x6f\x6e\x74\x65\156\144\57\123\151\164\x65\57\x76\x61\162\x6e\151\x73\x68\x2d\x63\x61\x63\x68\145\x2e\x68\164\x6d\154\x2e\164\x77\x69\x67", ["\x73\151\x74\145" => $site, "\x73\x65\x74\164\x69\156\x67\x73\x46\157\x72\155" => $settingsForm->createView(), "\160\x75\162\x67\145\103\141\x63\150\x65\106\157\x72\155" => $purgeCacheForm->createView(), "\x66\157\x72\155\x45\x72\162\x6f\162\x73" => $this->formErrors]); goto cae97; b365f: $purgeCacheForm->handleRequest($request); goto A0e8a; C6f45: if (false === is_null($site) && true === $site->getVarnishCache()) { goto db60b; } goto Eefcd; Af44c: if (!(false === is_null($response))) { goto C4ef8; } goto B1cbe; f8895: C4ef8: goto Fbf13; Fbf13: a97c0: goto Eb4fa; D1d6d: C6ef0: goto B4e8c; A0e8a: if (!(true === $settingsForm->isSubmitted())) { goto a97c0; } goto adafb; Dc9f6: db60b: goto c7f6b; D6da8: $varnishCacheSettingsData = ["\151\163\x45\156\141\142\x6c\145\144" => true === isset($varnishCacheSettings["\x65\156\141\142\154\x65\144"]) && true === $varnishCacheSettings["\x65\x6e\141\142\x6c\145\144"] ? true : false, "\x73\x65\x72\166\145\x72" => true === isset($varnishCacheSettings["\x73\x65\162\x76\145\162"]) ? $varnishCacheSettings["\x73\x65\x72\166\x65\162"] : "\61\62\x37\56\60\x2e\60\56\61\x3a\66\60\x38\x31", "\x63\x61\x63\x68\145\x54\141\147\x50\x72\x65\146\x69\170" => true === isset($varnishCacheSettings["\x63\141\x63\150\x65\124\141\x67\120\162\x65\x66\x69\170"]) ? $varnishCacheSettings["\x63\x61\x63\150\145\124\x61\147\120\x72\145\146\151\x78"] : substr(md5(time()), 0, 4), "\143\141\143\150\145\114\151\146\x65\x74\x69\x6d\145" => true === isset($varnishCacheSettings["\x63\x61\143\x68\145\114\151\x66\145\x74\151\155\145"]) ? $varnishCacheSettings["\143\x61\x63\x68\x65\114\151\146\x65\x74\151\x6d\145"] : "\66\x30\x34\x38\60\60", "\145\x78\x63\x6c\165\144\x65\144\x50\x61\x72\x61\x6d\163" => true === isset($varnishCacheSettings["\145\170\x63\154\x75\x64\x65\x64\120\x61\x72\x61\155\163"]) ? implode("\54", $varnishCacheSettings["\x65\x78\143\154\165\144\x65\x64\120\141\x72\x61\155\163"]) : "\137\x5f\x53\111\x44\x2c\x6e\x6f\103\x61\x63\150\x65\54", "\145\170\x63\x6c\165\x64\145\163" => true === isset($varnishCacheSettings["\x65\170\x63\154\165\144\x65\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\170\143\x6c\165\x64\x65\x73"]) : '']; goto Fed50; cae97: daa5e: goto d21ea; Caeb5: $site = $this->getSite($request); goto C6f45; Eb4fa: if (!(true === $purgeCacheForm->isSubmitted())) { goto C6ef0; } goto cac70; fa7d6: goto daa5e; goto Dc9f6; a3ba0: return $response; goto a9d75; c7f6b: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto D6da8; B4e8c: ba692: goto ef283; B38d0: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto e903a; adafb: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto Af44c; A7d25: if (!(false === is_null($response))) { goto B6192; } goto a3ba0; d21ea: return $response; goto Fac78; Eefcd: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\163")); goto fa7d6; Fed50: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto B38d0; B1cbe: return $response; goto f8895; Fac78: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto E1362; A7833: return $form; goto d6c3f; cb7e0: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\154\x61\163\x73" => "\x62\164\156\40\x62\x74\x6e\55\x62\x6c\165\x65\x20\142\164\156\x2d\x6c\x67"], "\x6c\x61\x62\x65\154" => "\123\x61\166\145"]); goto A7833; E1362: $form = $this->createForm("\101\x70\160\x5c\106\157\x72\155\134\123\151\164\x65\x56\x61\x72\156\x69\x73\150\103\x61\143\x68\x65\123\145\164\x74\x69\156\147\x73\x54\171\160\x65", $data, ["\141\143\x74\x69\157\156" => $this->generateUrl("\143\154\160\137\163\x69\x74\x65\137\x76\141\162\156\151\x73\150\137\143\141\143\150\145", ["\x64\157\x6d\141\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\145\164\x68\x6f\x64" => "\x50\117\x53\x54", "\141\164\x74\x72" => []]); goto cb7e0; d6c3f: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto ea1e1; d9cf5: $form->add("\163\x75\142\155\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\x61\x73\163" => "\x62\164\x6e\40\x62\x74\x6e\55\142\154\x75\145\x20\142\x74\x6e\x2d\154\x67"], "\x6c\x61\142\x65\x6c" => "\120\x75\162\x67\x65\x20\x43\141\143\150\145"]); goto F4912; ea1e1: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\x6d\x5c\123\x69\x74\x65\x56\x61\162\x6e\151\163\x68\x43\141\143\150\x65\x50\165\x72\x67\x65\103\141\x63\x68\145\124\x79\160\145", ["\x73\151\x74\145" => $site], ["\141\143\x74\151\157\x6e" => $this->generateUrl("\143\154\160\137\x73\x69\x74\145\137\166\x61\162\156\151\163\150\x5f\x63\x61\x63\150\145", ["\144\157\x6d\x61\151\x6e\x4e\141\155\x65" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\120\x4f\123\x54", "\141\x74\164\x72" => []]); goto d9cf5; F4912: return $form; goto a5f94; a5f94: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto acc73; acc73: if (true === $form->isValid()) { goto f5e62; } goto Eadce; a887f: goto Ecd72; goto c597e; C6fc2: Ecd72: goto b6d70; c597e: f5e62: goto b93ec; b93ec: try { goto b4179; f4cd1: $isEnabled = $form->get("\x69\x73\105\x6e\x61\x62\x6c\145\144")->getData(); goto a7036; F6c8a: $cacheTagPrefix = $form->get("\x63\x61\x63\150\x65\x54\x61\147\120\162\x65\x66\151\x78")->getData(); goto f42c7; d0b27: goto D53af; goto afa15; a908b: $eventData = ["\x73\151\x74\145" => $domainName, "\166\x61\x72\156\151\x73\150\x43\141\x63\150\145\105\156\x61\142\x6c\x65\x64" => $isEnabled, "\163\145\x72\166\145\162" => $server, "\143\141\x63\150\145\124\x61\147\x50\x72\145\146\x69\170" => $cacheTagPrefix, "\143\141\143\150\145\x4c\x69\x66\145\x74\x69\x6d\x65" => $cacheLifetime, "\x65\170\143\x6c\165\144\x65\163" => $excludes, "\x65\170\x63\154\x75\x64\x65\144\120\x61\x72\x61\155\x73" => $excludedParams]; goto ab036; eb1c3: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto d41f9; Fd3de: $domainName = $site->getDomainName(); goto B2dcd; Ca568: if (false === is_null($siteEntity)) { goto Fd207; } goto c7112; ab036: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto f34df; a7036: $server = $form->get("\x73\x65\162\166\145\x72")->getData(); goto ea2e6; f670f: $site->setVarnishCacheSettings($varnishCacheSettings); goto f257f; E5c5d: $varnishCacheSettings = ["\x65\156\x61\142\x6c\x65\144" => $isEnabled, "\x73\145\x72\166\145\162" => $server, "\143\x61\143\150\x65\124\141\147\x50\162\145\146\151\x78" => $cacheTagPrefix, "\143\x61\143\x68\145\114\x69\146\145\x74\x69\155\x65" => $cacheLifetime, "\x65\170\143\x6c\165\144\145\x73" => $excludes, "\145\170\143\154\165\144\x65\144\120\141\162\x61\x6d\x73" => $excludedParams]; goto f670f; b4179: $session = $request->getSession(); goto Fd3de; f34df: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\x56\141\162\x6e\151\163\x68\40\x43\141\143\150\145\x20\123\145\164\164\x69\x6e\147\x73\40\150\141\x76\x65\40\142\145\x65\156\x20\163\141\166\x65\x64\56")); goto cc6e1; e2291: D53af: goto Eeab1; e3fe2: $user = $this->getUser(); goto f4cd1; f42c7: $excludedParams = array_map("\164\162\151\155", array_filter(explode("\x2c", trim($form->get("\x65\x78\x63\x6c\x75\144\145\x64\x50\x61\162\x61\155\163")->getData())))); goto e9e1a; Eeab1: return $response; goto Cbc84; f257f: $siteUpdater = $this->getSiteUpdater($site); goto eb1c3; cc6e1: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\x74\145\x5f\166\141\162\x6e\151\x73\150\137\x63\141\x63\x68\x65", ["\144\157\155\x61\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto e2291; e9e1a: $excludes = array_map("\x74\x72\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\145\x78\143\x6c\165\144\145\163")->getData())))); goto E5c5d; d41f9: $siteUpdater->phpSettings(); goto a908b; c7112: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\163")); goto d0b27; B2dcd: $siteEntity = $this->getSiteEntity($domainName); goto Ca568; afa15: Fd207: goto e3fe2; ea2e6: $cacheLifetime = $form->get("\143\x61\143\150\145\114\x69\x66\145\164\x69\x6d\x65")->getData(); goto F6c8a; Cbc84: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\156\40\145\x72\x72\157\162\x20\x68\141\x73\x20\x6f\x63\x63\x75\162\162\145\144\x2c\40\145\162\162\x6f\x72\x20\155\x65\x73\x73\141\147\x65\72\x20\45\145\162\162\157\x72\115\x65\163\x73\x61\147\x65\45", ["\45\x65\162\x72\157\x72\x4d\x65\x73\163\141\147\145\45" => $e->getMessage()])); } goto C6fc2; Eadce: $this->formErrors = $this->getErrorMessages($form); goto a887f; b6d70: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto D9753; D9753: if (true === $form->isValid()) { goto A4b7d; } goto Df4df; C6b32: try { goto Ec24f; E5c11: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\145\137\166\141\x72\156\151\x73\x68\x5f\x63\141\x63\150\x65", ["\x64\157\x6d\141\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto Dc0c3; dd810: Cfdb2: goto be8df; C008d: c5468: goto cce8a; Ae3b9: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\x72\166\x65\162"]); goto Cf5c0; B42f5: $domainName = $site->getDomainName(); goto Ed952; d2f28: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto aa091; ab29a: goto D0a12; goto C008d; b04f7: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\145\x72\166\x65\162"]) && false === empty($varnishCacheSettings["\x73\x65\x72\x76\x65\x72"])) { goto c5468; } goto Adf28; d55c7: return $response; goto Efb82; F3287: $user = $this->getUser(); goto d10d3; bde9f: if (false === is_null($siteEntity)) { goto f7a3b; } goto D9672; cfb1a: $eventData = ["\163\151\164\x65" => $domainName, "\166\141\154\x75\145\x73" => implode("\x2c", $purgeValues)]; goto d2f28; Ac50b: goto E58b0; goto E5d61; Ed952: $siteEntity = $this->getSiteEntity($domainName); goto bde9f; Dc0c3: E58b0: goto d55c7; Cf5c0: foreach ($purgeValues as $purgeValue) { goto ba900; Bfdf0: if (!(false === empty($purgeValue))) { goto fa4b8; } goto e468f; A1563: fa4b8: goto d7cd3; B1dc8: $varnishCacheClient->purgeTag($purgeValue); goto Fcd63; A1032: D8c0c: goto d931a; Fcd63: goto ffc88; goto A1032; e468f: if (true === str_starts_with($purgeValue, "\150\x74\164\160")) { goto D8c0c; } goto B1dc8; ea5d1: ffc88: goto A1563; ba900: $purgeValue = trim($purgeValue); goto Bfdf0; d931a: $varnishCacheClient->purgeUrl($purgeValue); goto ea5d1; d7cd3: f52f0: goto ffb81; ffb81: } goto dd810; Ec24f: $session = $request->getSession(); goto B42f5; aa091: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\163", $this->translator->trans("\x56\x61\x72\x6e\x69\x73\x68\40\x43\x61\143\150\145\x20\150\x61\163\x20\142\x65\x65\x6e\40\160\x75\162\x67\145\x64\x2e")); goto E5c11; be8df: D0a12: goto cfb1a; Adf28: throw new \Exception("\x56\141\162\156\151\163\150\x20\x43\141\143\150\145\40\123\x65\164\x74\151\x6e\x67\163\x20\143\141\x6e\x6e\x6f\164\x20\x62\x65\40\145\x6d\160\164\171\x2e"); goto ab29a; d10d3: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto C6672; cce8a: $varnishCacheClient = new VarnishCacheClient(); goto Ae3b9; C6672: $purgeValues = array_map("\164\x72\x69\x6d", array_filter(explode("\54", trim($form->get("\166\141\x6c\165\x65")->getData())))); goto b04f7; D9672: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\x73")); goto Ac50b; E5d61: f7a3b: goto F3287; Efb82: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\156\40\145\162\162\157\x72\x20\150\x61\163\40\x6f\x63\x63\165\x72\162\x65\x64\x2c\40\x65\x72\x72\x6f\162\x20\155\145\x73\163\141\x67\x65\72\x20\45\x65\x72\x72\157\x72\115\x65\163\163\x61\x67\145\x25", ["\x25\145\x72\x72\157\162\115\x65\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto af269; af269: ab792: goto e0d31; Df4df: $this->formErrors = $this->getErrorMessages($form); goto ea1a8; bc986: A4b7d: goto C6b32; ea1a8: goto ab792; goto bc986; e0d31: } public function purgeVarnishCache(Request $request) : Response { goto F106d; F53a0: af0fa: goto c421b; Eb710: if (false === is_null($site)) { goto af0fa; } goto D687f; c421b: try { goto ecd1f; bdfa4: $varnishCacheClient->purgeHost($domainName); goto f5f93; C3247: $domainName = $site->getDomainName(); goto D54c7; ecd1f: $user = $this->getUser(); goto a635e; f5f93: B6847: goto Dec07; C4e43: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x56\141\162\156\x69\x73\x68\40\x43\x61\143\x68\145\x20\x68\x61\x73\40\x62\145\145\x6e\x20\x70\x75\x72\147\x65\x64\56")); goto Adaab; b5c66: $varnishCacheClient = new VarnishCacheClient(); goto b9710; Bba82: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto C4e43; A594e: $cacheTagPrefix = $varnishCacheSettings["\143\x61\143\150\x65\x54\141\147\120\x72\x65\x66\x69\170"]; goto b5c66; Dec07: $eventData = ["\163\151\164\x65" => $domainName, "\160\x75\x72\147\x65" => "\x66\x75\154\x6c"]; goto Bba82; a635e: $session = $request->getSession(); goto C3247; D54c7: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto E0def; f824b: $varnishCacheClient->purgeTag($cacheTagPrefix); goto bdfa4; b9710: $varnishCacheClient->setServer($varnishCacheSettings["\x73\145\162\166\x65\x72"]); goto f824b; E0def: if (!(true === isset($varnishCacheSettings["\x73\x65\162\x76\145\162"]) && true === isset($varnishCacheSettings["\x63\x61\x63\x68\145\124\141\147\120\162\x65\x66\x69\x78"]) && false === empty($varnishCacheSettings["\x63\141\x63\x68\145\x54\141\147\x50\162\x65\x66\151\170"]))) { goto B6847; } goto A594e; Adaab: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\101\156\40\145\162\162\x6f\162\x20\x68\x61\163\40\x6f\143\x63\x75\162\162\x65\x64\54\40\145\x72\162\x6f\162\40\155\x65\163\163\141\x67\145\72\40\45\x65\x72\162\x6f\162\115\x65\163\x73\141\x67\145\45", ["\x25\145\x72\x72\157\x72\x4d\x65\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto F4a9f; D687f: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\145\x73")); goto Acbca; Ab216: return $response; goto A52be; A52be: A3a75: goto A15cf; Acbca: goto A3a75; goto F53a0; A15cf: return $response; goto Ad7f4; F106d: $site = $this->getSite($request); goto Eb710; F4a9f: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\x5f\166\x61\162\156\151\x73\150\137\143\141\x63\x68\x65", ["\x64\157\155\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto Ab216; Ad7f4: } public function vhost(Request $request) : Response { goto f7bba; e5d87: C47a2: goto D0924; f7bba: $site = $this->getSite($request); goto C6d23; f85f7: Edc49: goto D717c; C6e4c: $domainName = $site->getDomainName(); goto f6844; C0713: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto fff6b; eb517: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\163")); goto B4c1d; B6af3: $site->setVhostTemplate($vhostTemplate); goto C0713; B4c1d: goto Beeca; goto e5d87; fb96d: a8a3e: goto d57e8; E1cb5: return $response; goto C3493; E79b2: $response = $this->render("\x46\x72\x6f\x6e\164\145\x6e\x64\x2f\123\x69\x74\x65\57\x76\x68\157\x73\164\56\150\164\x6d\x6c\x2e\164\167\x69\147", ["\163\151\x74\145" => $site]); goto dacdf; c9f45: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto B6af3; D0494: if (!(false === $isCsrfTokenValid)) { goto Edc49; } goto Cedfb; d57e8: C8b70: goto E79b2; D0924: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto C8b70; } goto B416d; fff6b: if (!(false === is_null($response))) { goto d256b; } goto af192; Cedfb: throw new InvalidCsrfTokenException("\124\x68\145\40\103\x53\122\x46\x20\164\157\153\x65\x6e\x20\151\163\x20\151\156\x76\x61\154\x69\x64\56"); goto f85f7; D3f7f: if (!(false === empty($vhostTemplate))) { goto a8a3e; } goto C6e4c; fa828: d256b: goto fb96d; f6844: $siteEntity = $this->getSiteEntity($domainName); goto c9f45; af192: return $response; goto fa828; B416d: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\150\157\x73\x74\55\x75\160\144\141\x74\x65", (string) $request->get("\x74\x6f\153\x65\x6e")); goto D0494; C6d23: if (false === is_null($site)) { goto C47a2; } goto eb517; dacdf: Beeca: goto E1cb5; D717c: $vhostTemplate = trim($request->get("\166\150\157\163\x74\55\164\145\155\x70\154\x61\x74\x65")); goto D3f7f; C3493: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto A7edc; ede1e: $domainName = $site->getDomainName(); goto b46fb; Fff7c: $eventData = ["\163\x69\x74\145" => $domainName, "\x76\x68\x6f\163\x74" => $vhostTemplate, "\157\x6c\x64\x56\x68\157\x73\x74" => $oldVhostTemplate]; goto f6224; D01b7: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\x56\150\157\163\x74\40\150\141\163\40\x62\x65\145\x6e\40\163\141\166\145\x64\56")); goto Fff7c; b46fb: $vhostTemplate = $site->getVhostTemplate(); goto Df944; cad1a: return $response; goto d2780; fd623: $siteUpdater->updateNginxVhostWithRollback(); goto B6e99; A7edc: $user = $this->getUser(); goto E0702; Df944: $siteUpdater = $this->getSiteUpdater($site); goto fd623; E1fc5: if (!(true === str_contains($site->getVhostTemplate(), "\144\x69\163\141\142\x6c\x65\137\x73\x79\x6d\154\151\x6e\x6b\x73"))) { goto B0bf8; } goto d7c7b; e41da: $this->siteEntityManager->updateEntity($siteEntity); goto D01b7; B6e99: $siteEntity->setVhostTemplate($vhostTemplate); goto e41da; f3f5e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\x5f\166\150\157\163\164", ["\144\157\155\141\151\x6e\x4e\x61\155\145" => $domainName])); goto cad1a; E0702: $session = $request->getSession(); goto E1fc5; d7c7b: throw new InvalidVhostException("\144\x69\163\x61\x62\154\145\137\x73\171\x6d\x6c\151\156\153\163\x20\151\163\x20\156\157\x74\x20\x61\154\154\157\x77\145\x64\x2e"); goto ccd27; f6224: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto f3f5e; ccd27: B0bf8: goto ede1e; d2780: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\x56\150\157\x73\x74\x20\151\163\x20\156\x6f\x74\x20\166\x61\x6c\151\x64\x2c\x20\145\162\162\x6f\x72\40\155\x65\163\163\x61\147\x65\x3a\40\45\145\x72\x72\x6f\162\115\145\163\163\x61\147\145\45", ["\x25\x65\x72\x72\157\162\x4d\145\x73\163\141\x67\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\x72\x20\x68\141\x73\40\x6f\x63\143\x75\x72\162\x65\x64\x2c\x20\x65\x72\x72\157\x72\x20\155\x65\163\x73\x61\x67\145\x3a\40\x25\145\x72\x72\157\x72\115\145\163\163\141\x67\145\45", ["\x25\145\162\162\x6f\162\115\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto a4f57; b078c: $nodejsSettings = $site->getNodejsSettings(); goto ec415; Ad2a7: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto E3c96; } goto a9268; F0007: $phpSettingsForm->handleRequest($request); goto E75fd; C379f: if (!(true === $domainSettingsForm->isSubmitted())) { goto fbb71; } goto C18c0; bdfab: unset($parameters["\160\x61\x67\x65\123\160\145\x65\x64\x53\145\164\164\x69\x6e\147\x73\x46\157\x72\155"]); goto A2d8e; f5596: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto D48c2; Af287: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto fabf6; E6d35: fb07c: goto ae97c; e6d55: if (!(false === is_null($response))) { goto ad928; } goto e22f8; F8920: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto e794d; f7257: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto B0c45; } goto f4273; F92bf: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto Eac1f; E9b02: return $response; goto b4839; B6983: return $response; goto E2e2c; D48c2: e0cd3: goto E710c; a4b0d: $parameters["\160\150\x70\x53\x65\x74\x74\x69\156\x67\x73\x46\x6f\x72\x6d"] = $phpSettingsForm->createView(); goto F5369; E52bd: if (!(true === $pythonSettingsForm->isSubmitted())) { goto C9cd8; } goto F92bf; b74cb: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto Ffa4d; B522f: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto a086e; } goto E4c2a; F363a: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto e0cd3; } goto f5596; c5b29: return $response; goto B0e14; e3364: if (!(false === is_null($response))) { goto E2f2a; } goto A8fce; E3f2c: $parameters = ["\x73\151\164\x65" => $site, "\x64\157\x6d\x61\x69\156\123\145\164\164\151\156\147\x73\106\x6f\x72\x6d" => $domainSettingsForm->createView(), "\x73\151\x74\145\x55\163\145\x72\x53\145\x74\x74\151\x6e\147\x73\106\x6f\162\155" => $siteUserSettingsForm->createView(), "\x70\141\x67\x65\123\x70\145\145\144\123\145\164\164\x69\x6e\147\163\106\x6f\162\155" => $pageSpeedSettingsForm->createView(), "\163\x69\x74\145\x44\145\154\145\164\145\x46\157\x72\x6d" => $siteDeleteForm->createView()]; goto cbbc4; ad2c9: ad928: goto Cba7f; fabf6: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto b2cd2; } goto F367d; B41d7: $pageSpeedSettingsData = ["\x69\x73\x45\x6e\x61\142\154\x65\144" => $site->getPageSpeedEnabled(), "\x73\145\164\164\151\156\147\x73" => $site->getPageSpeedSettings()]; goto F8920; dde71: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto A4d2c; cbbc4: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto f0b54; } goto b078c; a5bdb: b2cd2: goto F9824; ba66a: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto B8706; E224c: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto fdcf3; } goto c01fe; a7fbe: Ed6d6: goto Af876; e0b4c: goto c41ac; goto f0001; A2d8e: cfe41: goto A95cb; E2e2c: ce01d: goto c1540; Ef763: $pythonSettings = $site->getPythonSettings(); goto Af287; A95cb: $parameters["\146\x6f\162\x6d\x45\x72\162\x6f\x72\163"] = $this->formErrors; goto B10ce; Ac172: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto fb07c; } goto b3909; Dcbae: $siteDeleteData = ["\144\x6f\155\x61\x69\x6e\x4e\141\155\x65" => $site->getDomainName()]; goto B41d7; a9268: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto C68d5; a4f57: $site = $this->getSite($request); goto D5b06; Bf380: $response = null; goto C379f; D5b06: if (false === is_null($site)) { goto De193; } goto ea9d6; e7b36: return $response; goto C9dda; Ff28c: $parameters["\156\157\x64\x65\152\x73\x53\145\164\164\x69\x6e\147\x73\x46\157\x72\x6d"] = $nodejsSettingsForm->createView(); goto D48f6; C18c0: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto f57b0; Ffa4d: e02f5: goto E2c33; b3909: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto e3364; A4d2c: if (!(false === is_null($response))) { goto bf924; } goto E9b02; ec415: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto E224c; C9dda: A56e6: goto Cbbd1; Ce308: Bd2a9: goto C3f3a; D3b3f: $reverseProxySettingsForm->handleRequest($request); goto f7257; edbf0: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto dd896; } goto B39ae; ea9d6: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\163")); goto e0b4c; d72c9: f0b54: goto B522f; A5b4e: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto da7b1; f3c8b: c41ac: goto c5b29; d3088: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto edbf0; c1540: d11f3: goto E3f2c; F367d: $pythonSettingsForm->handleRequest($request); goto E52bd; Eac1f: if (!(false === is_null($response))) { goto A56e6; } goto e7b36; Cba7f: B0c45: goto a7fbe; D48f6: unset($parameters["\x70\141\147\x65\123\160\x65\x65\144\x53\145\x74\164\151\156\147\x73\x46\157\162\x6d"]); goto d72c9; Fb76d: $pageSpeedSettingsForm->handleRequest($request); goto Bf380; e22f8: return $response; goto ad2c9; f0001: De193: goto df025; B10ce: $response = $this->render("\106\x72\x6f\x6e\164\145\x6e\144\x2f\x53\151\x74\145\57\x73\x65\x74\164\151\x6e\147\163\56\150\x74\155\x6c\x2e\x74\x77\151\x67", $parameters); goto f3c8b; f475e: E2f2a: goto E6d35; Cbbd1: C9cd8: goto a5bdb; da7b1: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto A9eab; A9eab: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto d11f3; } goto E12ac; C3f3a: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto cfe41; } goto ba66a; E4c2a: $phpSettings = $site->getPhpSettings(); goto d3088; E75fd: if (!(true === $phpSettingsForm->isSubmitted())) { goto A9058; } goto dde71; B8706: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto Ed6d6; } goto D3b3f; E710c: if (!(true === $siteDeleteForm->isSubmitted())) { goto e02f5; } goto b74cb; c01fe: $currentNodeSettings = clone $nodejsSettings; goto E9022; C68d5: E3c96: goto F363a; e794d: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto A5b4e; A8fce: return $response; goto f475e; b4839: bf924: goto a4f79; E12ac: $domainSettingsForm->handleRequest($request); goto Add44; B4e58: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto Bd2a9; } goto Ef763; B39ae: $currentPhpSettings = clone $phpSettings; goto F0007; Af876: $parameters["\x72\145\x76\x65\x72\163\x65\x50\x72\157\x78\x79\123\145\x74\x74\x69\156\x67\x73\x46\157\x72\155"] = $reverseProxySettingsForm->createView(); goto bdfab; f57b0: fbb71: goto Ad2a7; a4f79: A9058: goto cfb3d; Add44: $siteUserSettingsForm->handleRequest($request); goto D4c1e; F9824: $parameters["\160\x79\164\x68\157\x6e\x53\145\164\x74\x69\x6e\x67\x73\x46\157\162\x6d"] = $pythonSettingsForm->createView(); goto Ce308; df025: $domainSettingsData = ["\x64\x6f\x6d\x61\151\156\116\x61\155\145" => $site->getDomainName(), "\162\157\x6f\x74\104\x69\162\x65\143\164\157\162\x79" => $site->getRootDirectory()]; goto A11f7; f4273: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto e6d55; cfb3d: dd896: goto a4b0d; D4c1e: $siteDeleteForm->handleRequest($request); goto Fb76d; A11f7: $siteUserSettingsData = ["\x73\x69\164\145\125\x73\x65\x72" => $site->getUser(), "\x73\x73\150\113\x65\171\x73" => $site->getSshKeys()]; goto Dcbae; E9022: $nodejsSettingsForm->handleRequest($request); goto Ac172; ae97c: fdcf3: goto Ff28c; F5369: a086e: goto B4e58; E2c33: if (!(false === is_null($response))) { goto ce01d; } goto B6983; B0e14: } public function purgePageSpeedCache(Request $request) : Response { goto b4738; C33a5: return $response; goto B184d; B7bd4: try { goto E4cec; D4d8b: $session = $request->getSession(); goto da37c; C6106: $siteUpdater->purgePageSpeedCache(); goto D5717; ca74f: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\x73", $this->translator->trans("\120\x61\x67\145\40\123\160\145\145\x64\x20\x43\141\x63\150\x65\x20\x68\141\163\40\142\145\145\x6e\40\x70\165\x72\147\145\x64\56")); goto cc076; D5717: $eventData = ["\x73\151\164\x65" => $site->getDomainName()]; goto a0ce4; a0ce4: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto ca74f; da37c: $siteUpdater = $this->getSiteUpdater($site); goto C6106; E4cec: $user = $this->getUser(); goto D4d8b; cc076: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\157\162\40\x68\141\x73\x20\157\143\143\165\x72\162\145\x64\x2c\x20\x65\162\x72\x6f\162\40\155\x65\x73\x73\x61\x67\x65\x3a\x20\x25\145\162\162\157\162\115\145\163\163\x61\147\x65\x25", ["\45\x65\162\162\x6f\162\x4d\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto c4dc9; c4dc9: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\137\x73\x65\x74\164\x69\x6e\147\163", ["\x64\157\155\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto C33a5; D14c1: Bd7c5: goto B7bd4; C9ed8: if (false === is_null($site)) { goto Bd7c5; } goto B5ae4; b4738: $site = $this->getSite($request); goto C9ed8; B5ae4: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\145\163")); goto B0e3d; B0e3d: goto D2897; goto D14c1; B184d: D2897: goto a8f66; a8f66: return $response; goto d52a0; d52a0: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto b77fb; Fa4c3: $form->add("\163\165\142\155\151\164", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\x61\163\163" => "\142\x74\x6e\x20\x62\164\156\x2d\142\154\x75\145\x20\x62\164\x6e\x2d\x6c\147"], "\x6c\141\142\x65\154" => "\x53\141\166\x65"]); goto b779e; b77fb: $form = $this->createForm("\x41\x70\160\x5c\106\157\x72\155\134\x53\151\x74\145\104\x6f\x6d\141\x69\x6e\x53\145\164\x74\x69\x6e\147\163\x54\x79\x70\x65", $data, ["\x61\x63\164\151\157\x6e" => $this->generateUrl("\x63\154\x70\137\163\151\164\x65\x5f\x73\x65\164\x74\151\x6e\147\x73", ["\x64\x6f\155\x61\151\156\116\x61\155\145" => $site->getDomainName()]), "\155\145\x74\150\157\144" => "\120\117\x53\124", "\x61\x74\x74\162" => []]); goto Fa4c3; b779e: return $form; goto D955a; D955a: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto Cf16a; dcc0a: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\x61\163\163" => "\x62\164\x6e\40\142\x74\x6e\x2d\142\x6c\165\145\x20\142\x74\x6e\55\154\x67"], "\154\141\x62\145\154" => "\123\141\x76\145"]); goto de458; Cf16a: $form = $this->createForm("\x41\x70\160\134\x46\x6f\x72\x6d\x5c\x53\x69\x74\x65\x55\163\145\x72\x53\x65\x74\164\151\x6e\x67\x73\124\171\160\x65", $data, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\151\x74\x65\x5f\163\x65\x74\164\x69\x6e\x67\163", ["\144\x6f\155\x61\x69\156\116\141\155\145" => $site->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\120\117\x53\124", "\x61\x74\x74\x72" => []]); goto dcc0a; de458: return $form; goto E19c0; E19c0: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto c5790; Bb744: return $form; goto Eec0f; F3c6e: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\x6c\141\x73\x73" => "\x62\x74\x6e\40\x62\x74\x6e\55\x62\154\x75\x65\40\x62\164\x6e\x2d\x6c\147"], "\x6c\x61\x62\145\154" => "\123\141\166\145"]); goto Bb744; c5790: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\155\x5c\x53\x69\x74\x65\120\x61\147\x65\x53\160\x65\x65\144\x53\145\x74\x74\151\x6e\147\163\x54\x79\160\x65", $data, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\163\x69\164\x65\x5f\x73\x65\x74\164\x69\x6e\147\x73", ["\144\157\x6d\141\x69\156\116\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\x74\x68\x6f\144" => "\x50\x4f\123\x54", "\x61\164\164\x72" => []]); goto F3c6e; Eec0f: } private function createReverseProxySettingsForm(Site $site) : Form { goto E9495; F2b3e: $form->add("\163\165\142\155\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\154\x61\x73\x73" => "\142\164\x6e\40\142\x74\156\x2d\142\154\165\145\x20\142\164\x6e\x2d\x6c\147"], "\x6c\141\142\145\x6c" => "\123\x61\x76\145"]); goto afa41; dd707: $form = $this->createForm("\101\160\x70\x5c\106\x6f\x72\x6d\134\x53\x69\x74\x65\122\x65\x76\145\x72\163\145\x50\162\x6f\x78\171\123\x65\x74\164\x69\156\147\163\124\x79\160\145", $data, ["\x61\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\137\163\x69\164\x65\x5f\163\145\164\164\x69\x6e\x67\163", ["\x64\x6f\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\155\x65\164\x68\157\x64" => "\120\x4f\123\124", "\141\164\x74\162" => ["\151\144" => "\x72\145\x76\x65\x72\163\145\55\160\162\157\x78\x79\55\163\145\x74\164\151\x6e\x67\x73\55\146\x6f\162\155"]]); goto F2b3e; E9495: $data = ["\x72\145\166\145\x72\x73\x65\x50\162\157\170\x79\x55\162\154" => $site->getReverseProxyUrl()]; goto dd707; afa41: return $form; goto Abffe; Abffe: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto e328f; eb19f: return $form; goto F7dce; e328f: $form = $this->createForm("\x41\x70\160\x5c\106\157\x72\155\134\x53\x69\164\145\116\157\144\x65\x6a\x73\123\x65\x74\164\151\x6e\147\163\124\x79\x70\145", $nodejsSettings, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\137\163\145\x74\x74\x69\156\x67\163", ["\144\x6f\155\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\155\x65\164\150\x6f\x64" => "\120\x4f\123\x54", "\x61\164\164\x72" => ["\x69\x64" => "\x6e\157\x64\145\152\x73\55\163\145\x74\164\x69\156\x67\x73\55\x66\x6f\162\x6d"]]); goto b8468; b8468: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\x6c\141\x73\x73" => "\142\x74\156\40\x62\x74\x6e\55\x62\154\165\x65\40\142\164\x6e\55\x6c\147"], "\154\141\x62\145\x6c" => "\123\141\x76\145"]); goto eb19f; F7dce: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto B2fbb; Bbe85: return $form; goto Eeb7e; a1b72: $form->add("\x73\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\x61\x73\x73" => "\x62\x74\156\x20\142\164\156\55\x62\x6c\x75\145\x20\x62\164\156\x2d\154\147"], "\154\x61\142\145\x6c" => "\123\141\166\x65"]); goto Bbe85; B2fbb: $form = $this->createForm("\101\x70\160\134\106\x6f\162\x6d\134\x53\x69\x74\x65\120\150\x70\123\145\x74\164\x69\156\147\x73\x54\171\160\145", $phpSettings, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\x69\164\145\x5f\x73\145\164\x74\x69\x6e\x67\x73", ["\144\157\155\141\x69\156\116\x61\x6d\145" => $site->getDomainName()]), "\155\145\x74\150\x6f\x64" => "\120\117\123\x54", "\x61\x74\x74\162" => []]); goto a1b72; Eeb7e: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto E1637; E1637: $form = $this->createForm("\x41\160\x70\x5c\x46\x6f\162\x6d\134\123\151\x74\145\x50\171\x74\x68\157\x6e\x53\145\164\x74\x69\x6e\x67\x73\124\171\160\145", $pythonSettings, ["\x61\x63\x74\x69\157\156" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\145\137\x73\x65\164\164\151\x6e\x67\x73", ["\144\157\x6d\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()]), "\x6d\145\x74\x68\x6f\144" => "\x50\117\123\124", "\141\164\164\162" => []]); goto E54f1; E54f1: $form->add("\x73\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\x61\x73\x73" => "\x62\x74\x6e\x20\x62\164\156\55\142\x6c\x75\x65\x20\x62\x74\156\x2d\154\147"], "\x6c\141\x62\145\154" => "\123\x61\x76\145"]); goto ae0cf; ae0cf: return $form; goto bec1c; bec1c: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto Ce91a; F1566: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\141\163\x73" => "\142\164\156\40\x62\x74\156\x2d\142\154\165\145\40\x62\x74\x6e\x2d\154\147", "\x64\x69\163\x61\x62\154\x65\x64" => "\144\x69\163\x61\142\154\145\144"], "\x6c\x61\142\145\x6c" => "\104\145\x6c\x65\164\145\x20\123\151\x74\145"]); goto E4e75; E4e75: return $form; goto d86c0; Ce91a: $form = $this->createForm("\101\x70\160\134\x46\157\x72\155\134\123\151\x74\x65\x44\145\154\145\164\x65\x54\171\160\x65", $data, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\164\x65\137\163\145\164\164\151\156\x67\163", ["\144\157\x6d\x61\151\156\116\141\155\145" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\x50\117\123\124", "\x61\164\164\162" => []]); goto F1566; d86c0: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto A4229; F2f29: $this->formErrors = $this->getErrorMessages($form); goto d760a; A4229: if (true === $form->isValid()) { goto ec541; } goto F2f29; Cc95a: try { goto Ce339; a43f3: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\x65\x5f\163\x65\164\x74\x69\156\147\163", ["\144\157\x6d\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto e3226; Beca0: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\122\157\x6f\164\40\104\151\x72\x65\x63\x74\157\162\x79\40\x68\141\163\40\x62\x65\x65\156\40\x73\141\x76\145\144\x2e")); goto Dd317; b14c3: $siteEntity->setRootDirectory($rootDirectory); goto C94b3; Db705: $site->setRootDirectory($rootDirectory); goto b14c3; Bcd0e: $siteEntity = $this->getSiteEntity($domainName); goto f9f62; B00ce: $eventData = ["\x73\x69\164\x65" => $domainName, "\162\157\157\164\x44\151\162\145\143\164\157\162\171" => $rootDirectory]; goto Afe34; f9f62: if (!(false === is_null($siteEntity))) { goto De2fa; } goto d0a3c; Ce339: $user = $this->getUser(); goto e7f60; D3114: $siteUpdater = $this->getSiteUpdater($site); goto c5058; C94b3: $this->siteEntityManager->updateEntity($siteEntity); goto D3114; Afe34: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto Beca0; Dd317: De2fa: goto a43f3; d0a3c: $rootDirectory = rtrim($form->get("\162\x6f\x6f\x74\104\151\x72\x65\143\x74\157\x72\x79")->getData(), "\x2f"); goto Db705; e7f60: $session = $request->getSession(); goto d2b3c; d2b3c: $domainName = $site->getDomainName(); goto Bcd0e; e3226: return $response; goto f9df0; c5058: $siteUpdater->domainSettings(); goto B00ce; f9df0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\101\156\40\x65\162\162\157\x72\40\150\x61\163\x20\x6f\x63\x63\165\x72\162\145\144\54\x20\145\162\x72\x6f\162\x20\155\145\x73\x73\141\147\145\x3a\x20\x25\x65\x72\162\x6f\162\x4d\145\x73\163\141\x67\x65\x25", ["\45\x65\x72\162\x6f\162\115\x65\163\163\x61\x67\145\45" => $e->getMessage()])); } goto fa430; fa430: c5453: goto b70ff; d760a: goto c5453; goto A8555; A8555: ec541: goto Cc95a; b70ff: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto E4679; A6613: a78fe: goto D3006; ff6e2: try { goto B76bf; a63fc: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\123\x69\x74\145\40\125\x73\145\x72\40\x53\x65\x74\x74\151\156\x67\163\40\x68\141\166\x65\x20\142\145\145\x6e\x20\163\141\166\145\x64\56")); goto C8f41; A5dcd: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\145\x5f\x73\x65\164\x74\151\156\147\163", ["\x64\157\155\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto d7e51; A34c0: $siteUpdater = $this->getSiteUpdater($site); goto c585b; Da6a4: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto a63fc; C8f41: C5154: goto A5dcd; e74c7: $sshKeys = trim($form->get("\163\x73\150\x4b\145\171\163")->getData()); goto Af265; B2e4e: if (!(false === is_null($siteEntity))) { goto C5154; } goto d238c; bbd69: $siteEntity = $this->getSiteEntity($domainName); goto B2e4e; b363f: $siteEntity->setSshKeys($sshKeys); goto Ae1f1; F32bc: $eventData = ["\163\x69\164\145" => $domainName, "\163\x73\150\113\145\x79\x73" => $sshKeys]; goto Da6a4; F2972: if (!(false === empty($password))) { goto ab8f4; } goto A83c7; A83c7: $siteUpdater->changeUserPassword($siteUser, $password); goto E8ede; d238c: $siteUser = $site->getUser(); goto e74c7; B76bf: $user = $this->getUser(); goto b854c; d7e51: return $response; goto d40bb; d90e6: $domainName = $site->getDomainName(); goto bbd69; Af265: $password = trim($form->get("\160\141\163\163\x77\x6f\162\144")->getData()); goto b363f; b854c: $session = $request->getSession(); goto d90e6; E8ede: ab8f4: goto F32bc; c585b: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto F2972; Ae1f1: $this->siteEntityManager->updateEntity($siteEntity); goto A34c0; d40bb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\x41\x6e\40\x65\x72\x72\x6f\x72\x20\150\x61\163\40\x6f\x63\x63\165\x72\x72\x65\144\x2c\x20\x65\x72\162\x6f\162\x20\x6d\x65\163\163\141\x67\x65\72\40\45\x65\x72\162\157\162\115\145\163\x73\141\147\145\45", ["\x25\x65\162\162\157\162\115\x65\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto A6613; Ba990: $this->formErrors = $this->getErrorMessages($form); goto d9318; E4679: if (true === $form->isValid()) { goto a5da0; } goto Ba990; d9318: goto a78fe; goto bfdff; bfdff: a5da0: goto ff6e2; D3006: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto fe36a; b2983: c70d7: goto cfe8e; cfe8e: try { goto Ba7e6; A2f7d: $site->setPageSpeedSettings($settings); goto af16d; ca688: $session = $request->getSession(); goto dc4a8; D6561: $eventData = ["\x73\151\164\145" => $domainName, "\160\x61\147\x65\x53\160\x65\145\x64\105\156\x61\142\x6c\x65\144" => $isEnabled, "\160\141\x67\x65\123\x70\145\145\x64\123\x65\x74\164\x69\156\x67\x73" => $settings]; goto Fba1b; A4ed9: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\x50\141\147\145\x20\123\160\145\145\x64\40\123\x65\164\164\151\x6e\147\163\x20\x68\141\166\145\x20\x62\145\145\156\x20\163\141\166\x65\x64\56")); goto ace1a; Ba7e6: $user = $this->getUser(); goto ca688; b14d0: $siteEntity->setPageSpeedEnabled($isEnabled); goto C6ba1; Ed601: $siteUpdater->purgePageSpeedCache(); goto b14d0; Fba1b: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto A4ed9; D295b: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\x5f\163\x65\164\x74\x69\x6e\x67\163", ["\x64\157\x6d\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto Bc311; C244d: $siteUpdater->updateNginxVhostWithRollback(); goto Ed601; ace1a: fb5c2: goto D295b; a7d51: $isEnabled = $form->get("\x69\x73\x45\x6e\x61\142\x6c\145\144")->getData(); goto d2534; Dfd48: $siteEntity = $this->getSiteEntity($domainName); goto Ba5f4; Ba5f4: if (!(false === is_null($siteEntity))) { goto fb5c2; } goto a7d51; da0cd: $site->setPageSpeedEnabled($isEnabled); goto A2f7d; F0269: $this->siteEntityManager->updateEntity($siteEntity); goto D6561; af16d: $siteUpdater = $this->getSiteUpdater($site); goto C244d; Bc311: return $response; goto de47e; d2534: $settings = trim($form->get("\x73\x65\164\x74\x69\156\x67\163")->getData()); goto da0cd; C6ba1: $siteEntity->setPageSpeedSettings($settings); goto F0269; dc4a8: $domainName = $site->getDomainName(); goto Dfd48; de47e: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\120\x61\x67\145\x53\x70\x65\145\144\x20\x53\145\x74\x74\151\x6e\147\x20\x61\x72\x65\40\x6e\x6f\164\x20\x76\141\x6c\151\144\54\x20\x65\162\162\157\x72\40\155\145\163\163\141\147\145\72\x20\45\145\162\x72\x6f\x72\x4d\x65\163\x73\141\147\x65\x25", ["\x25\x65\x72\x72\x6f\x72\115\145\x73\163\x61\147\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\162\x20\150\141\x73\x20\x6f\x63\143\x75\x72\x72\145\144\x2c\40\x65\162\162\x6f\x72\x20\x6d\x65\x73\x73\x61\147\145\x3a\40\x25\x65\162\x72\157\162\x4d\145\163\x73\141\147\x65\x25", ["\45\145\x72\162\157\x72\x4d\145\x73\163\141\x67\145\45" => $e->getMessage()])); } goto B9d40; Fc56c: goto aab3c; goto b2983; fe36a: if (true === $form->isValid()) { goto c70d7; } goto Ff0f0; Ff0f0: $this->formErrors = $this->getErrorMessages($form); goto Fc56c; B9d40: aab3c: goto a5882; a5882: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto D8873; D8873: if (true === $form->isValid()) { goto B2093; } goto Fca48; D510f: try { goto F8705; ac7d2: $eventData = ["\163\151\x74\x65" => $domainName, "\164\171\x70\145" => $site->getType()]; goto E7f18; B879b: return $response; goto B266d; bc222: $domainName = $site->getDomainName(); goto C6199; C4692: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\x53\x69\x74\x65\x20\x68\141\x73\x20\x62\x65\x65\156\x20\x64\145\154\x65\x74\x65\x64\56")); goto F3646; c9566: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\145\163")); goto B879b; E0cf4: $session = $request->getSession(); goto bc222; E7f18: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto C4692; d0035: $siteDeleter = $this->getSiteDeleter($site); goto b203a; C6199: $siteEntity = $this->getSiteEntity($domainName); goto F9310; b203a: $siteDeleter->delete(); goto F34e6; F9310: if (!(false === is_null($siteEntity))) { goto B5b9d; } goto d0035; F8705: $user = $this->getUser(); goto E0cf4; F34e6: $this->siteEntityManager->deleteEntity($siteEntity); goto ac7d2; F3646: B5b9d: goto c9566; B266d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\145\x72\162\x6f\162\40\x68\141\x73\40\157\143\143\165\x72\x72\145\144\x2c\x20\x65\x72\x72\157\x72\x20\x6d\145\163\x73\x61\147\145\72\40\x25\145\x72\x72\x6f\x72\115\145\x73\163\x61\x67\x65\45", ["\45\145\x72\162\x6f\162\115\145\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto e2837; Fca48: $this->formErrors = $this->getErrorMessages($form); goto C1ba6; C1ba6: goto Fc6c1; goto Ec0c4; Ec0c4: B2093: goto D510f; e2837: Fc6c1: goto daf9f; daf9f: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto Ef3d1; d7cb9: Ff869: goto A92a8; F815e: goto cd605; goto d7cb9; A92a8: try { goto bda40; abc23: Dc2e7: goto dba22; dba22: $siteUpdater->nodejsSettings(); goto B2337; f5334: return $response; goto Cd21d; A0ca8: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto ae4f3; B2337: $this->siteEntityManager->updateEntity($siteEntity); goto f4f81; f4f81: $eventData = ["\163\151\x74\145" => $domainName, "\x6e\157\x64\x65\152\163\126\145\162\163\x69\157\156" => $nodejsVersion, "\x70\x6f\x72\164" => $nodejsSettings->getPort()]; goto A0ca8; Bcda5: $nodejsSettings = $form->getData(); goto f918e; D15ae: $siteUpdater->installNodejsVersion(); goto abc23; C1024: $siteEntity = $this->getSiteEntity($domainName); goto f8224; bda40: $user = $this->getUser(); goto db2b3; c07ad: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\x5f\163\145\164\164\151\x6e\147\163", ["\144\x6f\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto f5334; f8224: if (!(false === is_null($siteEntity))) { goto cf298; } goto Bcda5; D562b: cf298: goto c07ad; ae4f3: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\116\157\x64\x65\x2e\x6a\163\40\x53\145\x74\164\151\x6e\x67\x73\40\150\x61\x76\x65\x20\x62\x65\145\156\40\x73\141\x76\x65\144\x2e")); goto D562b; db2b3: $session = $request->getSession(); goto A73e5; de07a: $siteUpdater = $this->getSiteUpdater($site); goto e57af; A73e5: $domainName = $site->getDomainName(); goto C1024; e57af: if (!(true === $hasNodejsVersionChanged)) { goto Dc2e7; } goto D15ae; f918e: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto B94b7; B94b7: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto de07a; Cd21d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\x72\x72\x6f\162\x20\x68\141\x73\x20\157\143\143\165\162\162\145\144\54\x20\145\162\162\x6f\162\40\x6d\x65\163\x73\141\x67\x65\x3a\x20\45\x65\162\162\x6f\162\x4d\145\163\163\141\147\x65\45", ["\45\x65\162\x72\x6f\x72\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto f3a07; f6e86: $this->formErrors = $this->getErrorMessages($form); goto F815e; f3a07: cd605: goto ccc0c; Ef3d1: if (true === $form->isValid()) { goto Ff869; } goto f6e86; ccc0c: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto F86d0; ad5ef: goto ec9ae; goto Baa7e; fa38f: try { goto E3912; fcff3: $siteEntity = $this->getSiteEntity($domainName); goto Da69d; Dec15: $this->siteEntityManager->updateEntity($siteEntity); goto D837e; c6b9c: $siteUpdater->pythonSettings(); goto Dec15; Ff412: $siteUpdater = $this->getSiteUpdater($site); goto ba8b1; f9073: $session = $request->getSession(); goto b0beb; C198c: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto ed7e5; b7445: return $response; goto C39c4; ed7e5: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\163", $this->translator->trans("\x50\171\164\150\x6f\x6e\x20\123\145\x74\x74\x69\156\x67\x73\x20\x68\141\x76\x65\x20\x62\145\x65\x6e\40\x73\x61\x76\x65\144\56")); goto Baad9; D837e: $eventData = ["\x73\151\164\x65" => $domainName, "\160\171\x74\x68\157\156\x56\145\162\x73\x69\157\x6e" => $pythonVersion, "\160\157\162\x74" => $pythonSettings->getPort()]; goto C198c; ba8b1: $siteUpdater->writePythonVersionFile(); goto c6b9c; E3912: $user = $this->getUser(); goto f9073; e03fb: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\x5f\163\x65\164\164\x69\x6e\147\163", ["\144\157\x6d\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto b7445; B1ea8: $pythonSettings = $form->getData(); goto De25b; Da69d: if (!(false === is_null($siteEntity))) { goto cfac8; } goto B1ea8; b0beb: $domainName = $site->getDomainName(); goto fcff3; Baad9: cfac8: goto e03fb; De25b: $pythonVersion = $pythonSettings->getPythonVersion(); goto Ff412; C39c4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\x6f\162\40\150\141\x73\40\157\x63\143\165\162\x72\145\x64\54\40\145\162\162\157\162\40\155\x65\163\163\x61\x67\x65\72\x20\x25\x65\x72\162\x6f\x72\115\145\x73\163\141\147\145\x25", ["\x25\x65\162\162\157\x72\115\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto C8756; Baa7e: d9b09: goto fa38f; C8756: ec9ae: goto A95b7; D6a67: $this->formErrors = $this->getErrorMessages($form); goto ad5ef; F86d0: if (true === $form->isValid()) { goto d9b09; } goto D6a67; A95b7: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto d762e; a6d66: try { goto Daa94; c79fb: B30d5: goto f4cf2; D5bcf: $this->siteEntityManager->updateEntity($siteEntity); goto c91dc; E37c7: if (!(false === is_null($siteEntity))) { goto B30d5; } goto e48f3; e2599: return $response; goto fc782; b905a: $siteUpdater = $this->getSiteUpdater($site); goto E166c; dd4c9: $site->setReverseProxyUrl($reverseProxyUrl); goto C6fde; C6fde: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto b905a; E1e25: $session = $request->getSession(); goto dec5d; Daa94: $user = $this->getUser(); goto E1e25; Fa58a: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto A37ad; dec5d: $domainName = $site->getDomainName(); goto a9fc6; a9fc6: $siteEntity = $this->getSiteEntity($domainName); goto E37c7; e48f3: $reverseProxyUrl = $form->get("\162\x65\166\x65\x72\163\145\120\162\x6f\x78\x79\x55\x72\154")->getData(); goto dd4c9; A37ad: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\x73", $this->translator->trans("\x52\x65\166\x65\x72\x73\145\40\120\x72\x6f\170\x79\x20\x53\145\164\164\151\156\147\163\40\150\x61\x76\x65\x20\x62\145\x65\156\x20\163\x61\x76\145\144\56")); goto c79fb; f4cf2: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\145\x5f\163\145\164\x74\151\156\147\163", ["\144\x6f\x6d\141\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto e2599; E166c: $siteUpdater->updateNginxVhostWithRollback(); goto D5bcf; c91dc: $eventData = ["\163\151\x74\145" => $domainName, "\162\145\x76\145\x72\x73\x65\120\162\x6f\170\171\125\x72\x6c" => $reverseProxyUrl]; goto Fa58a; fc782: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\157\162\x20\x68\x61\x73\40\157\x63\x63\x75\162\x72\145\x64\54\40\x65\162\x72\157\x72\x20\x6d\145\163\x73\x61\x67\145\72\40\45\145\162\162\157\162\115\x65\x73\163\x61\147\145\x25", ["\x25\145\x72\x72\x6f\x72\115\145\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto c7170; A0c60: $this->formErrors = $this->getErrorMessages($form); goto cab54; d762e: if (true === $form->isValid()) { goto d170d; } goto A0c60; c7170: a3c0a: goto d6963; D5a8c: d170d: goto a6d66; cab54: goto a3c0a; goto D5a8c; d6963: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto Ff5d9; Df699: $this->formErrors = $this->getErrorMessages($form); goto bda2c; F3f33: a0b5f: goto B5a0b; Ff5d9: if (true === $form->isValid()) { goto babd8; } goto Df699; f6723: babd8: goto Baf85; Baf85: try { goto dbb49; E966f: $this->siteEntityManager->updateEntity($siteEntity); goto Fd011; D6cf0: D6835: goto Ec28c; f417d: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\x65\137\163\145\164\x74\x69\x6e\x67\163", ["\144\x6f\x6d\141\151\156\116\x61\155\145" => $site->getDomainName()])); goto a43ab; F298c: $siteEntity = $this->getSiteEntity($domainName); goto Bc8a5; Ec28c: $siteUpdater->phpSettings(); goto E966f; d3229: $phpSettings = $form->getData(); goto E1046; ee575: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto D6cf0; Bc8a5: if (!(false === is_null($siteEntity))) { goto C844e; } goto d3229; be6c2: if (!(true === $hasPhpVersionChanged)) { goto D6835; } goto ee575; C9330: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto E5ed4; E1046: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto B7ff5; B7ff5: $siteUpdater = $this->getSiteUpdater($site); goto be6c2; E5ed4: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\120\x48\120\x20\x53\145\164\x74\x69\156\147\x73\40\x68\x61\166\x65\40\142\145\x65\x6e\40\163\x61\x76\x65\144\x2e")); goto fffdd; fffdd: C844e: goto f417d; Fd011: $eventData = ["\163\151\x74\x65" => $domainName, "\160\x68\160\x56\x65\162\x73\x69\x6f\x6e" => $phpSettings->getPhpVersion(), "\x6d\145\x6d\157\x72\x79\137\154\x69\155\151\x74" => $phpSettings->getMemoryLimit(), "\x6d\x61\170\137\x65\170\145\x63\x75\164\151\x6f\156\137\164\x69\x6d\145" => $phpSettings->getMaxExecutionTime(), "\155\141\x78\x5f\151\156\160\x75\x74\137\164\x69\155\145" => $phpSettings->getMaxInputTime(), "\155\141\170\x5f\x69\x6e\160\165\x74\x5f\x76\x61\162\163" => $phpSettings->getMaxInputVars(), "\x70\157\163\x74\137\x6d\141\170\137\x73\x69\x7a\145" => $phpSettings->getPostMaxSize(), "\x75\160\154\x6f\141\x64\137\155\141\x78\137\146\151\154\x65\x73\151\x7a\145" => $phpSettings->getUploadMaxFileSize()]; goto C9330; Db78e: $session = $request->getSession(); goto Ff47a; dbb49: $user = $this->getUser(); goto Db78e; a43ab: return $response; goto D5ef4; Ff47a: $domainName = $site->getDomainName(); goto F298c; D5ef4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\157\162\x20\150\141\163\x20\x6f\x63\x63\165\x72\162\145\144\54\40\x65\162\x72\157\162\40\x6d\145\163\x73\141\x67\x65\72\x20\x25\145\162\162\157\162\115\145\163\x73\141\147\x65\45", ["\45\145\x72\x72\157\162\x4d\145\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto F3f33; bda2c: goto a0b5f; goto f6723; B5a0b: } private function getSite(Request $request) : ?Site { goto e8515; c0d66: $site = null; goto C45b1; cddb8: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto A00fa; d469e: $domainName = $request->get("\x64\157\x6d\141\x69\x6e\x4e\141\x6d\x65"); goto Dd6bb; c9275: $siteDatabases = $this->getSiteDatabases($siteEntity); goto e5af6; Ee42d: if (!(false === is_null($site))) { goto Ee002; } goto c18fa; ef932: $site->setDatabases($siteDatabases); goto F015a; A7eda: d60cd: goto Cf796; E9fe0: $subdomain = $resolvedDomainName->subDomain()->toString(); goto B30eb; Dd2a6: $site->setSshKeys($siteEntity->getSshKeys()); goto cddb8; B081f: $site->setCronJobs($siteEntity->getCronJobs()); goto f48f1; B30eb: $subdomain = false === empty($subdomain) ? $subdomain : null; goto c9275; F5f90: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto d60cd; } goto F0353; Cf796: $siteType = $siteEntity->getType(); goto Ebecf; Beaae: $site->setBlockedBots($siteEntity->getBlockedBots()); goto Eed48; f48f1: $site->setFtpUsers($siteEntity->getFtpUsers()); goto bb309; A428b: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto c3cf1; F015a: $site->setCertificate($siteEntity->getCertificate()); goto E2515; e8515: $user = $this->getUser(); goto d469e; Ec703: $site->setSubdomain($subdomain); goto bed96; Ebecf: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto F707a; F707a: $site = new NodejsSite(); goto aae9d; aae9d: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Bdcab; Bdcab: goto b3d97; goto De5ef; De5ef: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto b3d97; case SiteEntity::TYPE_PHP: goto beadb; d70a7: $site->setPhpSettings($siteEntity->getPhpSettings()); goto bfb28; D4785: goto b3d97; goto A083b; bfb28: $site->setVarnishCache($siteEntity->getVarnishCache()); goto D4785; beadb: $site = new PhpSite(); goto d70a7; A083b: case SiteEntity::TYPE_PYTHON: goto Bb6a0; Eeba3: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Ba037; Bb6a0: $site = new PythonSite(); goto Eeba3; Ba037: goto b3d97; goto F0ee8; F0ee8: case SiteEntity::TYPE_REVERSE_PROXY: goto C65d3; C65d3: $site = new ReverseProxySite(); goto B38f5; a74e8: goto b3d97; goto b1cec; B38f5: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto a74e8; b1cec: } goto d7cd6; bb072: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto E9fe0; Eed48: $site->setBlockedIps($siteEntity->getBlockedIps()); goto ef932; bb309: $site->setSshUsers($siteEntity->getSshUsers()); goto Dd2a6; c3cf1: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto E1acc; E1acc: Ee002: goto e543d; c18fa: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto bb072; F0353: return null; goto A7eda; E2515: $site->setCertificates($siteEntity->getCertificates()); goto B081f; A75b3: $site->setBasicAuth($siteEntity->getBasicAuth()); goto Beaae; Bc576: b3d97: goto Ee42d; A00fa: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A428b; bed96: $site->setRootDirectory($siteEntity->getRootDirectory()); goto A75b3; Bf1fc: $site->setDomainName($siteEntity->getDomainName()); goto B0ac9; C45b1: if (!(false === is_null($siteEntity))) { goto a8bb9; } goto F5f90; e5af6: $site->setUser($siteEntity->getUser()); goto Bf1fc; B0ac9: $site->setRegistrableDomain($registrableDomain); goto Ec703; e543d: a8bb9: goto c6ef8; c6ef8: return $site; goto Fa0e5; d7cd6: b6c03: goto Bc576; Dd6bb: $siteEntity = $this->getSiteEntity($domainName); goto c0d66; Fa0e5: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto bf4fc; c7d83: $databaseEntities = $siteEntity->getDatabases(); goto Ee296; bf4fc: $siteDatabases = new ArrayCollection(); goto Faadb; Faadb: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c7d83; B8944: F5450: goto e79e3; Ee296: foreach ($databaseEntities as $databaseEntity) { goto F3faa; c8185: a4917: goto ac8fd; a1266: $siteDatabases->add($databaseEntity); goto c8185; ac8fd: Cd961: goto ffb5f; B60e1: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto a4917; } goto a1266; F3faa: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto B60e1; ffb5f: } goto B8944; e79e3: return $siteDatabases; goto Abc97; Abc97: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto a4f0c; Ef104: $siteType = $site->getType(); goto A5317; a4f0c: $siteUpdater = null; goto Ef104; A5317: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto af0a0; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto af0a0; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto af0a0; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto af0a0; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto af0a0; } goto Fee79; ed86a: af0a0: goto b1ec7; Fee79: D053d: goto ed86a; b1ec7: return $siteUpdater; goto Bda42; Bda42: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto A96ac; c0f68: return $siteDeleter; goto D76fc; bb182: b51b6: goto c0f68; ea005: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto b51b6; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto b51b6; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto b51b6; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto b51b6; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto b51b6; } goto B8a5f; A96ac: $siteDeleter = null; goto ab39d; ab39d: $siteType = $site->getType(); goto ea005; B8a5f: be021: goto bb182; D76fc: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
