<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\x68\164\164\x70\163\x3a\x2f\57\x64\x33\161\x6e\144\x35\64\161\x38\x67\x62\x33\152\x65\56\143\x6c\x6f\165\x64\x66\x72\157\156\x74\x2e\x6e\x65\x74\57"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto F65c3; e1f34: $this->databaseServerManager = $databaseServerManager; goto dbfb1; B43e1: $this->twig = $twig; goto D3644; E9c8a: $this->cachePool = $cachePool; goto B43e1; F65c3: $this->configManager = $configManager; goto e1f34; dbfb1: $this->userManager = $userManager; goto E9c8a; D3644: } public function onKernelRequest(RequestEvent $event) : void { goto f6fc5; f6fc5: if (!(false === $event->isMainRequest())) { goto f04aa; } goto cf9e8; cf9e8: return; goto D8a5d; dffd0: $this->initialize($event); goto e97f5; D8a5d: f04aa: goto dffd0; e97f5: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto f54c5; Ff7ff: if (!$command instanceof Command) { goto B9740; } goto E5953; f54c5: $command = $event->getCommand(); goto Ff7ff; E5953: $this->initialize($event); goto B5fd9; B5fd9: B9740: goto adc9b; adc9b: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto Fc62e; Ab03d: $this->setInstanceUid(); goto Ccd22; Fc62e: $this->setTimezone(); goto Ab03d; B664f: $this->setCloudPanelReleaseChannel(); goto a394b; Bd2a3: $this->setEnvironment($event); goto D85bc; Ccd22: $this->setCloudPanelVersion(); goto B664f; C9474: $this->setDatabaseServer($event); goto Bd2a3; a394b: $this->setLetsEncryptPrivateKey(); goto C9474; D85bc: } private function setTimezone() : void { goto a69b8; a1ffc: A2427: goto ea42e; a69b8: $timezone = $this->configManager->get("\x74\x69\155\145\172\157\x6e\x65"); goto B0618; B0618: if (!(true === is_null($timezone))) { goto A2427; } goto A7508; A7508: $this->configManager->set("\164\151\x6d\145\x7a\157\156\x65", "\125\124\x43"); goto a1ffc; ea42e: } private function setInstanceUid() : void { goto b14a0; fb8a6: $this->configManager->set("\x69\156\x73\164\141\156\x63\x65\x5f\x75\151\x64", $instanceUid); goto E619a; c9024: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto fb8a6; E619a: d0d3b: goto f987a; b7cde: if (!(true === is_null($instanceUid))) { goto d0d3b; } goto c9024; b14a0: $instanceUid = $this->configManager->get("\x69\x6e\163\x74\x61\x6e\x63\x65\x5f\165\x69\144"); goto b7cde; f987a: } private function setCloudPanelVersion() : void { goto D97e7; Df2ae: $this->configManager->set("\x61\160\x70\137\166\145\x72\x73\151\157\156", trim($appVersion)); goto e556c; f7040: if (!(false === is_null($appVersion))) { goto D9189; } goto Df2ae; e556c: D9189: goto F841c; D97e7: $appVersion = $_ENV["\101\120\x50\x5f\126\x45\122\123\x49\117\116"] ?? null; goto f7040; F841c: } private function setCloudPanelReleaseChannel() : void { goto D4967; E8c9f: if (!(true === is_null($releaseChannel))) { goto Bfdcd; } goto dac13; Ed584: Bfdcd: goto b07f9; D4967: $releaseChannel = $this->configManager->get("\x72\x65\154\x65\141\x73\145\137\x63\x68\141\156\156\x65\154"); goto E8c9f; dac13: $this->configManager->set("\x72\145\154\145\x61\163\145\137\143\150\141\156\156\145\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto Ed584; b07f9: } private function setLetsEncryptPrivateKey() { goto Fc9a9; C123b: cbfac: goto C296b; Fe6b2: Cc7d2: goto C123b; d76ed: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Abd3e; Fc9a9: $numberOfUsers = $this->userManager->countAll(); goto cd10e; b7a20: $rsaKeyGenerator = new RsaKeyGenerator(); goto d76ed; Ef209: if (!(true === is_null($letsEncryptPrivateKey))) { goto Cc7d2; } goto b7a20; aef9e: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\x70\162\x69\x76\x61\x74\x65\x5f\153\145\171"); goto Ef209; cd10e: if (!(0 < $numberOfUsers)) { goto cbfac; } goto aef9e; Abd3e: $this->configManager->set("\x6c\x65\x5f\160\x72\151\166\x61\x74\145\137\153\145\x79", $privateKey->getPEM()); goto Fe6b2; C296b: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto e1444; C5ce8: if (!("\144\x65\x76" != $_ENV["\x41\x50\120\x5f\x45\x4e\x56"])) { goto Ea8e4; } goto Ab0d9; Ea645: b1699: goto f9c59; c7f58: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto Aecb4; cbe19: $databaseServer->setIsDefault(true); goto A1db7; B202d: $commandExecutor = new CommandExecutor(); goto Bcad3; C6af4: $databaseServer->setUserName("\x72\x6f\x6f\164"); goto F6e48; F8572: if ("\144\145\166" == $_ENV["\x41\120\x50\x5f\x45\x4e\x56"]) { goto C6e08; } goto b1a95; e1444: $numberOfUsers = $this->userManager->countAll(); goto F8c19; f0e2d: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto c7f58; Bcad3: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto Fdf85; b71ed: $databaseServer->setPassword($encryptedPassword); goto C5ce8; F6e48: $databaseServer->setPassword(Crypto::encrypt("\162\157\157\164")); goto E731a; aefad: $this->databaseServerManager->updateEntity($databaseServer); goto Ea645; F8c19: $databaseServers = $this->databaseServerManager->findAll(); goto B4415; B4c23: $password = $passwordGenerator->generate(); goto C509c; bbd53: $databaseServer->setVersion($databaseConnection->getVersion()); goto b71ed; Aecb4: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto c93bb; Ab0d9: $tmpDatabaseServer = clone $databaseServer; goto f6ba0; f4ecd: $databaseServer->setHost("\61\x32\x37\x2e\60\56\x30\56\x31"); goto C6af4; D64df: $databaseServer = $this->databaseServerManager->createEntity(); goto f4ecd; C509c: goto d9604; goto C8855; Da8ac: $encryptedPassword = Crypto::encrypt($password); goto D64df; c93bb: Ea8e4: goto aefad; f6ba0: $tmpDatabaseServer->setPassword("\162\x6f\x6f\x74"); goto B202d; A1db7: $databaseConnection = new DatabaseConnection($databaseServer); goto c272d; C8855: C6e08: goto Ad7c8; e47ea: $databaseServer->setIsActive(true); goto cbe19; c272d: $databaseServer->setEngine($databaseConnection->getEngine()); goto bbd53; b1a95: $passwordGenerator = new PasswordGenerator(); goto B4c23; E731a: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto e47ea; B4415: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto b1699; } goto F8572; Ad7c8: $password = "\x72\157\x6f\x74"; goto Dedca; Dedca: d9604: goto Da8ac; Fdf85: $changeDatabaseUserPasswordCommand->setUserName("\162\x6f\x6f\x74"); goto f0e2d; f9c59: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto d0b32; ea985: $ipv4PublicIp = ''; goto E81f2; E6710: if (!(false === is_null($instanceUid))) { goto c24ac; } goto d699d; f8bc6: D7645: goto f4175; d1a27: $this->twig->addGlobal("\x69\x6e\163\164\x61\156\143\145", $instance); goto A6296; E7b2f: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto F8c63; fcaf3: $instanceUid = $this->configManager->get("\151\x6e\x73\164\141\x6e\143\145\x5f\x75\x69\x64"); goto E6710; f44a5: c24ac: goto e0fe4; Ff04f: $host = $request->getHost(); goto C9266; Fd91d: $hostname = gethostname(); goto Ba29a; A6296: $this->twig->addGlobal("\x69\x73\x44\x61\162\x6b\115\x6f\x64\x65", $isDarkMode); goto c7bcf; c7bcf: Dd3f2: goto b9df9; C5d90: $request = $event->getRequest(); goto Ff04f; f4175: A83c9: goto fcaf3; a726c: $instance->setIpv4PublicIp($ipv4PublicIp); goto cac7f; Cc467: $command = $event->getCommand(); goto C8282; E7627: goto Dd3f2; goto c0127; E15e7: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto c17fc; A0836: $region = $_ENV["\104\x45\126\137\x41\x57\x53\x5f\122\x45\x47\x49\x4f\116"] ?? ''; goto fdea5; a6b4b: if (!("\144\x65\166" == $_ENV["\101\x50\120\137\105\x4e\126"])) { goto F52af; } goto B85ca; Da51e: $instance->setRegion($region); goto e442f; e442f: F52af: goto d72a1; c17fc: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto bcc0f; fdea5: $instance->setInstanceId($instanceId); goto Ebdeb; Ebdeb: $instance->setInstanceType("\x74\63\56\170\x6c\141\x72\147\x65"); goto Da51e; B85ca: $instanceId = $_ENV["\104\105\x56\137\x41\127\x53\137\x49\x4e\x53\x54\x41\x4e\x43\105\137\111\x44"] ?? ''; goto A0836; bcc0f: $instance = new AwsInstance(); goto a6b4b; d72a1: goto A83c9; goto e005f; e005f: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto af141; C7c93: goto A83c9; goto d9c9a; C8135: Cd71a: goto d8acc; Ed309: $doClient->setInstance($instance); goto Bff7d; c6482: fda4c: goto C7c93; af141: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto c0c42; A6b20: $instance->setDropletId($dropletId); goto Cc6f9; D7def: if (!(false === is_null($token))) { goto Cd71a; } goto b4a06; Eb905: $instance->setIpv4PublicIp("\61\x32\x37\x2e\x30\56\x30\x2e\x31"); goto c6482; b4a06: $doClient->setToken($token); goto C8135; f8e47: $region = $_ENV["\104\105\126\x5f\104\117\x5f\x52\x45\x47\x49\x4f\x4e"] ?? ''; goto A6b20; e5b06: $dropletId = $_ENV["\x44\105\x56\x5f\104\117\x5f\104\122\x4f\x50\114\105\x54\x5f\x49\104"] ?? ''; goto f8e47; d8acc: $instance = new DoInstance($doClient); goto Ed309; Dc3cb: $instance->setFloatingIp("\61\62\x37\56\x30\x2e\x30\56\x31"); goto Eb905; Cc6f9: $instance->setRegion($region); goto Dc3cb; d143c: $token = $this->configManager->get("\x64\x6f\137\141\143\x63\145\x73\163\x5f\x74\x6f\x6b\x65\x6e"); goto D7def; Bff7d: if (!("\x64\145\166" == $_ENV["\x41\x50\x50\137\105\x4e\x56"])) { goto fda4c; } goto e5b06; c0c42: $doClient = new DoClient(); goto d143c; d9c9a: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto d59a6; Cdbd0: $instanceName = $_ENV["\104\x45\126\x5f\107\103\x45\x5f\x49\116\123\x54\x41\x4e\x43\x45\137\116\101\x4d\105"] ?? ''; goto b0b95; b439b: $gceClient = new GceClient(); goto F36d3; c654d: $instance->setInstanceId($instanceId); goto cb72c; b0b95: $machineType = $_ENV["\x44\x45\126\x5f\x47\x43\x45\x5f\115\x41\103\110\x49\116\x45\x5f\x54\131\x50\105"] ?? ''; goto f6664; Ff5b7: $instance->setProjectId($projectId); goto c654d; bef3b: if (!("\x64\x65\x76" == $_ENV["\x41\x50\120\137\105\116\x56"])) { goto E9ff8; } goto decc7; B088f: $instance->setZone($zone); goto a9cc4; d59a6: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto b439b; Daafb: Be821: goto b56e6; f07cd: $instanceId = $_ENV["\x44\105\126\x5f\x47\x43\x45\137\111\x4e\x53\x54\x41\116\103\105\137\x49\x44"] ?? ''; goto Cdbd0; D6dbb: $gceClient->setGceInstance($instance); goto bef3b; ed0f2: goto A83c9; goto d4a01; F36d3: $serviceAccountKeys = $this->configManager->get("\147\x63\x65\137\x73\x65\x72\x76\x69\143\145\137\x61\x63\143\157\165\156\164\137\x6b\145\171\163"); goto Ae254; b56e6: $instance = new GceInstance($gceClient); goto D6dbb; Ae254: if (!(false === is_null($serviceAccountKeys))) { goto Be821; } goto Dfec6; a9cc4: E9ff8: goto ed0f2; E2749: $gceClient->setAuthConfig($serviceAccountKeys); goto Daafb; decc7: $projectId = $_ENV["\x44\x45\x56\137\107\x43\105\137\x50\x52\117\x4a\x45\x43\x54\137\x49\x44"] ?? ''; goto f07cd; Dfec6: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto E2749; cb72c: $instance->setInstanceName($instanceName); goto d421f; f6664: $zone = $_ENV["\x44\x45\126\137\107\103\x45\137\x5a\x4f\x4e\105"] ?? ''; goto Ae619; d421f: $instance->setMachineType($machineType); goto B088f; Ae619: $instance->setIpv4PublicIp("\x31\62\67\56\x30\56\x30\56\x31"); goto Ff5b7; d4a01: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto Df3a9; b1c73: $instanceId = $_ENV["\104\105\x56\x5f\110\x45\124\x5a\116\105\x52\137\x49\116\x53\124\101\116\103\x45\137\x49\x44"] ?? ''; goto fcc7d; b1739: $apiToken = $this->configManager->get("\x68\145\x74\172\x6e\145\x72\137\141\x70\x69\137\164\157\153\x65\x6e"); goto a6d3b; D58ad: $hetznerClient->setInstance($instance); goto ea21d; fcc7d: $instance->setIpv4PublicIp("\61\62\x37\x2e\60\x2e\60\x2e\61"); goto f0df6; Cb83c: $hetznerClient->setToken($apiToken); goto Abb06; d646a: Dc576: goto ae6ac; Bda63: $instance = new HetznerInstance($hetznerClient); goto D58ad; Abb06: aa11e: goto Bda63; ae6ac: goto A83c9; goto Df4f3; C6387: $hetznerClient = new HetznerClient(); goto b1739; ea21d: if (!("\144\145\166" == $_ENV["\x41\120\120\137\x45\x4e\x56"])) { goto Dc576; } goto b1c73; Df3a9: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto C6387; a6d3b: if (!(false === is_null($apiToken))) { goto aa11e; } goto Cb83c; f0df6: $instance->setInstanceId($instanceId); goto d646a; Df4f3: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto Ca797; B9d85: if (!("\x64\145\166" == $_ENV["\101\x50\120\x5f\105\116\x56"])) { goto d91cc; } goto c9af3; Ca797: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto a949d; b1aa8: $apiKey = $this->configManager->get("\166\x75\x6c\164\162\137\x61\x70\x69\137\x6b\145\171"); goto Fd7f6; B1b43: $vultrClient->setVultrInstance($instance); goto B9d85; b152e: $instance->setInstanceId($instanceId); goto b0564; c0322: $instance->setIpv4PublicIp($ipv4PublicIp); goto b152e; ab477: $vultrClient->setApiKey($apiKey); goto ffab8; c4e43: $instance = new VultrInstance($vultrClient); goto B1b43; a949d: $vultrClient = new VultrClient(); goto b1aa8; b0564: d91cc: goto C09de; ffab8: Df3f0: goto c4e43; Fd7f6: if (!(false === is_null($apiKey))) { goto Df3f0; } goto ab477; Dd22e: $ipv4PublicIp = $_ENV["\104\x45\126\137\126\x55\x4c\124\x52\137\x49\120\x5f\126\64\137\x50\125\102\114\x49\103"] ?? "\61\x32\x37\56\x30\x2e\x30\x2e\x31"; goto c0322; c9af3: $instanceId = $_ENV["\x44\x45\126\x5f\126\125\x4c\124\x52\x5f\111\116\x53\x54\x41\116\x43\105\137\x49\104"] ?? ''; goto Dd22e; C09de: goto A83c9; goto Fea54; Fea54: default: $instance = new Instance(); goto A83c9; } goto f8bc6; fd77f: $request->attributes->set("\151\163\x44\141\x72\x6b\x4d\x6f\x64\145", $isDarkMode); goto d1a27; cac7f: b7186: goto f7840; C8282: $command->setInstance($instance); goto E7627; f950c: if ($event instanceof RequestEvent) { goto Fc4b7; } goto Cc467; A10d7: $environment = new CloudPanelEnvironment(); goto E15e7; c0127: Fc4b7: goto C5d90; Ba29a: $instance->setHostname($hostname); goto f950c; d699d: $instance->setUid($instanceUid); goto f44a5; f7840: $request->attributes->set("\151\156\163\164\x61\156\x63\x65", $instance); goto fd77f; C9266: $isDarkMode = false === is_null($request->cookies->get("\x74\150\145\155\x65")) && "\144\141\x72\153" == $request->cookies->get("\x74\150\x65\x6d\x65") ? true : false; goto E7b2f; e0fe4: $instance->setEnvironment($environment); goto Fd91d; d0b32: $cloud = $this->configManager->get("\143\154\157\165\144"); goto A10d7; E81f2: try { $ipv4PublicIp = $this->cachePool->get("\151\x70\x76\64\x5f\x70\x75\x62\154\x69\143\x5f\151\160", function (ItemInterface $item) { goto c954e; Eaf4b: $responseStatusCode = $response->getStatusCode(); goto a2ffb; bbc4c: $request = new Request("\107\x45\124", self::IP_REQUEST_URL); goto e1b04; Fbfe8: $ipv4PublicIp = null; goto D9361; bca25: return $ipv4PublicIp; goto ecb18; Ec88f: $ipv4PublicIp = trim((string) $response->getBody()); goto ba90c; D9361: $config = ["\x74\151\x6d\x65\x6f\165\x74" => 5, "\x76\145\162\x69\146\171" => false, "\150\145\x61\144\145\162\x73" => ["\x55\163\x65\162\55\x41\x67\145\156\164" => "\x43\x6c\x6f\165\144\120\x61\156\x65\154\40\166\62"]]; goto C1785; e1b04: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto Eaf4b; a2ffb: if (!(200 == $responseStatusCode)) { goto F7397; } goto Ec88f; C1785: $httpClient = new HttpClient($config); goto bbc4c; ba90c: F7397: goto bca25; c954e: $item->expiresAfter(3600); goto Fbfe8; ecb18: }); } catch (\Exception $e) { } goto a726c; F8c63: if (!(true === empty($ipv4PublicIp))) { goto b7186; } goto ea985; b9df9: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\x65\x72\x6e\145\x6c\122\x65\x71\165\x65\x73\164", 25]], ConsoleEvents::COMMAND => [["\x6f\156\103\x6f\156\163\x6f\x6c\145\103\x6f\155\x6d\141\x6e\144", 25]]]; } }
