<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto c54dd; B7389: $certificateProcessor = new NginxCertificateProcessor(); goto c839d; c72f2: $redirectDomainProcessor = new RedirectDomainProcessor(); goto Dc3c7; d53df: $this->addProcessor($redirectServerNameProcessor); goto E8ecb; Fa825: $this->addProcessor($rootDirectoryProcessor); goto b5d80; c54dd: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto C90a2; Af684: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto B7389; c7a1a: $this->addProcessor($settingsProcessor); goto e5361; c839d: $settingsProcessor = new SettingsProcessor(); goto Fa825; Caf31: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto Af684; df549: $this->addProcessor($certificateKeyProcessor); goto e0007; b5d80: $this->addProcessor($serverNameProcessor); goto d53df; E8ecb: $this->addProcessor($redirectDomainProcessor); goto daba2; daba2: $this->addProcessor($nginxAccessLogProcessor); goto f11c8; f11c8: $this->addProcessor($nginxErrorLogProcessor); goto df549; Dc3c7: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto Caf31; C90a2: $serverNameProcessor = new ServerNameProcessor(); goto a9045; a9045: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto c72f2; e0007: $this->addProcessor($certificateProcessor); goto c7a1a; e5361: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto B1bb7; C6d6f: D57e5: goto E3298; be818: $placeholders = $this->getPlaceholders(); goto Ad827; B1bb7: $processors = $this->getProcessors(); goto be818; Ad827: foreach ($placeholders as $placeholder) { goto B02ba; dcbed: $processor = $processors[$placeholder]; goto B5018; B5018: $processor->setSite($this->site); goto fc6af; eac18: $this->removePlaceholder($placeholder); goto D3110; E2d13: fcc61: goto Aabc6; B02ba: $hasProcessor = $this->hasProcessor($placeholder); goto B4496; D3110: B587a: goto E2d13; B4496: if (!(true === $hasProcessor)) { goto B587a; } goto dcbed; fc6af: $this->content = $processor->process($this->content); goto eac18; Aabc6: } goto C6d6f; E3298: } public function removeEmptyPlaceholders() : void { goto f2959; c115a: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); be26c: } goto A982b; A982b: eefff: goto A7563; f2959: $placeholders = $this->getPlaceholders(); goto c115a; A7563: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto C0436; ce678: preg_match_all("\x2f\x5b\173\173\135\173\x32\175\x28\x5b\134\163\x61\55\172\x41\x2d\x5a\60\x2d\x39\x5f\135\53\x29\133\x7d\175\x5d\173\x32\175\x2f", $this->content, $placeholders); goto B4e11; Ea981: $placeholders = $placeholders[0]; goto Dc082; C0436: if (!(true === empty($this->placeholders))) { goto d5acf; } goto ce678; A6fd2: return $this->placeholders; goto E98ea; d08df: d5acf: goto A6fd2; a536e: A8090: goto b63bc; b63bc: d47ed: goto d08df; Dc082: foreach ($placeholders as $placeholder) { goto edb5a; E8b7e: if (!(false === empty($placeholder))) { goto fb94d; } goto b00f4; f05eb: fb94d: goto cb2c1; cb2c1: e28b2: goto d5d0f; edb5a: $placeholder = trim($placeholder); goto E8b7e; b00f4: $this->addPlaceholder($placeholder); goto f05eb; d5d0f: } goto a536e; B4e11: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto d47ed; } goto Ea981; E98ea: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto A8e75; A088a: F9599: goto Dbd9e; fef3e: unset($this->placeholders[$placeholder]); goto A088a; A8e75: if (!(true === isset($this->placeholders[$placeholder]))) { goto F9599; } goto fef3e; Dbd9e: } }
