<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\145\x74\x63\x2f\156\x67\151\x6e\x78\57\142\141\x73\151\x63\x2d\141\x75\x74\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\x65\164\x63\57\156\x67\x69\x6e\170\x2f\163\151\x74\145\x73\55\x65\x6e\x61\x62\x6c\145\144\57"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\x65\164\x63\x2f\156\x67\x69\x6e\170\57\x73\x73\154\x2d\x63\x65\162\164\x69\146\151\143\x61\x74\145\x73\57"; public const CRON_DIRECTORY = "\57\x65\x74\143\57\143\x72\x6f\156\x2e\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto f3393; F899f: $writeVhostFileCommand = new WriteFileCommand(); goto Be62c; Be62c: $writeVhostFileCommand->setFile($vhostFile); goto A2ad9; Ca69e: $vhostTemplate->build(); goto F924d; A8fbd: Fb7d9: goto D0064; A2ad9: $writeVhostFileCommand->setContent($vhostContent); goto D2801; D0064: $vhostTemplate->setContent($vhostFileContent); goto C1715; F924d: $vhostTemplate->removeEmptyPlaceholders(); goto Ffd18; C6ce6: $vhostFileContent = $this->site->getVhostTemplate(); goto F2f98; f3393: $domainName = $this->site->getDomainName(); goto C6ce6; Ffd18: $vhostContent = $vhostTemplate->getContent(); goto F899f; C1715: $vhostFile = sprintf("\x25\163\x2f\x25\163\x2e\143\157\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto Ca69e; F2f98: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Fb7d9; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Fb7d9; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Fb7d9; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Fb7d9; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Fb7d9; } goto F7075; D2801: $this->commandExecutor->execute($writeVhostFileCommand); goto fb3c8; F7075: c74f1: goto A8fbd; fb3c8: } public function updateNginxVhostWithRollback() : void { try { goto efc8a; Ffe92: if (!("\144\x65\166" != $_ENV["\101\x50\x50\x5f\105\x4e\x56"])) { goto Fa119; } goto E6dfe; D9dd7: d0ff4: goto B718b; b8a5f: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto b308b; c4b4a: $vhostFile = sprintf("\45\163\57\45\x73\x2e\x63\157\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto F97f1; f236f: $vhostTemplate->removeEmptyPlaceholders(); goto ab6c2; efc8a: $domainName = $this->site->getDomainName(); goto b2d4a; E6dfe: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto b0550; f1f1b: $writeVhostFileCommand = new WriteFileCommand(); goto b44bb; Edec9: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto d0ff4; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto d0ff4; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto d0ff4; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto d0ff4; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto d0ff4; } goto D8c4c; b44bb: $writeVhostFileCommand->setFile($vhostFile); goto B1a6c; a171e: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto e7561; b308b: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto f1f1b; E88f5: Fa119: goto a171e; D3030: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto f2a1b; B4c8a: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto ba31e; ab6c2: $vhostContent = $vhostTemplate->getContent(); goto Cc063; b0550: $reloadNginxServiceCommand->setServiceName("\x6e\x67\151\156\170"); goto fa3cb; B6e50: $this->commandExecutor->execute($nginxConfigTestCommand); goto Ffe92; f2a1b: $this->commandExecutor->execute($writeVhostFileCommand); goto B6e50; B1a6c: $writeVhostFileCommand->setContent($vhostContent); goto Ad841; fa3cb: $this->commandExecutor->execute($reloadNginxServiceCommand); goto E88f5; F97f1: $vhostTemplate->build(); goto f236f; D8c4c: Bcbc8: goto D9dd7; B718b: $vhostTemplate->setContent($vhostFileContent); goto c4b4a; E932f: $copyVhostBackupFileCommand = new CopyFileCommand(); goto b8a5f; ba31e: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto D3030; b2d4a: $vhostFileContent = $this->site->getVhostTemplate(); goto Edec9; Cc063: $vhostBackupFile = sprintf("\x25\x73\57\x25\x73\x2e\x63\x6f\x6e\x66\56\142\141\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto E932f; Ad841: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto B4c8a; e7561: } catch (\Exception $e) { goto Aadeb; Aadeb: $errorMessage = $e->getMessage(); goto ba01f; C9e1c: $errorMessage = $nginxConfigTestCommand->getOutput(); goto F5170; Cad54: $this->commandExecutor->execute($restoreBackupFileCommand); goto E0402; E0402: if (!(true === isset($reloadNginxServiceCommand))) { goto bc707; } goto Ad256; E3fbe: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto Cad54; B0f6d: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto f17bb; b5f69: bc707: goto B0f6d; Ad256: $this->commandExecutor->execute($reloadNginxServiceCommand); goto b5f69; b80d4: $restoreBackupFileCommand = new CopyFileCommand(); goto a6ebd; ba01f: if (!(true === isset($nginxConfigTestCommand))) { goto Df645; } goto C9e1c; F5170: Df645: goto b80d4; a6ebd: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto E3fbe; f17bb: throw new InvalidVhostException($errorMessage); goto D4d65; D4d65: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto E5d8c; ad509: $createUserCommand = new CreateUserCommand(); goto eb1c2; F83a4: $sshUserName = $sshUserEntity->getUserName(); goto e4cfc; c91ad: $sshDirectoryChmodCommand->setFile($sshDirectory); goto b8939; A23ee: $createUserCommand->createHomeDirectory(true); goto f88d9; Cb6ea: $skeletonDirectory = realpath(dirname(__FILE__) . "\x2f\x2e\56\x2f\x2e\x2e\x2f\162\x65\x73\157\x75\x72\x63\145\x73\x2f\145\x74\143\57\163\153\145\154\x2f\163\163\x68\x2d\x75\x73\145\162\57"); goto ad509; fd64e: $symlinkDirectories = ["\x62\141\x63\x6b\165\x70\163", "\150\164\144\x6f\143\163", "\x6c\157\147\x73"]; goto d3ce2; eb1c2: $createUserCommand->setUserName($sshUserName); goto A4db1; A4db1: $createUserCommand->setPassword($sshUserPassword); goto d547a; A3c33: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto e6583; e6583: $createUserCommand->setHomeDirectory($homeDirectory); goto A23ee; ed9c7: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto b89e7; bd68e: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\x6d\x65\x2f\45\163", $siteUser); goto Ce9b4; B9ede: $sshDirectory = sprintf("\57\150\x6f\x6d\x65\x2f\45\163\x2f\x2e\163\163\150", $sshUserName); goto E6170; d3ce2: foreach ($symlinkDirectories as $symlinkDirectory) { goto Ba111; eccba: af296: goto Ada7d; efcec: bd047: goto eccba; Df42b: $symlinkCommand->setSource($source); goto ba4cf; Ba111: $source = sprintf("\x2f\x68\157\155\x65\x2f\45\163\x2f\x25\163", $siteUser, $symlinkDirectory); goto ad94b; e9365: $this->commandExecutor->execute($symlinkCommand); goto efcec; ad94b: $destination = sprintf("\57\150\157\x6d\145\x2f\x25\x73\57\x25\x73", $sshUserName, $symlinkDirectory); goto Fb465; C33ed: $symlinkCommand->setRunAsUser($sshUserName); goto Df42b; ba4cf: $symlinkCommand->setDestination($destination); goto A2a69; A2a69: if (!("\x64\x65\x76" != $_ENV["\x41\x50\120\x5f\x45\116\x56"])) { goto bd047; } goto e9365; Fb465: $symlinkCommand = new CreateSymlinkCommand(); goto C33ed; Ada7d: } goto ee283; e4cfc: $sshUserPassword = $sshUserEntity->getPassword(); goto Cb252; Ce9b4: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto F6bb0; e4323: $sshDirectoryChmodCommand->setFileChmod(600); goto bd68e; Ad5eb: $createUserCommand->setShell("\x2f\142\151\156\57\x62\x61\x73\150"); goto A3c33; F6bb0: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto B5834; E5d8c: $site = $sshUserEntity->getSite(); goto Dd547; E6170: $sshDirectoryChmodCommand = new FindChmodCommand(); goto c91ad; d547a: $createUserCommand->setGroup($siteUser); goto Ad5eb; ee283: ed8d0: goto B9ede; b89e7: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto C79d6; C79d6: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto af569; Dd547: $siteUser = $site->getUser(); goto F83a4; B5834: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto ed9c7; b8939: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto e4323; Cb252: $homeDirectory = sprintf("\x2f\150\157\x6d\x65\57\45\163", $sshUserName); goto Cb6ea; f88d9: $this->commandExecutor->execute($createUserCommand); goto fd64e; af569: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto E4371; D5e54: $siteUserHomeDirectory = sprintf("\57\150\157\x6d\145\x2f\45\163", $siteUser); goto c1452; B0ef7: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto d5a09; Da4a8: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto bbf54; Ad776: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto d2e82; d05e1: $createUserCommand->setPassword($ftpUserPassword); goto A2b88; E4371: $site = $ftpUserEntity->getSite(); goto B4d49; ff27c: $createUserCommand->setUserName($ftpUserName); goto d05e1; e2d99: $createUserCommand->setGroups(["\x66\x74\160\x2d\x75\163\x65\x72"]); goto F5a6a; Dca20: $ftpUserPassword = $ftpUserEntity->getPassword(); goto Da4a8; c1452: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Ad776; d2e82: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto B0ef7; A2b88: $createUserCommand->setGroup($siteUser); goto e2d99; C8d79: $ftpUserName = $ftpUserEntity->getUserName(); goto Dca20; d5a09: $this->commandExecutor->execute($createUserCommand); goto adfa3; B4d49: $siteUser = $site->getUser(); goto C8d79; bbf54: $createUserCommand = new CreateUserCommand(); goto ff27c; adfa3: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto A965e; D4ea6: $createUserCommand->createHomeDirectory(false); goto D5e54; F5a6a: $createUserCommand->setShell("\57\x62\x69\156\x2f\x66\141\154\x73\x65"); goto d205f; d205f: $createUserCommand->setHomeDirectory($homeDirectory); goto D4ea6; A965e: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto F79ca; c2a03: $deleteUserCommand->setUserName($userName); goto A4ab7; A4ab7: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto ddd36; F79ca: $deleteUserCommand = new DeleteUserCommand(); goto c2a03; ddd36: $this->commandExecutor->execute($deleteUserCommand); goto B28f1; B28f1: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto ad6c6; A3855: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto C40dc; D4629: $privateKeyFile = sprintf("\x25\x73\57\45\163\x2e\x6b\145\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto add27; c3082: $writeCertificateFileCommand->setFile($certificateFile); goto Ef6fa; f6b8b: $this->reloadService("\156\147\x69\156\x78"); goto Af3f0; e7b80: $certificate .= sprintf("\x25\163\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto Eacad; add27: $certificateFile = sprintf("\x25\163\x2f\45\x73\x2e\143\x72\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto ca42b; be2e0: $writeCertificateFileCommand = new WriteFileCommand(); goto c3082; Ea5ad: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto Fe1f7; ad6c6: $domainName = $this->site->getDomainName(); goto D4629; Ee271: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto Df3fb; } goto e7b80; C40dc: $this->commandExecutor->execute($writeCertificateFileCommand); goto f6b8b; ca42b: $certificate = $certificateEntity->getCertificate(); goto Ee271; Fe1f7: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto be2e0; eaa09: $writePrivateKeyFileCommand = new WriteFileCommand(); goto Ea5ad; Ef6fa: $writeCertificateFileCommand->setContent($certificate); goto A3855; Eacad: Df3fb: goto eaa09; Af3f0: } public function deleteLetsEncryptChallengeDirectory() : void { goto c7505; c7505: $rootDirectory = $this->getRootDirectory(); goto A6309; e0b44: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto C6fa5; cbc99: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto f4fa9; A6309: $acemeChallengeDirectory = sprintf("\x25\163\57\56\x77\145\154\x6c\x2d\x6b\156\x6f\x77\156\57\141\143\155\145\55\143\x68\x61\x6c\x6c\x65\156\147\x65\x2f", rtrim($rootDirectory, "\x2f")); goto e0b44; C6fa5: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto cbc99; f4fa9: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto Cdc77; cd379: $writeBasicAuthFileCommand = new WriteFileCommand(); goto e9d87; e9d87: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto Dba9b; Cdc77: $basicAuthFile = sprintf("\45\x73\x2f\x25\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\57"), $this->site->getDomainName()); goto fa500; Bc827: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto C388e; fa500: $basicAuthFileContent = sprintf("\x25\x73\72\45\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto cd379; Dba9b: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto Bc827; C388e: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto D2d20; f6a04: foreach ($challenges as $challenge) { goto D8287; a498d: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto D7493; } goto cd9c5; B3f92: aaa40: goto Ddd3a; f6644: $challengeWriteFileCommand = new WriteFileCommand(); goto Dc275; F90cc: $this->commandExecutor->execute($challengeWriteFileCommand); goto a4869; a9448: $verificationContent = $challenge["\x76\x65\162\x69\146\151\143\x61\x74\151\157\156\103\157\x6e\x74\x65\x6e\x74"] ?? null; goto a498d; D8287: $token = $challenge["\164\157\x6b\145\x6e"] ?? null; goto a9448; a4869: D7493: goto B3f92; Dc275: $challengeWriteFileCommand->setFile($challengeFile); goto A751a; A751a: $challengeWriteFileCommand->setContent($verificationContent); goto F90cc; cd9c5: $challengeFile = sprintf("\45\163\57\45\x73", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto f6644; Ddd3a: } goto A3da7; f1771: $acemeChallengeDirectory = sprintf("\45\x73\57\x2e\167\x65\x6c\154\55\153\156\157\167\156\x2f\x61\143\155\145\x2d\x63\x68\x61\x6c\x6c\x65\x6e\147\145\x2f", rtrim($rootDirectory, "\57")); goto E456b; Cd9b6: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto d0dcd; E456b: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto A3385; b721d: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto D1fbf; ad6d9: $wellKnownDirectory = sprintf("\45\x73\57\x2e\x77\x65\154\154\55\x6b\x6e\157\x77\156\x2f", rtrim($rootDirectory, "\x2f")); goto f1771; af2dc: $rootDirectory = $this->getRootDirectory(); goto ad6d9; a30e8: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto F4d85; a3a4c: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto b721d; A3385: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto c068b; E95cf: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto fcedc; F8557: F5ebf: goto Cd9b6; E6fec: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto ce423; d0dcd: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto a3a4c; bd48a: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto E7d10; ce423: if (!count($challenges)) { goto F5ebf; } goto f6a04; fcedc: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto a30e8; D1fbf: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto E95cf; F4d85: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto fde40; D2d20: $siteUser = $this->site->getUser(); goto af2dc; c068b: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto E6fec; A3da7: fcb0b: goto F8557; fde40: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto bd48a; E7d10: } public function updateUserCrontab() : void { goto b1be1; A1c88: $this->commandExecutor->execute($writeCrontabFileCommand); goto Ae22b; d865f: Ec0a4: goto E3470; b5fd6: $cronJobs = $this->site->getCronJobs(); goto bde50; e5e2b: $writeCrontabFileCommand->setFile($crontabFile); goto A3a04; bafd2: c3b1a: goto d865f; b1be1: $siteUser = $this->site->getUser(); goto D9ab8; Fd578: $crontabEntries = ["\x4d\101\111\114\124\117\75\x22\x22"]; goto b5fd6; D9ab8: $crontabFile = sprintf("\45\163\x2f\x25\163", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto Fd578; bfea8: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); B8f74: } goto bafd2; A3a04: $writeCrontabFileCommand->setContent($crontabContent); goto A1c88; e31c0: $writeCrontabFileCommand = new WriteFileCommand(); goto e5e2b; bde50: if (!count($cronJobs)) { goto Ec0a4; } goto bfea8; E3470: $crontabContent = implode(PHP_EOL, $crontabEntries); goto e31c0; Ae22b: } public function purgePageSpeedCache() : void { goto Af010; Efdc7: $cacheDirectory = sprintf("\57\x68\157\x6d\x65\57\45\x73\x2f\x74\155\x70\57\x70\141\x67\145\163\x70\x65\x65\x64\x5f\x63\141\x63\150\x65", $siteUser); goto f1d3f; fce73: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto F3f12; Af010: $siteUser = $this->site->getUser(); goto Efdc7; F3f12: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto A0db4; f1d3f: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto fce73; A0db4: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto ed432; c8fb4: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto C3b41; ed432: $authorizedKeysFile = sprintf("\x2f\x68\157\155\145\x2f\x25\163\x2f\56\163\163\150\57\x61\165\x74\x68\x6f\x72\151\x7a\145\144\x5f\x6b\x65\x79\x73", $userName); goto bf36b; D43c5: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto c8fb4; bf36b: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto cbc6a; cbc6a: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto D43c5; C3b41: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto d371a; Efbde: $changeUserHomeDirectoryCommand->setUserName($userName); goto a9142; a9142: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto ef716; d371a: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto Efbde; ef716: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto abfe9; abfe9: } public function changeUserPassword(string $userName, string $password) : void { goto B21c7; D7340: $this->commandExecutor->execute($changeUserPasswordCommand); goto Aa959; B21c7: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto Ab9d3; F7ee7: $changeUserPasswordCommand->setPassword($password); goto D7340; Ab9d3: $changeUserPasswordCommand->setUserName($userName); goto F7ee7; Aa959: } protected function getRootDirectory() : string { goto E3ea2; b6edc: return $rootDirectory; goto Fd3ca; c77f9: $rootDirectory = $this->site->getRootDirectory(); goto Ee51e; E3ea2: $siteUser = $this->site->getUser(); goto c77f9; Ee51e: $rootDirectory = sprintf("\57\150\x6f\155\145\57\45\163\x2f\x68\164\x64\157\x63\x73\57\x25\x73", $siteUser, $rootDirectory); goto b6edc; Fd3ca: } public function reloadNginxService() : void { $this->reloadService("\x6e\x67\x69\156\170"); } public function reloadService($serviceName) { goto d13bc; E3db6: $this->commandExecutor->execute($reloadServiceCommand); goto c4f2c; d13bc: if (!("\144\145\x76" != $_ENV["\x41\x50\x50\137\105\116\126"])) { goto Ede8c; } goto Fe544; a662f: $reloadServiceCommand->setServiceName($serviceName); goto E3db6; c4f2c: Ede8c: goto dcb11; Fe544: $reloadServiceCommand = new ServiceReloadCommand(); goto a662f; dcb11: } }
